!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_553) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1862) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1544) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1545) = -ca*cb*cima*sb*vev2
      coupl(nGC_1546) = -cb*cima*sa*sb*vev1
      coupl(nGC_1547) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1540) = cb*cima
      coupl(nGC_1861) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_1542) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca&
                        *cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                        vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**  &
                        2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb&
                        *vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_1543) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4* &
                        sa - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_1860) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_1548) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1549) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0* &
                        ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0&
                        *vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb** &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
      coupl(nGC_1511) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1494) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1495) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_1492) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1493) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_2206) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_2268) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_859) = -coupl(nGC_368)
      coupl(nGC_2269) = -ca*cima*sb**2d0*vev2
      coupl(nGC_855) = -coupl(nGC_353)
      coupl(nGC_853) = -2d0*coupl(nGC_179)
      coupl(nGC_851) = -coupl(nGC_341)
      coupl(nGC_1302) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1303) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1300) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1301) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_1877) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2343) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2342) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_2273) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3&
                        *sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1&
                         + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5&
                        *sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_2272) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_2341) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2163) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_2162) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_2161) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_2160) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2279) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2278) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_2309) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2308) = -cb**4d0*cima
      coupl(nGC_2303) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2302) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_2301) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_2300) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_2307) = -cima*sb**4d0
      coupl(nGC_2306) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2305) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_2304) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1337) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**  &
                       2d0*sb*vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1&
                       /(2d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev2/(2d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev1/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       2d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa&
                       *sb*vev1/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*&
                       vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 +  &
                       ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1&
                        - ca*cima*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*&
                       vev2 - cb**2d0*cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb&
                       *vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - &
                       cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*&
                       cw**2d0) - cima*l5*sa*sb**2d0*vev2
      coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*   &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0* &
                       cima*l5*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**  &
                       2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*&
                       ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0*sa*sb** &
                       2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 - cima*&
                       ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb* &
                       cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/ &
                       2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa* &
                       vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb* &
                       cima*l3*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0* &
                       sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**&
                       2d0*vev1/2d0
      coupl(nGC_1232) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1700) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_1339) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*  &
                        vev1)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1801) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1800) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1157) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1159) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_1158) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1799) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_1798) = cima*ee
      coupl(nGC_1571) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1570) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1573) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1572) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_1574) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_1975) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1974) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_1977) = -ca*cb**2d0*cima*sa
      coupl(nGC_1976) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1971) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1970) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                        2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1973) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_1972) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_1979) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1978) = ca*cima*sa*sb**2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_2130) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                        ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa &
                         - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb** &
                        2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_845) = -2d0*coupl(nGC_25)
      coupl(nGC_847) = -2d0*coupl(nGC_194)
      coupl(nGC_841) = -coupl(nGC_199)
      coupl(nGC_843) = coupl(nGC_200)/2d0
      coupl(nGC_1379) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1378) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1373) = sqrt(2d0)*sb/2d0
      coupl(nGC_1372) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1371) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1370) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1377) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1376) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1375) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1374) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**&
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1957) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1441) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1912) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_1443) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1442) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_545) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_2170) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_2171) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_2172) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_2173) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_2174) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_2175) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5&
                         - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                        6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0* &
                        cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb** &
                        4d0 - l5*sb**4d0)
      coupl(nGC_2176) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2177) = -cb*cima*sb**3d0
      coupl(nGC_2178) = cb**3d0*cima*sb
      coupl(nGC_2179) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1621) = -cima*ee
      coupl(nGC_2318) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2319) = sqrt(2d0)*cb/2d0
      coupl(nGC_1822) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_2310) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2311) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_2312) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2313) = -2d0*cima*sb**4d0
      coupl(nGC_1407) = cima*sb
      coupl(nGC_2315) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2316) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2317) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_513) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**  &
                       2d0*sb*vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1&
                       /(4d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev2/(4d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev1/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw &
                       **2d0)
      coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa&
                       *sb*vev1/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw&
                       **2d0)
      coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw &
                       **2d0)
      coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(4d0*sw**2d0)
      coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1818) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1819) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1812) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1813) = -3d0*ca**4d0*cima
      coupl(nGC_1816) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1817) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_1814) = -3d0*cima*sa**4d0
      coupl(nGC_1815) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1140) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_1141) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_1147) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_1148) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_1786) = cima*cw*ee/sw
      coupl(nGC_1787) = cima*ee/sw
      coupl(nGC_2221) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1788) = -cima*cw*ee/sw**2d0
      coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_1568) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1569) = sqrt(2d0)*sb/2d0
      coupl(nGC_1566) = sqrt(2d0)*sb/2d0
      coupl(nGC_1567) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_1564) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_1565) = sqrt(2d0)*cb/2d0
      coupl(nGC_1962) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1963) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1960) = -ca**2d0*cb*cima*sb
      coupl(nGC_1961) = cb*cima*sa**2d0*sb
      coupl(nGC_1966) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1967) = -ca*cima*sa*sb**2d0
      coupl(nGC_1964) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1965) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1968) = ca*cb**2d0*cima*sa
      coupl(nGC_1969) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_879) = -coupl(nGC_215)
      coupl(nGC_871) = -coupl(nGC_172)
      coupl(nGC_1737) = sqrt(2d0)*sb/2d0
      coupl(nGC_I) = cima
      coupl(nGC_873) = -2d0*coupl(nGC_189)
      coupl(nGC_875) = -coupl(nGC_371)
      coupl(nGC_1736) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_1368) = cima*sb
      coupl(nGC_1369) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1360) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1361) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_1362) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_1363) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_1364) = -cb*cima
      coupl(nGC_1365) = -cima*sb
      coupl(nGC_1366) = -cb*cima
      coupl(nGC_1367) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_877) = -2d0*coupl(nGC_214)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1217) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1218) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3&
                        *sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                        sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - &
                        cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 &
                         + l5*sa*sb**2d0*vev2)
      coupl(nGC_1219) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*   &
                        vev2 + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*   &
                        vev1)
      coupl(nGC_2099) = -ca*cb*cima*sa*sb
      coupl(nGC_2098) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2092) = -ca*cb*cima*sa*sb
      coupl(nGC_2095) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_2094) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_1437) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_2149) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_2148) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_2147) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2327) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw)
      coupl(nGC_2326) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw&
                        )/(cw*sw)
      coupl(nGC_2321) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2320) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_2354) = -cima*sb
      coupl(nGC_2355) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2356) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2357) = -cb**2d0*cima*sb**2d0
      coupl(nGC_2350) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_2351) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2352) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_2353) = -cb*cima
      coupl(nGC_2358) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1869) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_2359) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_535) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw &
                       **2d0)
      coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw &
                       **2d0)
      coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw&
                       **2d0)
      coupl(nGC_2215) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_1214) = -cb*cima*sa*sb*vev2
      coupl(nGC_1215) = ca*cb*cima*sb*vev1
      coupl(nGC_1216) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1779) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1778) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_1777) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1776) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1775) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_1774) = -3d0*ca**3d0*cima*vev2
      coupl(nGC_1773) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*&
                        sa**2d0)
      coupl(nGC_1772) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1211) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb**&
                        2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb*vev2&
                         - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4*sb**&
                        2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb&
                        **2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa* &
                        vev2 + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2 - l3* &
                        sa*sb**2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*  &
                        vev2)
      coupl(nGC_1212) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_1213) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb* &
                        l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**&
                       2d0*cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*&
                       cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima&
                       *l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa* &
                       sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb  &
                        - ca*cb*cima*ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb&
                       **2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4&
                       *sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*&
                       ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima&
                       *l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 &
                        + cb**2d0*cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb&
                       **2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima&
                       *l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0&
                       *sb**2d0
      coupl(nGC_1513) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_1512) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1824) = -3d0*cima*sa**4d0
      coupl(nGC_1510) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_1515) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1514) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1689) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1688) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_1683) = cb*cima
      coupl(nGC_1682) = -cima*sb
      coupl(nGC_1681) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_1680) = 2d0*cima*ee
      coupl(nGC_1687) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_1686) = cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_1685) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1684) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1996) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1995) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1994) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1993) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_1992) = cb*cima
      coupl(nGC_1991) = -cima*sb
      coupl(nGC_1990) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_867) = -coupl(nGC_4)
      coupl(nGC_865) = 2d0*coupl(nGC_15)
      coupl(nGC_863) = -coupl(nGC_383)
      coupl(nGC_861) = -coupl(nGC_356)
      coupl(nGC_869) = -2d0*coupl(nGC_26)
      coupl(nGC_1427) = -cb*cima
      coupl(nGC_1426) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_1425) = -cb*cima
      coupl(nGC_1424) = cima*sb
      coupl(nGC_1423) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1422) = -cb*cima
      coupl(nGC_1421) = cima*sb
      coupl(nGC_1420) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_1359) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1358) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1429) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1428) = -cima*sb
      coupl(nGC_1197) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_1388) = -cima*sb
      coupl(nGC_1191) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
      coupl(nGC_1190) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1199) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1198) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1389) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_1221) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1220) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1222) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_1227) = -cima*ee*sw/cw**2d0
      coupl(nGC_1226) = cima*ee*sw/cw
      coupl(nGC_1229) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                        *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                        l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1&
                         - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*  &
                        vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1228) = cima*ee/cw
      coupl(nGC_2217) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_245) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_2088) = -2d0*cima*ee/sw
      coupl(nGC_2089) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_2080) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb&
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_2081) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2082) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2083) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_2084) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_2085) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_2086) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_2087) = -2d0*cima*cw*ee/sw
      coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**  &
                       2d0) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_2158) = cb*cima*sb**3d0
      coupl(nGC_2159) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2152) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_2153) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_2150) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2151) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2156) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2157) = -cb**3d0*cima*sb
      coupl(nGC_2154) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2155) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0* &
                        l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - &
                        6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0* &
                        cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                        4d0 + l5*sb**4d0)
      coupl(nGC_2332) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2333) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_2330) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2331) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_2336) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2337) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2334) = -cb**2d0*cima*sb**2d0
      coupl(nGC_2335) = -cb**2d0*cima*sb**2d0
      coupl(nGC_320) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0&
                        + cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_2093) = -ca*cb*cima*sa*sb
      coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*sw)
      coupl(nGC_323) = -cb*cima*ee**2d0*vev2/sw + cima*ee**2d0*sb*vev1/sw
      coupl(nGC_2091) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2090) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb +  &
                        ca*cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3&
                        *sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3* &
                        sa*sb**2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0* &
                        sb)
      coupl(nGC_2097) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb&
                        **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*&
                        sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa&
                        *sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 &
                         - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2096) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5&
                        *sa + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                        )
      coupl(nGC_1541) = cima*sb
      coupl(nGC_1394) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(4d0*sw**2d0)
      coupl(nGC_1397) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_1464) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb&
                       *vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw** &
                       2d0) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**  &
                       2d0) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_2211) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2325) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2324) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1162) = -gs
      coupl(nGC_1160) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_1161) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_1764) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1765) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                        vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1760) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*  &
                        vev1)/(cw**2d0*sw**2d0)
      coupl(nGC_1761) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_1762) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                        ca*vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    end subroutine fill_couplings_mdl3
end module fill_couplings3
