!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_2798) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_346) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_364) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_370) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_827) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2942) = (cima*coupl(nGC_887)**2d0 - cima*coupl(nGC_907)**4d0*  &
                        sq2**4d0 - 2d0*coupl(nGC_887)*coupl(nGC_907)**2d0*sq2**&
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_2644) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0* &
                        Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*&
                        coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl( &
                        nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_197&
                        )**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_197)**2d0*&
                        coupl(nGC_384) - 2d0*cME*coupl(nGC_197)**2d0*coupl(    &
                        nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_360   &
                        ) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_378) + cima*&
                        coupl(nGC_195)*coupl(nGC_332) + 2d0*cima*coupl(nGC_272 &
                        )*coupl(nGC_909) + 2d0*coupl(nGC_198)*coupl(nGC_272)*  &
                        coupl(nGC_841) + 2d0*coupl(nGC_199)*coupl(nGC_332)*    &
                        coupl(nGC_785) + 2d0*coupl(nGC_272)*coupl(nGC_4)*coupl(&
                        nGC_809))/(16d0*pi**2d0)
      coupl(nGC_3803) = 3d0*coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*       &
                        dZHl_QED2/2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + 3d0*   &
                        coupl(nGC_20)*dZHlHh_QED2/2d0 + coupl(nGC_2986)
      coupl(nGC_2541) = (Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_344) + &
                        2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_817 &
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_344)*coupl(    &
                        nGC_851) + Nc*cMB*coupl(nGC_339)*coupl(nGC_817)*coupl( &
                        nGC_851) + Nc*cMC*coupl(nGC_335)*coupl(nGC_336)*coupl( &
                        nGC_338) + 2d0*Nc*cMC*coupl(nGC_335)*coupl(nGC_336)*   &
                        coupl(nGC_825) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_338)*coupl(nGC_811) + Nc*cMC*coupl(nGC_336)*coupl( &
                        nGC_811)*coupl(nGC_825) + Nc*cMD*coupl(nGC_347)*coupl( &
                        nGC_348)*coupl(nGC_350) + 2d0*Nc*cMD*coupl(nGC_347)*   &
                        coupl(nGC_348)*coupl(nGC_883) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_350)*coupl(nGC_821) + Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_821)*coupl(nGC_883) + Nc*cMS*coupl( &
                        nGC_365)*coupl(nGC_366)*coupl(nGC_368) + 2d0*Nc*cMS*   &
                        coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_859) + 2d0*Nc* &
                        cMS*coupl(nGC_366)*coupl(nGC_368)*coupl(nGC_835) + Nc* &
                        cMS*coupl(nGC_366)*coupl(nGC_835)*coupl(nGC_859) + Nc* &
                        cMT*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_374) + 2d0*&
                        Nc*cMT*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_885) +  &
                        2d0*Nc*cMT*coupl(nGC_372)*coupl(nGC_374)*coupl(nGC_875 &
                        ) + Nc*cMT*coupl(nGC_372)*coupl(nGC_875)*coupl(nGC_885 &
                        ) + Nc*cMU*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_386 &
                        ) + 2d0*Nc*cMU*coupl(nGC_383)*coupl(nGC_384)*coupl(    &
                        nGC_807) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(nGC_386)*   &
                        coupl(nGC_863) + Nc*cMU*coupl(nGC_384)*coupl(nGC_807)* &
                        coupl(nGC_863) + cME*coupl(nGC_353)*coupl(nGC_354)*    &
                        coupl(nGC_356) + 2d0*cME*coupl(nGC_353)*coupl(nGC_354)*&
                        coupl(nGC_861) + 2d0*cME*coupl(nGC_354)*coupl(nGC_356)*&
                        coupl(nGC_855) + cME*coupl(nGC_354)*coupl(nGC_855)*    &
                        coupl(nGC_861) + cMM*coupl(nGC_359)*coupl(nGC_360)*    &
                        coupl(nGC_362) + 2d0*cMM*coupl(nGC_359)*coupl(nGC_360)*&
                        coupl(nGC_815) + 2d0*cMM*coupl(nGC_360)*coupl(nGC_362)*&
                        coupl(nGC_927) + cMM*coupl(nGC_360)*coupl(nGC_815)*    &
                        coupl(nGC_927) + cMTA*coupl(nGC_377)*coupl(nGC_378)*   &
                        coupl(nGC_380) + 2d0*cMTA*coupl(nGC_377)*coupl(nGC_378 &
                        )*coupl(nGC_787) + 2d0*cMTA*coupl(nGC_378)*coupl(      &
                        nGC_380)*coupl(nGC_831) + cMTA*coupl(nGC_378)*coupl(   &
                        nGC_787)*coupl(nGC_831))/(8d0*pi**2d0)
      coupl(nGC_3971) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 -   &
                        coupl(nGC_179)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_3149&
                        )
      coupl(nGC_2540) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_338) - Nc* &
                        coupl(nGC_343)*coupl(nGC_851) - Nc*coupl(nGC_346)*coupl&
                        (nGC_883) - Nc*coupl(nGC_364)*coupl(nGC_859) + Nc*coupl&
                        (nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_386) - coupl(nGC_352)*coupl(nGC_861) - coupl(      &
                        nGC_358)*coupl(nGC_815) - coupl(nGC_376)*coupl(nGC_787 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3809) = coupl(nGC_227)*dZHa_QED2 + coupl(nGC_2949)
      coupl(nGC_3725) = coupl(nGC_3036) + coupl(nGC_322)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_3722) = -coupl(nGC_199)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/ &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_3147)
      coupl(nGC_3723) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_26)*dZAZ_QED2/ &
                        2d0 + coupl(nGC_3163)
      coupl(nGC_4022) = coupl(nGC_3316) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_173_Hl) - coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_3721) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_eL_QED2 + coupl(nGC_3185)
      coupl(nGC_2924) = (18d0*Nc*cima*coupl(nGC_197)**4d0 + 3d0*cima*coupl(    &
                        nGC_195)**2d0 + 18d0*cima*coupl(nGC_197)**4d0 - 4d0*   &
                        cima*coupl(nGC_198)**2d0*coupl(nGC_841)**2d0 - 8d0*cima&
                        *coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_785)*coupl(   &
                        nGC_841) - 8d0*cima*coupl(nGC_198)*coupl(nGC_3)*coupl( &
                        nGC_785)*coupl(nGC_809) - 8d0*cima*coupl(nGC_198)*coupl&
                        (nGC_4)*coupl(nGC_809)*coupl(nGC_841) - 4d0*cima*coupl(&
                        nGC_199)**2d0*coupl(nGC_785)**2d0 - 8d0*cima*coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_785)*coupl(nGC_867) -  &
                        8d0*cima*coupl(nGC_199)*coupl(nGC_4)*coupl(nGC_841)*   &
                        coupl(nGC_867) + 6d0*cima*coupl(nGC_205)**2d0 - 4d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_867)**2d0 - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_809)*coupl(nGC_867 &
                        ) - 4d0*cima*coupl(nGC_4)**2d0*coupl(nGC_809)**2d0 +   &
                        3d0*cima*coupl(nGC_9)**2d0 + 6d0*cima*coupl(nGC_909)** &
                        2d0 + 6d0*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_841  &
                        ) + 6d0*coupl(nGC_195)*coupl(nGC_199)*coupl(nGC_785) + &
                        6d0*coupl(nGC_198)*coupl(nGC_205)*coupl(nGC_809) + 6d0*&
                        coupl(nGC_198)*coupl(nGC_841)*coupl(nGC_909) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_205)*coupl(nGC_867) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_785)*coupl(nGC_909) + 6d0*    &
                        coupl(nGC_205)*coupl(nGC_3)*coupl(nGC_785) + 6d0*coupl(&
                        nGC_205)*coupl(nGC_4)*coupl(nGC_841) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_867)*coupl(nGC_9) + 6d0*coupl(nGC_3)*coupl(&
                        nGC_867)*coupl(nGC_909) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_809)*coupl(nGC_9) + 6d0*coupl(nGC_4)*coupl(nGC_809 &
                        )*coupl(nGC_909))/(48d0*pi**2d0)
      coupl(nGC_2923) = (-30d0*Nc*cima*coupl(nGC_197)**4d0 + 3d0*cima*coupl(   &
                        nGC_192)**2d0 - 30d0*cima*coupl(nGC_197)**4d0 - 4d0*   &
                        cima*coupl(nGC_198)**2d0*coupl(nGC_841)**2d0 - 8d0*cima&
                        *coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_785)*coupl(   &
                        nGC_841) - 8d0*cima*coupl(nGC_198)*coupl(nGC_3)*coupl( &
                        nGC_785)*coupl(nGC_809) - 8d0*cima*coupl(nGC_198)*coupl&
                        (nGC_4)*coupl(nGC_809)*coupl(nGC_841) - 4d0*cima*coupl(&
                        nGC_199)**2d0*coupl(nGC_785)**2d0 - 8d0*cima*coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_785)*coupl(nGC_867) -  &
                        8d0*cima*coupl(nGC_199)*coupl(nGC_4)*coupl(nGC_841)*   &
                        coupl(nGC_867) - 4d0*cima*coupl(nGC_3)**2d0*coupl(     &
                        nGC_867)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_809)*coupl(nGC_867) - 4d0*cima*coupl(nGC_4)**&
                        2d0*coupl(nGC_809)**2d0 + 6d0*coupl(nGC_192)*coupl(    &
                        nGC_198)*coupl(nGC_785) + 6d0*coupl(nGC_192)*coupl(    &
                        nGC_199)*coupl(nGC_841) + 6d0*coupl(nGC_192)*coupl(    &
                        nGC_3)*coupl(nGC_809) + 6d0*coupl(nGC_192)*coupl(nGC_4 &
                        )*coupl(nGC_867))/(48d0*pi**2d0)
      coupl(nGC_3445) = coupl(nGC_224)*dZHl_QED2 + coupl(nGC_224)*dZZ_QED2 +   &
                        coupl(nGC_3172)
      coupl(nGC_2920) = (9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0 - &
                        15d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*coupl( &
                        nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(      &
                        nGC_210)**2d0 + 3d0*cima*coupl(nGC_195)*coupl(nGC_909  &
                        ) + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)**2d0 - &
                        15d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(    &
                        nGC_212) + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_212  &
                        )**2d0 - 4d0*cima*coupl(nGC_198)*coupl(nGC_199)**2d0*  &
                        coupl(nGC_841) - 4d0*cima*coupl(nGC_199)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_809) + 3d0*coupl(nGC_195)*coupl(      &
                        nGC_198)*coupl(nGC_841) + 3d0*coupl(nGC_195)*coupl(    &
                        nGC_4)*coupl(nGC_809) + 3d0*coupl(nGC_199)**2d0*coupl( &
                        nGC_909) + 3d0*coupl(nGC_841)**2d0*coupl(nGC_909))/(   &
                        24d0*pi**2d0)
      coupl(nGC_2800) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334&
                        )*coupl(nGC_335) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_343)*coupl(nGC_817) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_821) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(      &
                        nGC_835) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_383) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl( &
                        nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_343)*coupl(nGC_817) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_821) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364)*&
                        coupl(nGC_835) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_370)*coupl(nGC_371) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_383) + 6d0*cima* &
                        coupl(nGC_187)*coupl(nGC_827) + cima*coupl(nGC_197)*   &
                        coupl(nGC_352)*coupl(nGC_4)*coupl(nGC_855) + cima*coupl&
                        (nGC_197)*coupl(nGC_358)*coupl(nGC_4)*coupl(nGC_927) + &
                        cima*coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_4)*coupl( &
                        nGC_831) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*&
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_809) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_2801) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334&
                        )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(      &
                        nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl( &
                        nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_348) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364)*&
                        coupl(nGC_366) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_370)*coupl(nGC_372) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima* &
                        coupl(nGC_175)*coupl(nGC_827) + cima*coupl(nGC_197)*   &
                        coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_175)*coupl(nGC_3)*coupl(nGC_809) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_22)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_2802) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_346) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_364) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_370) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_827) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_809) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_2804) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                        nGC_209) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**  &
                        2d0*coupl(nGC_210) - 15d0*Nc*cima*coupl(nGC_197)**2d0* &
                        coupl(nGC_2)*coupl(nGC_209) + 18d0*Nc*cima*coupl(      &
                        nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) + 18d0*cima* &
                        coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_4) - 15d0*&
                        cima*coupl(nGC_197)**2d0*coupl(nGC_212)*coupl(nGC_4) - &
                        8d0*cima*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_3)*   &
                        coupl(nGC_841) - 8d0*cima*coupl(nGC_199)*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_809) + 6d0*cima*coupl(nGC_205)* &
                        coupl(nGC_909) + 6d0*coupl(nGC_198)*coupl(nGC_205)*    &
                        coupl(nGC_841) + 6d0*coupl(nGC_199)*coupl(nGC_3)*coupl(&
                        nGC_909) + 6d0*coupl(nGC_205)*coupl(nGC_4)*coupl(      &
                        nGC_809) + 6d0*coupl(nGC_809)*coupl(nGC_841)*coupl(    &
                        nGC_909))/(48d0*pi**2d0)
      coupl(nGC_2805) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                        nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0&
                        *coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                        (nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(nGC_197)**  &
                        2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima*coupl(      &
                        nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(nGC_197)**&
                        2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*cima*coupl(      &
                        nGC_198)*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_841) -  &
                        8d0*cima*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4)*coupl&
                        (nGC_809) + 6d0*cima*coupl(nGC_803)*coupl(nGC_827) +   &
                        6d0*coupl(nGC_194)*coupl(nGC_3)*coupl(nGC_841) + 6d0*  &
                        coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_202) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_4)*coupl(nGC_827) + 6d0*coupl(&
                        nGC_3)*coupl(nGC_803)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_2806) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                        nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0&
                        *coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                        (nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(nGC_197)**  &
                        2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima*coupl(      &
                        nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(nGC_197)**&
                        2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*cima*coupl(      &
                        nGC_198)*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_841) -  &
                        8d0*cima*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4)*coupl&
                        (nGC_809) + 6d0*cima*coupl(nGC_803)*coupl(nGC_827) +   &
                        6d0*coupl(nGC_194)*coupl(nGC_198)*coupl(nGC_3) + 6d0*  &
                        coupl(nGC_199)*coupl(nGC_202)*coupl(nGC_841) + 6d0*    &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_803) + 6d0*coupl(  &
                        nGC_3)*coupl(nGC_827)*coupl(nGC_841))/(48d0*pi**2d0)
      coupl(nGC_3888) = coupl(nGC_224)*dZHh_QED2 + coupl(nGC_224)*dZZ_QED2 +   &
                        coupl(nGC_3172)
      coupl(nGC_3356) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZHlHh_QED2/2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0 + coupl(&
                        nGC_3165)
      coupl(nGC_3882) = coupl(nGC_3041)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_3702) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_3176) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
      coupl(nGC_3880) = coupl(nGC_241)*dZHl_QED2/2d0 + coupl(nGC_249)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_252)*dZHMinusGMinus_QED2 + &
                        coupl(nGC_3024) + coupl(nGC_TS_GC_33_Hh) + coupl(      &
                        nGC_TS_GC_45_Hl)
      coupl(nGC_2786) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337&
                        )*coupl(nGC_338) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_851) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_883) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(      &
                        nGC_859) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_385)*coupl(nGC_386) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_337)*coupl( &
                        nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_851) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_883) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367)*&
                        coupl(nGC_859) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_373)*coupl(nGC_374) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_385)*coupl(nGC_386) + 6d0*cima* &
                        coupl(nGC_187)*coupl(nGC_827) + cima*coupl(nGC_197)*   &
                        coupl(nGC_355)*coupl(nGC_4)*coupl(nGC_861) + cima*coupl&
                        (nGC_197)*coupl(nGC_361)*coupl(nGC_4)*coupl(nGC_815) + &
                        cima*coupl(nGC_197)*coupl(nGC_379)*coupl(nGC_4)*coupl( &
                        nGC_787) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*&
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_809) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_2532) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_336 &
                        )*coupl(nGC_366)*coupl(nGC_367) - coupl(nGC_367)*coupl(&
                        nGC_811)*coupl(nGC_835) - coupl(nGC_367)*coupl(nGC_825 &
                        )*coupl(nGC_859))/(32d0*pi**2d0)
      coupl(nGC_4056) = -coupl(nGC_2544)
      coupl(nGC_2732) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_375)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_831) + coupl(  &
                        nGC_211)*coupl(nGC_378)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_380)*coupl(nGC_787) + coupl(nGC_212)*coupl(nGC_376 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_379)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2733) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_375)**2d0 + coupl(nGC_208)*coupl(nGC_377)*coupl(   &
                        nGC_831) + coupl(nGC_208)*coupl(nGC_378)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_380)*coupl(nGC_787) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2536) = (Nc*cMB*coupl(nGC_341)**2d0*coupl(nGC_817) + 2d0*Nc*cMB&
                        *coupl(nGC_341)*coupl(nGC_344)*coupl(nGC_851) + 2d0*Nc*&
                        cMB*coupl(nGC_341)*coupl(nGC_817)*coupl(nGC_851) + Nc* &
                        cMB*coupl(nGC_344)*coupl(nGC_851)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_335)*coupl(nGC_338)*coupl(nGC_825) + Nc*cMC* &
                        coupl(nGC_335)*coupl(nGC_825)**2d0 + Nc*cMC*coupl(     &
                        nGC_338)**2d0*coupl(nGC_811) + 2d0*Nc*cMC*coupl(nGC_338&
                        )*coupl(nGC_811)*coupl(nGC_825) + 2d0*Nc*cMD*coupl(    &
                        nGC_347)*coupl(nGC_350)*coupl(nGC_883) + Nc*cMD*coupl( &
                        nGC_347)*coupl(nGC_883)**2d0 + Nc*cMD*coupl(nGC_350)** &
                        2d0*coupl(nGC_821) + 2d0*Nc*cMD*coupl(nGC_350)*coupl(  &
                        nGC_821)*coupl(nGC_883) + 2d0*Nc*cMS*coupl(nGC_365)*   &
                        coupl(nGC_368)*coupl(nGC_859) + Nc*cMS*coupl(nGC_365)* &
                        coupl(nGC_859)**2d0 + Nc*cMS*coupl(nGC_368)**2d0*coupl(&
                        nGC_835) + 2d0*Nc*cMS*coupl(nGC_368)*coupl(nGC_835)*   &
                        coupl(nGC_859) + 2d0*Nc*cMT*coupl(nGC_371)*coupl(      &
                        nGC_374)*coupl(nGC_885) + Nc*cMT*coupl(nGC_371)*coupl( &
                        nGC_885)**2d0 + Nc*cMT*coupl(nGC_374)**2d0*coupl(      &
                        nGC_875) + 2d0*Nc*cMT*coupl(nGC_374)*coupl(nGC_875)*   &
                        coupl(nGC_885) + 2d0*Nc*cMU*coupl(nGC_383)*coupl(      &
                        nGC_386)*coupl(nGC_807) + Nc*cMU*coupl(nGC_383)*coupl( &
                        nGC_807)**2d0 + Nc*cMU*coupl(nGC_386)**2d0*coupl(      &
                        nGC_863) + 2d0*Nc*cMU*coupl(nGC_386)*coupl(nGC_807)*   &
                        coupl(nGC_863) + 2d0*cME*coupl(nGC_353)*coupl(nGC_356)*&
                        coupl(nGC_861) + cME*coupl(nGC_353)*coupl(nGC_861)**2d0&
                         + cME*coupl(nGC_356)**2d0*coupl(nGC_855) + 2d0*cME*   &
                        coupl(nGC_356)*coupl(nGC_855)*coupl(nGC_861) + 2d0*cMM*&
                        coupl(nGC_359)*coupl(nGC_362)*coupl(nGC_815) + cMM*    &
                        coupl(nGC_359)*coupl(nGC_815)**2d0 + cMM*coupl(nGC_362 &
                        )**2d0*coupl(nGC_927) + 2d0*cMM*coupl(nGC_362)*coupl(  &
                        nGC_815)*coupl(nGC_927) + 2d0*cMTA*coupl(nGC_377)*coupl&
                        (nGC_380)*coupl(nGC_787) + cMTA*coupl(nGC_377)*coupl(  &
                        nGC_787)**2d0 + cMTA*coupl(nGC_380)**2d0*coupl(nGC_831 &
                        ) + 2d0*cMTA*coupl(nGC_380)*coupl(nGC_787)*coupl(      &
                        nGC_831))/(8d0*pi**2d0)
      coupl(nGC_2537) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_341)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_851) + 2d0&
                        *Nc*cMB*coupl(nGC_339)*coupl(nGC_851)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_336)*coupl(nGC_338)**2d0 + 8d0*Nc*cMC*coupl(&
                        nGC_336)*coupl(nGC_338)*coupl(nGC_825) + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_825)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_350)**2d0 + 8d0*Nc*cMD*coupl(nGC_348&
                        )*coupl(nGC_350)*coupl(nGC_883) + 2d0*Nc*cMD*coupl(    &
                        nGC_348)*coupl(nGC_883)**2d0 + 2d0*Nc*cMS*coupl(nGC_366&
                        )*coupl(nGC_368)**2d0 + 8d0*Nc*cMS*coupl(nGC_366)*coupl&
                        (nGC_368)*coupl(nGC_859) + 2d0*Nc*cMS*coupl(nGC_366)*  &
                        coupl(nGC_859)**2d0 + 2d0*Nc*cMT*coupl(nGC_372)*coupl( &
                        nGC_374)**2d0 + 8d0*Nc*cMT*coupl(nGC_372)*coupl(nGC_374&
                        )*coupl(nGC_885) + 2d0*Nc*cMT*coupl(nGC_372)*coupl(    &
                        nGC_885)**2d0 + 2d0*Nc*cMU*coupl(nGC_384)*coupl(nGC_386&
                        )**2d0 + 8d0*Nc*cMU*coupl(nGC_384)*coupl(nGC_386)*coupl&
                        (nGC_807) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(nGC_807)** &
                        2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_356)**2d0 + 8d0*&
                        cME*coupl(nGC_354)*coupl(nGC_356)*coupl(nGC_861) + 2d0*&
                        cME*coupl(nGC_354)*coupl(nGC_861)**2d0 + 2d0*cMM*coupl(&
                        nGC_360)*coupl(nGC_362)**2d0 + 8d0*cMM*coupl(nGC_360)* &
                        coupl(nGC_362)*coupl(nGC_815) + 2d0*cMM*coupl(nGC_360)*&
                        coupl(nGC_815)**2d0 + 2d0*cMTA*coupl(nGC_378)*coupl(   &
                        nGC_380)**2d0 + 8d0*cMTA*coupl(nGC_378)*coupl(nGC_380)*&
                        coupl(nGC_787) + 2d0*cMTA*coupl(nGC_378)*coupl(nGC_787 &
                        )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_272) + cima*&
                        coupl(nGC_230)*coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_2538) = (2d0*Nc*cMB*coupl(nGC_341)**2d0*coupl(nGC_342) + 8d0*Nc&
                        *cMB*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_851) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_851)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_338)**2d0 + 8d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_338)*coupl(nGC_825) + 2d0*Nc*cMC*   &
                        coupl(nGC_333)*coupl(nGC_825)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_345)*coupl(nGC_350)**2d0 + 8d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_350)*coupl(nGC_883) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_883)**2d0 + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_368)**2d0 + 8d0*Nc*cMS*coupl(nGC_363)*coupl&
                        (nGC_368)*coupl(nGC_859) + 2d0*Nc*cMS*coupl(nGC_363)*  &
                        coupl(nGC_859)**2d0 + 2d0*Nc*cMT*coupl(nGC_369)*coupl( &
                        nGC_374)**2d0 + 8d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_374&
                        )*coupl(nGC_885) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(    &
                        nGC_885)**2d0 + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_386&
                        )**2d0 + 8d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_386)*coupl&
                        (nGC_807) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_807)** &
                        2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_356)**2d0 + 8d0*&
                        cME*coupl(nGC_351)*coupl(nGC_356)*coupl(nGC_861) + 2d0*&
                        cME*coupl(nGC_351)*coupl(nGC_861)**2d0 + 2d0*cMM*coupl(&
                        nGC_357)*coupl(nGC_362)**2d0 + 8d0*cMM*coupl(nGC_357)* &
                        coupl(nGC_362)*coupl(nGC_815) + 2d0*cMM*coupl(nGC_357)*&
                        coupl(nGC_815)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(   &
                        nGC_380)**2d0 + 8d0*cMTA*coupl(nGC_375)*coupl(nGC_380)*&
                        coupl(nGC_787) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_787 &
                        )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + cima*&
                        coupl(nGC_230)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_2539) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_825) + Nc*&
                        coupl(nGC_341)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl&
                        (nGC_350) + Nc*coupl(nGC_364)*coupl(nGC_368) - Nc*coupl&
                        (nGC_370)*coupl(nGC_885) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_807) + coupl(nGC_352)*coupl(nGC_356) + coupl(      &
                        nGC_358)*coupl(nGC_362) + coupl(nGC_376)*coupl(nGC_380 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_4039) = -coupl(nGC_2757)
      coupl(nGC_2903) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_335)*coupl(&
                        nGC_811) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(      &
                        nGC_344)*coupl(nGC_817) - 8d0*Nc*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_347)*coupl(nGC_821) - 8d0*Nc*cima*coupl( &
                        nGC_197)**2d0*coupl(nGC_365)*coupl(nGC_835) - 8d0*Nc*  &
                        cima*coupl(nGC_197)**2d0*coupl(nGC_371)*coupl(nGC_875  &
                        ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_383)*    &
                        coupl(nGC_863) + 6d0*cima*coupl(nGC_100)*coupl(nGC_909 &
                        ) + 3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*cima* &
                        coupl(nGC_197)**2d0*coupl(nGC_353)*coupl(nGC_855) - 8d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_359)*coupl(nGC_927 &
                        ) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_377)*coupl( &
                        nGC_831) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(    &
                        nGC_841) + 6d0*coupl(nGC_100)*coupl(nGC_4)*coupl(      &
                        nGC_809) + 6d0*coupl(nGC_199)*coupl(nGC_230)*coupl(    &
                        nGC_785))/(48d0*pi**2d0)
      coupl(nGC_4018) = -coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(     &
                        nGC_TS_GC_172_Hh) - coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_3943) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_4053) = -coupl(nGC_2540)
      coupl(nGC_4011) = -coupl(nGC_173)*dZHl_QED2/2d0 - coupl(nGC_173)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 - coupl(nGC_179)*dZHhHl_QED2/2d0 - coupl(nGC_3145)
      coupl(nGC_2636) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_831) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_377) - coupl(nGC_377)*   &
                        coupl(nGC_378)**2d0 - coupl(nGC_377)*coupl(nGC_787)**  &
                        2d0 - coupl(nGC_377)*coupl(nGC_831)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_831))/(32d0*pi**2d0)
      coupl(nGC_4013) = coupl(nGC_3313) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_329_Hl) + coupl(nGC_TS_GC_332_Hh)
      coupl(nGC_2425) = (Nc*cMB**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMC**2d0*   &
                        cima*coupl(nGC_197)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                        nGC_197)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_197)**2d0 + &
                        Nc*cMT**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMU**2d0*cima&
                        *coupl(nGC_197)**2d0 + cME**2d0*cima*coupl(nGC_197)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_197)**2d0 + cMTA**2d0*   &
                        cima*coupl(nGC_197)**2d0 + cMW**2d0*cima*coupl(nGC_198 &
                        )*coupl(nGC_841) + cMW**2d0*cima*coupl(nGC_199)*coupl( &
                        nGC_785) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_867) + &
                        cMW**2d0*cima*coupl(nGC_4)*coupl(nGC_809) - 2d0*cMW**  &
                        2d0*coupl(nGC_909) + cMZ**2d0*cima*coupl(nGC_198)*coupl&
                        (nGC_841) + cMZ**2d0*cima*coupl(nGC_199)*coupl(nGC_785 &
                        ) - cMZ**2d0*coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_2423) = cima*(-3d0*Nc*coupl(nGC_197)**2d0 - 3d0*coupl(nGC_197  &
                        )**2d0 - coupl(nGC_198)*coupl(nGC_841) - coupl(nGC_199 &
                        )*coupl(nGC_785) - coupl(nGC_3)*coupl(nGC_867) - coupl(&
                        nGC_4)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_4017) = -coupl(nGC_3317) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0 +     &
                        coupl(nGC_TS_GC_213_Hl) + coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_2569) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_787) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_787) - coupl(nGC_378)**2d0*coupl(nGC_787 &
                        ) - coupl(nGC_380)**2d0*coupl(nGC_787) + 8d0*coupl(    &
                        nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2907) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0 &
                         + 3d0*cima*coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*  &
                        coupl(nGC_197)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_378)**2d0 + 6d0*cima*    &
                        coupl(nGC_77)*coupl(nGC_909) + 6d0*coupl(nGC_198)*coupl&
                        (nGC_77)*coupl(nGC_841) + 6d0*coupl(nGC_199)*coupl(    &
                        nGC_224)*coupl(nGC_785) + 6d0*coupl(nGC_4)*coupl(nGC_77&
                        )*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_2866) = 5d0*cima*(2d0*Nc*coupl(nGC_335)*coupl(nGC_336)*coupl(  &
                        nGC_338)*coupl(nGC_825) + Nc*coupl(nGC_335)*coupl(     &
                        nGC_336)*coupl(nGC_825)**2d0 + Nc*coupl(nGC_336)*coupl(&
                        nGC_338)**2d0*coupl(nGC_811) + 2d0*Nc*coupl(nGC_336)*  &
                        coupl(nGC_338)*coupl(nGC_811)*coupl(nGC_825) + Nc*coupl&
                        (nGC_339)*coupl(nGC_341)**2d0*coupl(nGC_817) + 2d0*Nc* &
                        coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_344)*coupl(    &
                        nGC_851) + 2d0*Nc*coupl(nGC_339)*coupl(nGC_341)*coupl( &
                        nGC_817)*coupl(nGC_851) + Nc*coupl(nGC_339)*coupl(     &
                        nGC_344)*coupl(nGC_851)**2d0 + 2d0*Nc*coupl(nGC_347)*  &
                        coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_883) + Nc*coupl&
                        (nGC_347)*coupl(nGC_348)*coupl(nGC_883)**2d0 + Nc*coupl&
                        (nGC_348)*coupl(nGC_350)**2d0*coupl(nGC_821) + 2d0*Nc* &
                        coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_821)*coupl(    &
                        nGC_883) + 2d0*Nc*coupl(nGC_365)*coupl(nGC_366)*coupl( &
                        nGC_368)*coupl(nGC_859) + Nc*coupl(nGC_365)*coupl(     &
                        nGC_366)*coupl(nGC_859)**2d0 + Nc*coupl(nGC_366)*coupl(&
                        nGC_368)**2d0*coupl(nGC_835) + 2d0*Nc*coupl(nGC_366)*  &
                        coupl(nGC_368)*coupl(nGC_835)*coupl(nGC_859) + 2d0*Nc* &
                        coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_374)*coupl(    &
                        nGC_885) + Nc*coupl(nGC_371)*coupl(nGC_372)*coupl(     &
                        nGC_885)**2d0 + Nc*coupl(nGC_372)*coupl(nGC_374)**2d0* &
                        coupl(nGC_875) + 2d0*Nc*coupl(nGC_372)*coupl(nGC_374)* &
                        coupl(nGC_875)*coupl(nGC_885) + 2d0*Nc*coupl(nGC_383)* &
                        coupl(nGC_384)*coupl(nGC_386)*coupl(nGC_807) + Nc*coupl&
                        (nGC_383)*coupl(nGC_384)*coupl(nGC_807)**2d0 + Nc*coupl&
                        (nGC_384)*coupl(nGC_386)**2d0*coupl(nGC_863) + 2d0*Nc* &
                        coupl(nGC_384)*coupl(nGC_386)*coupl(nGC_807)*coupl(    &
                        nGC_863) + 2d0*coupl(nGC_353)*coupl(nGC_354)*coupl(    &
                        nGC_356)*coupl(nGC_861) + coupl(nGC_353)*coupl(nGC_354 &
                        )*coupl(nGC_861)**2d0 + coupl(nGC_354)*coupl(nGC_356)**&
                        2d0*coupl(nGC_855) + 2d0*coupl(nGC_354)*coupl(nGC_356)*&
                        coupl(nGC_855)*coupl(nGC_861) + 2d0*coupl(nGC_359)*    &
                        coupl(nGC_360)*coupl(nGC_362)*coupl(nGC_815) + coupl(  &
                        nGC_359)*coupl(nGC_360)*coupl(nGC_815)**2d0 + coupl(   &
                        nGC_360)*coupl(nGC_362)**2d0*coupl(nGC_927) + 2d0*coupl&
                        (nGC_360)*coupl(nGC_362)*coupl(nGC_815)*coupl(nGC_927  &
                        ) + 2d0*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_380)*  &
                        coupl(nGC_787) + coupl(nGC_377)*coupl(nGC_378)*coupl(  &
                        nGC_787)**2d0 + coupl(nGC_378)*coupl(nGC_380)**2d0*    &
                        coupl(nGC_831) + 2d0*coupl(nGC_378)*coupl(nGC_380)*    &
                        coupl(nGC_787)*coupl(nGC_831))/(24d0*pi**2d0)
      coupl(nGC_2867) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_338)*coupl(&
                        nGC_825) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(      &
                        nGC_341)*coupl(nGC_851) - 8d0*Nc*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_350)*coupl(nGC_883) - 8d0*Nc*cima*coupl( &
                        nGC_197)**2d0*coupl(nGC_368)*coupl(nGC_859) - 8d0*Nc*  &
                        cima*coupl(nGC_197)**2d0*coupl(nGC_374)*coupl(nGC_885  &
                        ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_386)*    &
                        coupl(nGC_807) + 6d0*cima*coupl(nGC_100)*coupl(nGC_909 &
                        ) + 3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*cima* &
                        coupl(nGC_197)**2d0*coupl(nGC_356)*coupl(nGC_861) - 8d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_362)*coupl(nGC_815 &
                        ) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_380)*coupl( &
                        nGC_787) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(    &
                        nGC_841) + 6d0*coupl(nGC_100)*coupl(nGC_4)*coupl(      &
                        nGC_809) + 6d0*coupl(nGC_199)*coupl(nGC_230)*coupl(    &
                        nGC_785))/(48d0*pi**2d0)
      coupl(nGC_4045) = -coupl(nGC_2543)
      coupl(nGC_2743) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_207)**2d0 - coupl(nGC_333)**2d0 - coupl(nGC_334)** &
                        2d0 - coupl(nGC_335)*coupl(nGC_811) - coupl(nGC_336)** &
                        2d0 - coupl(nGC_337)**2d0 - coupl(nGC_338)*coupl(      &
                        nGC_825))/(64d0*pi**2d0)
      coupl(nGC_2742) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*    &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(   &
                        nGC_333)**2d0 - coupl(nGC_335)*coupl(nGC_811) - coupl( &
                        nGC_336)**2d0 - coupl(nGC_338)*coupl(nGC_825) - coupl( &
                        nGC_364)**2d0 - coupl(nGC_367)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2740) = -coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_907) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_3348) = coupl(nGC_2960) + coupl(nGC_33)*dZHlHh_QED2 + coupl(   &
                        nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
      coupl(nGC_3495) = coupl(nGC_190)*dZWMinus_QED2 + coupl(nGC_3151)
      coupl(nGC_2745) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_207)**2d0 + coupl(nGC_333)**2d0 + coupl(nGC_334)** &
                        2d0 + coupl(nGC_335)*coupl(nGC_811) + coupl(nGC_336)** &
                        2d0 + coupl(nGC_337)**2d0 + coupl(nGC_338)*coupl(      &
                        nGC_825))/(64d0*pi**2d0*Nc)
      coupl(nGC_2744) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl&
                        (nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(nGC_333 &
                        )**2d0 + coupl(nGC_335)*coupl(nGC_811) + coupl(nGC_336 &
                        )**2d0 + coupl(nGC_338)*coupl(nGC_825) + coupl(nGC_364 &
                        )**2d0 + coupl(nGC_367)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3344) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_229)*dZHMinus_QED2&
                         + coupl(nGC_229)*dZZ_QED2 + coupl(nGC_3171)
      coupl(nGC_2862) = cima*(10d0*Nc*coupl(nGC_335)**2d0*coupl(nGC_825)**2d0  &
                         + 40d0*Nc*coupl(nGC_335)*coupl(nGC_338)*coupl(nGC_811 &
                        )*coupl(nGC_825) + 10d0*Nc*coupl(nGC_338)**2d0*coupl(  &
                        nGC_811)**2d0 + 10d0*Nc*coupl(nGC_341)**2d0*coupl(     &
                        nGC_817)**2d0 + 40d0*Nc*coupl(nGC_341)*coupl(nGC_344)* &
                        coupl(nGC_817)*coupl(nGC_851) + 10d0*Nc*coupl(nGC_344  &
                        )**2d0*coupl(nGC_851)**2d0 + 10d0*Nc*coupl(nGC_347)**  &
                        2d0*coupl(nGC_883)**2d0 + 40d0*Nc*coupl(nGC_347)*coupl(&
                        nGC_350)*coupl(nGC_821)*coupl(nGC_883) + 10d0*Nc*coupl(&
                        nGC_350)**2d0*coupl(nGC_821)**2d0 + 10d0*Nc*coupl(     &
                        nGC_365)**2d0*coupl(nGC_859)**2d0 + 40d0*Nc*coupl(     &
                        nGC_365)*coupl(nGC_368)*coupl(nGC_835)*coupl(nGC_859   &
                        ) + 10d0*Nc*coupl(nGC_368)**2d0*coupl(nGC_835)**2d0 +  &
                        10d0*Nc*coupl(nGC_371)**2d0*coupl(nGC_885)**2d0 + 40d0*&
                        Nc*coupl(nGC_371)*coupl(nGC_374)*coupl(nGC_875)*coupl( &
                        nGC_885) + 10d0*Nc*coupl(nGC_374)**2d0*coupl(nGC_875)**&
                        2d0 + 10d0*Nc*coupl(nGC_383)**2d0*coupl(nGC_807)**2d0  &
                         + 40d0*Nc*coupl(nGC_383)*coupl(nGC_386)*coupl(nGC_807 &
                        )*coupl(nGC_863) + 10d0*Nc*coupl(nGC_386)**2d0*coupl(  &
                        nGC_863)**2d0 + 6d0*coupl(nGC_100)**2d0 + 3d0*coupl(   &
                        nGC_230)**2d0 + 10d0*coupl(nGC_353)**2d0*coupl(nGC_861 &
                        )**2d0 + 40d0*coupl(nGC_353)*coupl(nGC_356)*coupl(     &
                        nGC_855)*coupl(nGC_861) + 10d0*coupl(nGC_356)**2d0*    &
                        coupl(nGC_855)**2d0 + 10d0*coupl(nGC_359)**2d0*coupl(  &
                        nGC_815)**2d0 + 40d0*coupl(nGC_359)*coupl(nGC_362)*    &
                        coupl(nGC_815)*coupl(nGC_927) + 10d0*coupl(nGC_362)**  &
                        2d0*coupl(nGC_927)**2d0 + 10d0*coupl(nGC_377)**2d0*    &
                        coupl(nGC_787)**2d0 + 40d0*coupl(nGC_377)*coupl(nGC_380&
                        )*coupl(nGC_787)*coupl(nGC_831) + 10d0*coupl(nGC_380)**&
                        2d0*coupl(nGC_831)**2d0)/(48d0*pi**2d0)
      coupl(nGC_4007) = coupl(nGC_3303) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_333_Hl) + coupl&
                        (nGC_TS_GC_336_Hh)
      coupl(nGC_3614) = coupl(nGC_3055) + coupl(nGC_337)*dZcR_QCD2/2d0 + coupl(&
                        nGC_337)*dZsL_QCD2/2d0
      coupl(nGC_3518) = coupl(nGC_231)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_237 &
                        )*dZWMinus_QED2/2d0 + coupl(nGC_237)*dZZ_QED2/2d0 +    &
                        coupl(nGC_3167) + coupl(nGC_324)*dZAZ_QED2/2d0 + coupl(&
                        nGC_TS_GC_21_Hl) + coupl(nGC_TS_GC_23_Hh)
      coupl(nGC_3570) = coupl(nGC_3096) + coupl(nGC_352)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_355)*dZeMinusR_QED2/2d0 + coupl(nGC_355&
                        )*dZnu_eL_QED2/2d0
      coupl(nGC_2628) = coupl(nGC_13)**2d0*coupl(nGC_835)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2629) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_365) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_365) - coupl(nGC_334 &
                        )*coupl(nGC_364)*coupl(nGC_811) - coupl(nGC_337)*coupl(&
                        nGC_367)*coupl(nGC_811) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_835) - coupl(nGC_365)**2d0*coupl(nGC_835) - coupl( &
                        nGC_366)**2d0*coupl(nGC_835) - coupl(nGC_368)**2d0*    &
                        coupl(nGC_835))/(32d0*pi**2d0)
      coupl(nGC_3941) = coupl(nGC_242)*dZG0Ha_QED2/2d0 + coupl(nGC_245)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_246)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_253)*dZHa_QED2/2d0 + coupl(nGC_253)*dZHl_QED2&
                        /2d0 + coupl(nGC_3021) + coupl(nGC_TS_GC_38_Hl) + coupl&
                        (nGC_TS_GC_47_Hh)
      coupl(nGC_3577) = coupl(nGC_3086) + coupl(nGC_363)*dZHl_QED2/2d0 + coupl(&
                        nGC_363)*dZsL_QED2/2d0 + coupl(nGC_363)*dZsR_QED2/2d0  &
                         + coupl(nGC_366)*dZHhHl_QED2/2d0
      coupl(nGC_2627) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_835) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_835) - coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_364) - coupl(nGC_335)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_365) - coupl(nGC_365)*coupl(nGC_366)**2d0 - coupl( &
                        nGC_365)*coupl(nGC_835)**2d0 - coupl(nGC_365)*coupl(   &
                        nGC_859)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2621) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_335) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_335) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_811) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_835) - coupl(nGC_335)**2d0*coupl(nGC_811) -  &
                        coupl(nGC_336)**2d0*coupl(nGC_811) - coupl(nGC_337)*   &
                        coupl(nGC_367)*coupl(nGC_835) - coupl(nGC_338)**2d0*   &
                        coupl(nGC_811))/(32d0*pi**2d0)
      coupl(nGC_3949) = coupl(nGC_218)*dZHMinus_QED2 + coupl(nGC_218)*dZZ_QED2/&
                        2d0 + coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3163)
      coupl(nGC_2475) = (coupl(nGC_1)*coupl(nGC_334)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_337)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_333)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_811) +     &
                        coupl(nGC_2)*coupl(nGC_336)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_338)*coupl(nGC_825))/(32d0*pi**2d0)
      coupl(nGC_3642) = coupl(nGC_3058) + coupl(nGC_340)*dZbR_QED2/2d0 + coupl(&
                        nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*               &
                        dZHMinusGMinus_QED2/2d0
      coupl(nGC_3595) = coupl(nGC_230)*dZZ_QED2 + coupl(nGC_3170)
      coupl(nGC_3842) = coupl(nGC_2971) + coupl(nGC_35)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
      coupl(nGC_3785) = coupl(nGC_247)*dZHMinus_QED2/2d0 + coupl(nGC_258)*     &
                        dZHaG0_QED2/2d0 + coupl(nGC_3032) + coupl(             &
                        nGC_TS_GC_53_Hh) + coupl(nGC_TS_GC_62_Hl)
      coupl(nGC_2889) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_334)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_343)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_346)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_364)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_370)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_382)**2d0 &
                         + 6d0*cima*coupl(nGC_100)*coupl(nGC_909) + 3d0*cima*  &
                        coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197 &
                        )**2d0*coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_376)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(   &
                        nGC_221) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*  &
                        coupl(nGC_100)*coupl(nGC_198)*coupl(nGC_841) + 6d0*    &
                        coupl(nGC_100)*coupl(nGC_4)*coupl(nGC_809) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_221)*coupl(nGC_867) + 6d0*coupl(    &
                        nGC_199)*coupl(nGC_229)*coupl(nGC_785) + 6d0*coupl(    &
                        nGC_221)*coupl(nGC_3)*coupl(nGC_785) + 6d0*coupl(nGC_29&
                        )*coupl(nGC_3)*coupl(nGC_867))/(48d0*pi**2d0)
      coupl(nGC_2885) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_341)*coupl(&
                        nGC_817) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_344)*  &
                        coupl(nGC_851) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_347)*coupl(nGC_883) - 4d0*Nc*coupl(nGC_206)**2d0*  &
                        coupl(nGC_350)*coupl(nGC_821) - 4d0*Nc*coupl(nGC_206)**&
                        2d0*coupl(nGC_365)*coupl(nGC_859) - 4d0*Nc*coupl(      &
                        nGC_206)**2d0*coupl(nGC_368)*coupl(nGC_835) + 5d0*Nc*  &
                        coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_341)*coupl(    &
                        nGC_817) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl( &
                        nGC_344)*coupl(nGC_851) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_209)*coupl(nGC_347)*coupl(nGC_883) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_350)*coupl(nGC_821   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_365 &
                        )*coupl(nGC_859) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209 &
                        )*coupl(nGC_368)*coupl(nGC_835) - 4d0*Nc*coupl(nGC_207 &
                        )**2d0*coupl(nGC_335)*coupl(nGC_825) - 4d0*Nc*coupl(   &
                        nGC_207)**2d0*coupl(nGC_338)*coupl(nGC_811) - 4d0*Nc*  &
                        coupl(nGC_207)**2d0*coupl(nGC_371)*coupl(nGC_885) - 4d0&
                        *Nc*coupl(nGC_207)**2d0*coupl(nGC_374)*coupl(nGC_875   &
                        ) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(nGC_383)*coupl(   &
                        nGC_807) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(nGC_386)*  &
                        coupl(nGC_863) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)* &
                        coupl(nGC_335)*coupl(nGC_825) + 5d0*Nc*coupl(nGC_207)* &
                        coupl(nGC_210)*coupl(nGC_338)*coupl(nGC_811) + 5d0*Nc* &
                        coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_371)*coupl(    &
                        nGC_885) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl( &
                        nGC_374)*coupl(nGC_875) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_210)*coupl(nGC_383)*coupl(nGC_807) + 5d0*Nc*coupl( &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_386)*coupl(nGC_863   &
                        ) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(nGC_341)*coupl(   &
                        nGC_817) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(nGC_344)*  &
                        coupl(nGC_851) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(     &
                        nGC_347)*coupl(nGC_883) - 4d0*Nc*coupl(nGC_209)**2d0*  &
                        coupl(nGC_350)*coupl(nGC_821) - 4d0*Nc*coupl(nGC_209)**&
                        2d0*coupl(nGC_365)*coupl(nGC_859) - 4d0*Nc*coupl(      &
                        nGC_209)**2d0*coupl(nGC_368)*coupl(nGC_835) - 4d0*Nc*  &
                        coupl(nGC_210)**2d0*coupl(nGC_335)*coupl(nGC_825) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_338)*coupl(nGC_811   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_371)*coupl(   &
                        nGC_885) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_374)*  &
                        coupl(nGC_875) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(     &
                        nGC_383)*coupl(nGC_807) - 4d0*Nc*coupl(nGC_210)**2d0*  &
                        coupl(nGC_386)*coupl(nGC_863) - 4d0*coupl(nGC_208)**2d0&
                        *coupl(nGC_353)*coupl(nGC_861) - 4d0*coupl(nGC_208)**  &
                        2d0*coupl(nGC_356)*coupl(nGC_855) - 4d0*coupl(nGC_208  &
                        )**2d0*coupl(nGC_359)*coupl(nGC_815) - 4d0*coupl(      &
                        nGC_208)**2d0*coupl(nGC_362)*coupl(nGC_927) - 4d0*coupl&
                        (nGC_208)**2d0*coupl(nGC_377)*coupl(nGC_787) - 4d0*    &
                        coupl(nGC_208)**2d0*coupl(nGC_380)*coupl(nGC_831) + 5d0&
                        *coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353)*coupl(   &
                        nGC_861) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(    &
                        nGC_356)*coupl(nGC_855) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_211)*coupl(nGC_359)*coupl(nGC_815) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_362)*coupl(nGC_927   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377)*  &
                        coupl(nGC_787) + 5d0*coupl(nGC_208)*coupl(nGC_211)*    &
                        coupl(nGC_380)*coupl(nGC_831) - 4d0*coupl(nGC_211)**2d0&
                        *coupl(nGC_353)*coupl(nGC_861) - 4d0*coupl(nGC_211)**  &
                        2d0*coupl(nGC_356)*coupl(nGC_855) - 4d0*coupl(nGC_211  &
                        )**2d0*coupl(nGC_359)*coupl(nGC_815) - 4d0*coupl(      &
                        nGC_211)**2d0*coupl(nGC_362)*coupl(nGC_927) - 4d0*coupl&
                        (nGC_211)**2d0*coupl(nGC_377)*coupl(nGC_787) - 4d0*    &
                        coupl(nGC_211)**2d0*coupl(nGC_380)*coupl(nGC_831))/(   &
                        24d0*pi**2d0)
      coupl(nGC_3470) = coupl(nGC_2978) + coupl(nGC_53)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHl_QED2/2d0
      coupl(nGC_3468) = coupl(nGC_3099) + coupl(nGC_352)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_352)*dZeMinusR_QED2/2d0 + coupl(nGC_352)*    &
                        dZnu_eL_QED2/2d0 + coupl(nGC_355)*dZGMinusHMinus_QED2/ &
                        2d0
      coupl(nGC_3371) = coupl(nGC_3091) + coupl(nGC_347)*dZdL_QCD2/2d0 + coupl(&
                        nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3370) = coupl(nGC_3090) + coupl(nGC_347)*dZHa_QED2/2d0 + coupl(&
                        nGC_347)*dZdL_QED2/2d0 + coupl(nGC_347)*dZdR_QED2/2d0  &
                         + coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_3373) = -coupl(nGC_3091) - coupl(nGC_347)*dZdL_QCD2/2d0 - coupl&
                        (nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3372) = -coupl(nGC_3090) - coupl(nGC_347)*dZHa_QED2/2d0 - coupl&
                        (nGC_347)*dZdL_QED2/2d0 - coupl(nGC_347)*dZdR_QED2/2d0 &
                         - coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_3374) = coupl(nGC_232)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_3010)
      coupl(nGC_2619) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_811) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_811) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_335) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_365) - coupl(nGC_335)*coupl(nGC_336)**2d0 -  &
                        coupl(nGC_335)*coupl(nGC_811)**2d0 - coupl(nGC_335)*   &
                        coupl(nGC_825)**2d0 - coupl(nGC_337)*coupl(nGC_365)*   &
                        coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_3973) = coupl(nGC_3296) + coupl(nGC_MHA)*dZHa_QED2 + coupl(    &
                        nGC_TS_GC_246_Hl) + coupl(nGC_TS_GC_254_Hh)
      coupl(nGC_2872) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_335)*coupl( &
                        nGC_825) + Nc*coupl(nGC_334)**2d0*coupl(nGC_338)*coupl(&
                        nGC_811) + Nc*coupl(nGC_334)**2d0*coupl(nGC_365)*coupl(&
                        nGC_859) + Nc*coupl(nGC_334)**2d0*coupl(nGC_368)*coupl(&
                        nGC_835) + Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(     &
                        nGC_364)*coupl(nGC_368) + Nc*coupl(nGC_334)*coupl(     &
                        nGC_338)*coupl(nGC_364)*coupl(nGC_365) + Nc*coupl(     &
                        nGC_334)*coupl(nGC_364)*coupl(nGC_811)*coupl(nGC_859   &
                        ) + Nc*coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_825)*   &
                        coupl(nGC_835) + Nc*coupl(nGC_335)*coupl(nGC_364)**2d0*&
                        coupl(nGC_825) + Nc*coupl(nGC_338)*coupl(nGC_364)**2d0*&
                        coupl(nGC_811) + Nc*coupl(nGC_341)*coupl(nGC_343)**2d0*&
                        coupl(nGC_817) + Nc*coupl(nGC_341)*coupl(nGC_343)*coupl&
                        (nGC_370)*coupl(nGC_371) + Nc*coupl(nGC_341)*coupl(    &
                        nGC_370)**2d0*coupl(nGC_817) + Nc*coupl(nGC_343)**2d0* &
                        coupl(nGC_344)*coupl(nGC_851) + Nc*coupl(nGC_343)**2d0*&
                        coupl(nGC_371)*coupl(nGC_885) + Nc*coupl(nGC_343)**2d0*&
                        coupl(nGC_374)*coupl(nGC_875) + Nc*coupl(nGC_343)*coupl&
                        (nGC_344)*coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(    &
                        nGC_343)*coupl(nGC_370)*coupl(nGC_817)*coupl(nGC_885   &
                        ) + Nc*coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_851)*   &
                        coupl(nGC_875) + Nc*coupl(nGC_344)*coupl(nGC_370)**2d0*&
                        coupl(nGC_851) + Nc*coupl(nGC_346)**2d0*coupl(nGC_347)*&
                        coupl(nGC_883) + Nc*coupl(nGC_346)**2d0*coupl(nGC_350)*&
                        coupl(nGC_821) + Nc*coupl(nGC_346)**2d0*coupl(nGC_383)*&
                        coupl(nGC_807) + Nc*coupl(nGC_346)**2d0*coupl(nGC_386)*&
                        coupl(nGC_863) + Nc*coupl(nGC_346)*coupl(nGC_347)*coupl&
                        (nGC_382)*coupl(nGC_386) + Nc*coupl(nGC_346)*coupl(    &
                        nGC_350)*coupl(nGC_382)*coupl(nGC_383) + Nc*coupl(     &
                        nGC_346)*coupl(nGC_382)*coupl(nGC_807)*coupl(nGC_821   &
                        ) + Nc*coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_863)*   &
                        coupl(nGC_883) + Nc*coupl(nGC_347)*coupl(nGC_382)**2d0*&
                        coupl(nGC_883) + Nc*coupl(nGC_350)*coupl(nGC_382)**2d0*&
                        coupl(nGC_821) + Nc*coupl(nGC_364)**2d0*coupl(nGC_365)*&
                        coupl(nGC_859) + Nc*coupl(nGC_364)**2d0*coupl(nGC_368)*&
                        coupl(nGC_835) + Nc*coupl(nGC_370)**2d0*coupl(nGC_371)*&
                        coupl(nGC_885) + Nc*coupl(nGC_370)**2d0*coupl(nGC_374)*&
                        coupl(nGC_875) + Nc*coupl(nGC_382)**2d0*coupl(nGC_383)*&
                        coupl(nGC_807) + Nc*coupl(nGC_382)**2d0*coupl(nGC_386)*&
                        coupl(nGC_863) + coupl(nGC_352)**2d0*coupl(nGC_353)*   &
                        coupl(nGC_861) + coupl(nGC_352)**2d0*coupl(nGC_356)*   &
                        coupl(nGC_855) + coupl(nGC_358)**2d0*coupl(nGC_359)*   &
                        coupl(nGC_815) + coupl(nGC_358)**2d0*coupl(nGC_362)*   &
                        coupl(nGC_927) + coupl(nGC_376)**2d0*coupl(nGC_377)*   &
                        coupl(nGC_787) + coupl(nGC_376)**2d0*coupl(nGC_380)*   &
                        coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_3935) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*     &
                        dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_178)*dZHlHh_QED2/2d0 - coupl(nGC_179)*       &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_3145)
      coupl(nGC_3668) = coupl(nGC_231)*dZHMinus_QED2/2d0 + coupl(nGC_231)*     &
                        dZWMinus_QED2/2d0 + coupl(nGC_231)*dZZ_QED2/2d0 + coupl&
                        (nGC_237)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_3168) +  &
                        coupl(nGC_321)*dZAZ_QED2/2d0 + coupl(nGC_TS_GC_22_Hh   &
                        ) + coupl(nGC_TS_GC_23_Hl)
      coupl(nGC_3833) = coupl(nGC_3126) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                        nGC_381)*dZuL_QED2/2d0 + coupl(nGC_381)*dZuR_QED2/2d0  &
                         + coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_2443) = cima*sq2**2d0*(Nc*coupl(nGC_907)**2d0 - 6d0*coupl(     &
                        nGC_13)**2d0)/(96d0*pi**2d0)
      coupl(nGC_2444) = -Nc*cima*coupl(nGC_907)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2446) = cima*sq2**2d0*(-Nc*coupl(nGC_907)**2d0 + 6d0*coupl(    &
                        nGC_13)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_3660) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 + coupl(nGC_3145)
      coupl(nGC_2690) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_366)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_835)**2d0 - coupl(nGC_363)*coupl(nGC_859)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_4034) = -coupl(nGC_2578)
      coupl(nGC_2877) = 5d0*cima*(Nc*coupl(nGC_335)*coupl(nGC_336)**2d0*coupl( &
                        nGC_338) + 2d0*Nc*coupl(nGC_335)*coupl(nGC_336)**2d0*  &
                        coupl(nGC_825) + 2d0*Nc*coupl(nGC_336)**2d0*coupl(     &
                        nGC_338)*coupl(nGC_811) + Nc*coupl(nGC_336)**2d0*coupl(&
                        nGC_811)*coupl(nGC_825) + Nc*coupl(nGC_339)**2d0*coupl(&
                        nGC_341)*coupl(nGC_344) + 2d0*Nc*coupl(nGC_339)**2d0*  &
                        coupl(nGC_341)*coupl(nGC_817) + 2d0*Nc*coupl(nGC_339)**&
                        2d0*coupl(nGC_344)*coupl(nGC_851) + Nc*coupl(nGC_339)**&
                        2d0*coupl(nGC_817)*coupl(nGC_851) + Nc*coupl(nGC_347)* &
                        coupl(nGC_348)**2d0*coupl(nGC_350) + 2d0*Nc*coupl(     &
                        nGC_347)*coupl(nGC_348)**2d0*coupl(nGC_883) + 2d0*Nc*  &
                        coupl(nGC_348)**2d0*coupl(nGC_350)*coupl(nGC_821) + Nc*&
                        coupl(nGC_348)**2d0*coupl(nGC_821)*coupl(nGC_883) + Nc*&
                        coupl(nGC_365)*coupl(nGC_366)**2d0*coupl(nGC_368) + 2d0&
                        *Nc*coupl(nGC_365)*coupl(nGC_366)**2d0*coupl(nGC_859   &
                        ) + 2d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)*coupl(   &
                        nGC_835) + Nc*coupl(nGC_366)**2d0*coupl(nGC_835)*coupl(&
                        nGC_859) + Nc*coupl(nGC_371)*coupl(nGC_372)**2d0*coupl(&
                        nGC_374) + 2d0*Nc*coupl(nGC_371)*coupl(nGC_372)**2d0*  &
                        coupl(nGC_885) + 2d0*Nc*coupl(nGC_372)**2d0*coupl(     &
                        nGC_374)*coupl(nGC_875) + Nc*coupl(nGC_372)**2d0*coupl(&
                        nGC_875)*coupl(nGC_885) + Nc*coupl(nGC_383)*coupl(     &
                        nGC_384)**2d0*coupl(nGC_386) + 2d0*Nc*coupl(nGC_383)*  &
                        coupl(nGC_384)**2d0*coupl(nGC_807) + 2d0*Nc*coupl(     &
                        nGC_384)**2d0*coupl(nGC_386)*coupl(nGC_863) + Nc*coupl(&
                        nGC_384)**2d0*coupl(nGC_807)*coupl(nGC_863) + coupl(   &
                        nGC_353)*coupl(nGC_354)**2d0*coupl(nGC_356) + 2d0*coupl&
                        (nGC_353)*coupl(nGC_354)**2d0*coupl(nGC_861) + 2d0*    &
                        coupl(nGC_354)**2d0*coupl(nGC_356)*coupl(nGC_855) +    &
                        coupl(nGC_354)**2d0*coupl(nGC_855)*coupl(nGC_861) +    &
                        coupl(nGC_359)*coupl(nGC_360)**2d0*coupl(nGC_362) + 2d0&
                        *coupl(nGC_359)*coupl(nGC_360)**2d0*coupl(nGC_815) +   &
                        2d0*coupl(nGC_360)**2d0*coupl(nGC_362)*coupl(nGC_927   &
                        ) + coupl(nGC_360)**2d0*coupl(nGC_815)*coupl(nGC_927   &
                        ) + coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(nGC_380   &
                        ) + 2d0*coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(      &
                        nGC_787) + 2d0*coupl(nGC_378)**2d0*coupl(nGC_380)*coupl&
                        (nGC_831) + coupl(nGC_378)**2d0*coupl(nGC_787)*coupl(  &
                        nGC_831))/(24d0*pi**2d0)
      coupl(nGC_2697) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_787)**2d0 - coupl(nGC_831)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2850) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(      &
                        nGC_337)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_825) + 5d0*Nc*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367)*coupl(nGC_859   &
                        ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366 &
                        )*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337 &
                        )*coupl(nGC_366)*coupl(nGC_859) + 5d0*Nc*coupl(nGC_334 &
                        )*coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_825) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(   &
                        nGC_368) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_338)*coupl( &
                        nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_336)*coupl( &
                        nGC_364)*coupl(nGC_367)*coupl(nGC_825) + 5d0*Nc*coupl( &
                        nGC_337)*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_366   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_341 &
                        )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340 &
                        )*coupl(nGC_343)*coupl(nGC_851) + 5d0*Nc*coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_885) + 5d0*Nc&
                        *coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_370)*coupl(   &
                        nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl( &
                        nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_370)*coupl(nGC_373)*coupl(nGC_851) + 5d0*Nc*coupl( &
                        nGC_340)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_374   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372 &
                        )*coupl(nGC_885) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_370 &
                        )*coupl(nGC_372)*coupl(nGC_851) + 5d0*Nc*coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc&
                        *coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349)*coupl(   &
                        nGC_350) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl( &
                        nGC_349)*coupl(nGC_883) + 5d0*Nc*coupl(nGC_346)*coupl( &
                        nGC_348)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl( &
                        nGC_346)*coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_386   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384 &
                        )*coupl(nGC_807) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348 &
                        )*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_807) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_382)*coupl(   &
                        nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_382)*coupl( &
                        nGC_385)*coupl(nGC_883) + 5d0*Nc*coupl(nGC_349)*coupl( &
                        nGC_382)*coupl(nGC_384)*coupl(nGC_883) + 5d0*Nc*coupl( &
                        nGC_364)*coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_368   &
                        ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367 &
                        )*coupl(nGC_859) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_372 &
                        )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_370 &
                        )*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_885) + 5d0*Nc&
                        *coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385)*coupl(   &
                        nGC_386) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl( &
                        nGC_385)*coupl(nGC_807) + 6d0*coupl(nGC_175)*coupl(    &
                        nGC_187) + 6d0*coupl(nGC_22)*coupl(nGC_31) + 5d0*coupl(&
                        nGC_352)*coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_356   &
                        ) + 5d0*coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_355)*  &
                        coupl(nGC_861) + 5d0*coupl(nGC_358)*coupl(nGC_360)*    &
                        coupl(nGC_361)*coupl(nGC_362) + 5d0*coupl(nGC_358)*    &
                        coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_815) + 5d0*    &
                        coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl(    &
                        nGC_380) + 5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379)*coupl(nGC_787))/(48d0*pi**2d0)
      coupl(nGC_3584) = -coupl(nGC_11)*dZg_QCD2/4d0 - coupl(nGC_3047)/2d0
      coupl(nGC_3582) = coupl(nGC_244)*dZHMinus_QED2/2d0 + coupl(nGC_244)*     &
                        dZHh_QED2/2d0 + coupl(nGC_249)*dZGMinusHMinus_QED2/2d0 &
                         + coupl(nGC_251)*dZHMinusGMinus_QED2/2d0 + coupl(     &
                        nGC_252)*dZHlHh_QED2/2d0 + coupl(nGC_3029) + coupl(    &
                        nGC_TS_GC_37_Hh) + coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_2859) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_338)*coupl(&
                        nGC_825) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_368)* &
                        coupl(nGC_859) + 10d0*Nc*coupl(nGC_334)*coupl(nGC_338)*&
                        coupl(nGC_364)*coupl(nGC_368) + 10d0*Nc*coupl(nGC_334)*&
                        coupl(nGC_364)*coupl(nGC_825)*coupl(nGC_859) + 10d0*Nc*&
                        coupl(nGC_338)*coupl(nGC_364)**2d0*coupl(nGC_825) +    &
                        10d0*Nc*coupl(nGC_341)*coupl(nGC_343)**2d0*coupl(      &
                        nGC_851) + 10d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_374) + 10d0*Nc*coupl(nGC_341)*coupl(&
                        nGC_370)**2d0*coupl(nGC_851) + 10d0*Nc*coupl(nGC_343)**&
                        2d0*coupl(nGC_374)*coupl(nGC_885) + 10d0*Nc*coupl(     &
                        nGC_343)*coupl(nGC_370)*coupl(nGC_851)*coupl(nGC_885   &
                        ) + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_350)*coupl(  &
                        nGC_883) + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_386)* &
                        coupl(nGC_807) + 10d0*Nc*coupl(nGC_346)*coupl(nGC_350)*&
                        coupl(nGC_382)*coupl(nGC_386) + 10d0*Nc*coupl(nGC_346)*&
                        coupl(nGC_382)*coupl(nGC_807)*coupl(nGC_883) + 10d0*Nc*&
                        coupl(nGC_350)*coupl(nGC_382)**2d0*coupl(nGC_883) +    &
                        10d0*Nc*coupl(nGC_364)**2d0*coupl(nGC_368)*coupl(      &
                        nGC_859) + 10d0*Nc*coupl(nGC_370)**2d0*coupl(nGC_374)* &
                        coupl(nGC_885) + 10d0*Nc*coupl(nGC_382)**2d0*coupl(    &
                        nGC_386)*coupl(nGC_807) + 6d0*coupl(nGC_100)**2d0 + 3d0&
                        *coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(nGC_352)** &
                        2d0*coupl(nGC_356)*coupl(nGC_861) + 10d0*coupl(nGC_358 &
                        )**2d0*coupl(nGC_362)*coupl(nGC_815) + 10d0*coupl(     &
                        nGC_376)**2d0*coupl(nGC_380)*coupl(nGC_787))/(48d0*pi**&
                        2d0)
      coupl(nGC_4048) = -coupl(nGC_2525)
      coupl(nGC_2424) = cima*(coupl(nGC_198)*coupl(nGC_841) + coupl(nGC_199)*  &
                        coupl(nGC_785) + coupl(nGC_3)*coupl(nGC_867) + coupl(  &
                        nGC_4)*coupl(nGC_809))/(48d0*pi**2d0)
      coupl(nGC_4060) = -coupl(nGC_2503)
      coupl(nGC_2474) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*  &
                        coupl(nGC_364)**2d0 + coupl(nGC_1)*coupl(nGC_367)**2d0 &
                         + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +   &
                        coupl(nGC_2)*coupl(nGC_333)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_335)*coupl(nGC_811) + coupl(nGC_2)*coupl(nGC_336)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_338)*coupl(nGC_825))/(32d0&
                        *pi**2d0)
      coupl(nGC_3479) = coupl(nGC_2978) + coupl(nGC_52)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHa_QED2/2d0 + coupl(nGC_62)*     &
                        dZHh_QED2/2d0
      coupl(nGC_2769) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_341)*coupl(      &
                        nGC_817) - Nc*coupl(nGC_1)**2d0*coupl(nGC_344)*coupl(  &
                        nGC_851) - Nc*coupl(nGC_1)**2d0*coupl(nGC_347)*coupl(  &
                        nGC_883) - Nc*coupl(nGC_1)**2d0*coupl(nGC_350)*coupl(  &
                        nGC_821) - Nc*coupl(nGC_1)**2d0*coupl(nGC_365)*coupl(  &
                        nGC_859) - Nc*coupl(nGC_1)**2d0*coupl(nGC_368)*coupl(  &
                        nGC_835) - Nc*coupl(nGC_2)**2d0*coupl(nGC_335)*coupl(  &
                        nGC_825) - Nc*coupl(nGC_2)**2d0*coupl(nGC_338)*coupl(  &
                        nGC_811) - Nc*coupl(nGC_2)**2d0*coupl(nGC_371)*coupl(  &
                        nGC_885) - Nc*coupl(nGC_2)**2d0*coupl(nGC_374)*coupl(  &
                        nGC_875) - Nc*coupl(nGC_2)**2d0*coupl(nGC_383)*coupl(  &
                        nGC_807) - Nc*coupl(nGC_2)**2d0*coupl(nGC_386)*coupl(  &
                        nGC_863) - coupl(nGC_353)*coupl(nGC_4)**2d0*coupl(     &
                        nGC_861) - coupl(nGC_356)*coupl(nGC_4)**2d0*coupl(     &
                        nGC_855) - coupl(nGC_359)*coupl(nGC_4)**2d0*coupl(     &
                        nGC_815) - coupl(nGC_362)*coupl(nGC_4)**2d0*coupl(     &
                        nGC_927) - coupl(nGC_377)*coupl(nGC_4)**2d0*coupl(     &
                        nGC_787) - coupl(nGC_380)*coupl(nGC_4)**2d0*coupl(     &
                        nGC_831))/(8d0*pi**2d0)
      coupl(nGC_3767) = coupl(nGC_2963) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl( &
                        nGC_41)*dZHl_QED2
      coupl(nGC_3764) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_229)*dZZ_QED2 +   &
                        coupl(nGC_3171)
      coupl(nGC_3472) = coupl(nGC_241)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_243 &
                        )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_244)*dZHhHl_QED2/&
                        2d0 + coupl(nGC_252)*dZHMinus_QED2/2d0 + coupl(nGC_252 &
                        )*dZHl_QED2/2d0 + coupl(nGC_3019) + coupl(             &
                        nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
      coupl(nGC_3768) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_3176) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2
      coupl(nGC_3769) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_3176) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
      coupl(nGC_3762) = coupl(nGC_2984) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                        nGC_35)*dZHl_QED2/2d0 + coupl(nGC_43)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_49)*          &
                        dZHlHh_QED2/2d0
      coupl(nGC_3924) = 3d0*coupl(nGC_234)*dZHl_QED2/2d0 + 3d0*coupl(nGC_236)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_3027) + coupl(             &
                        nGC_TS_GC_16_Hh) + coupl(nGC_TS_GC_18_Hl)
      coupl(nGC_3679) = coupl(nGC_3022) + coupl(nGC_328)*dZHl_QED2/2d0 + coupl(&
                        nGC_331)*dZHhHl_QED2/2d0
      coupl(nGC_2797) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_341)*  &
                        coupl(nGC_851) - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                        coupl(nGC_350)*coupl(nGC_883) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_206)*coupl(nGC_368)*coupl(nGC_859) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_341)*coupl(      &
                        nGC_851) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                        nGC_350)*coupl(nGC_883) - Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_209)*coupl(nGC_368)*coupl(nGC_859) - Nc*cima*coupl(&
                        nGC_2)*coupl(nGC_207)*coupl(nGC_338)*coupl(nGC_825) -  &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_374)*    &
                        coupl(nGC_885) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*  &
                        coupl(nGC_386)*coupl(nGC_807) - Nc*cima*coupl(nGC_2)*  &
                        coupl(nGC_210)*coupl(nGC_338)*coupl(nGC_825) - Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_374)*coupl(      &
                        nGC_885) - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(  &
                        nGC_386)*coupl(nGC_807) + cima*coupl(nGC_100)*coupl(   &
                        nGC_205) - cima*coupl(nGC_208)*coupl(nGC_356)*coupl(   &
                        nGC_4)*coupl(nGC_861) - cima*coupl(nGC_208)*coupl(     &
                        nGC_362)*coupl(nGC_4)*coupl(nGC_815) - cima*coupl(     &
                        nGC_208)*coupl(nGC_380)*coupl(nGC_4)*coupl(nGC_787) -  &
                        cima*coupl(nGC_211)*coupl(nGC_356)*coupl(nGC_4)*coupl( &
                        nGC_861) - cima*coupl(nGC_211)*coupl(nGC_362)*coupl(   &
                        nGC_4)*coupl(nGC_815) - cima*coupl(nGC_211)*coupl(     &
                        nGC_380)*coupl(nGC_4)*coupl(nGC_787) + coupl(nGC_100)* &
                        coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_100)*coupl(    &
                        nGC_809)*coupl(nGC_841))/(8d0*pi**2d0)
      coupl(nGC_3674) = coupl(nGC_248)*dZG0Ha_QED2/2d0 + coupl(nGC_257)*       &
                        dZHMinus_QED2/2d0 + coupl(nGC_257)*dZHa_QED2/2d0 +     &
                        coupl(nGC_3020) + coupl(nGC_TS_GC_52_Hl) + coupl(      &
                        nGC_TS_GC_62_Hh)
      coupl(nGC_3929) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(        &
                        nGC_TS_GC_244_Hh) + coupl(nGC_TS_GC_252_Hl)
      coupl(nGC_2860) = 5d0*cima*(Nc*coupl(nGC_335)*coupl(nGC_338)*coupl(      &
                        nGC_825)**2d0 + Nc*coupl(nGC_338)**2d0*coupl(nGC_811)* &
                        coupl(nGC_825) + Nc*coupl(nGC_341)**2d0*coupl(nGC_817)*&
                        coupl(nGC_851) + Nc*coupl(nGC_341)*coupl(nGC_344)*coupl&
                        (nGC_851)**2d0 + Nc*coupl(nGC_347)*coupl(nGC_350)*coupl&
                        (nGC_883)**2d0 + Nc*coupl(nGC_350)**2d0*coupl(nGC_821)*&
                        coupl(nGC_883) + Nc*coupl(nGC_365)*coupl(nGC_368)*coupl&
                        (nGC_859)**2d0 + Nc*coupl(nGC_368)**2d0*coupl(nGC_835)*&
                        coupl(nGC_859) + Nc*coupl(nGC_371)*coupl(nGC_374)*coupl&
                        (nGC_885)**2d0 + Nc*coupl(nGC_374)**2d0*coupl(nGC_875)*&
                        coupl(nGC_885) + Nc*coupl(nGC_383)*coupl(nGC_386)*coupl&
                        (nGC_807)**2d0 + Nc*coupl(nGC_386)**2d0*coupl(nGC_807)*&
                        coupl(nGC_863) + coupl(nGC_353)*coupl(nGC_356)*coupl(  &
                        nGC_861)**2d0 + coupl(nGC_356)**2d0*coupl(nGC_855)*    &
                        coupl(nGC_861) + coupl(nGC_359)*coupl(nGC_362)*coupl(  &
                        nGC_815)**2d0 + coupl(nGC_362)**2d0*coupl(nGC_815)*    &
                        coupl(nGC_927) + coupl(nGC_377)*coupl(nGC_380)*coupl(  &
                        nGC_787)**2d0 + coupl(nGC_380)**2d0*coupl(nGC_787)*    &
                        coupl(nGC_831))/(8d0*pi**2d0)
      coupl(nGC_3670) = coupl(nGC_3300) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0 + coupl(        &
                        nGC_TS_GC_375_Hl) + coupl(nGC_TS_GC_378_Hh)
      coupl(nGC_2846) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(      &
                        nGC_338)*coupl(nGC_825) + Nc*coupl(nGC_334)*coupl(     &
                        nGC_337)*coupl(nGC_368)*coupl(nGC_859) + Nc*coupl(     &
                        nGC_334)*coupl(nGC_367)*coupl(nGC_825)*coupl(nGC_859   &
                        ) + Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364)*   &
                        coupl(nGC_368) + Nc*coupl(nGC_338)*coupl(nGC_364)*coupl&
                        (nGC_367)*coupl(nGC_825) + Nc*coupl(nGC_340)*coupl(    &
                        nGC_341)*coupl(nGC_343)*coupl(nGC_851) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343)*coupl(nGC_374)*coupl(nGC_885   &
                        ) + Nc*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_851)*   &
                        coupl(nGC_885) + Nc*coupl(nGC_341)*coupl(nGC_343)*coupl&
                        (nGC_373)*coupl(nGC_374) + Nc*coupl(nGC_341)*coupl(    &
                        nGC_370)*coupl(nGC_373)*coupl(nGC_851) + Nc*coupl(     &
                        nGC_346)*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_883   &
                        ) + Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386)*   &
                        coupl(nGC_807) + Nc*coupl(nGC_346)*coupl(nGC_350)*coupl&
                        (nGC_385)*coupl(nGC_386) + Nc*coupl(nGC_349)*coupl(    &
                        nGC_382)*coupl(nGC_807)*coupl(nGC_883) + Nc*coupl(     &
                        nGC_350)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_883   &
                        ) + Nc*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368)*   &
                        coupl(nGC_859) + Nc*coupl(nGC_370)*coupl(nGC_373)*coupl&
                        (nGC_374)*coupl(nGC_885) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_385)*coupl(nGC_386)*coupl(nGC_807) + coupl(nGC_352 &
                        )*coupl(nGC_355)*coupl(nGC_356)*coupl(nGC_861) + coupl(&
                        nGC_358)*coupl(nGC_361)*coupl(nGC_362)*coupl(nGC_815   &
                        ) + coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380)*coupl(&
                        nGC_787))/(24d0*pi**2d0)
      coupl(nGC_3848) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/  &
                        2d0 + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3147)
      coupl(nGC_3846) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_3176) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_3845) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_3176) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusL_QED2
      coupl(nGC_2849) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(      &
                        nGC_337)*coupl(nGC_825) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_337)*coupl(nGC_338)*coupl(nGC_811) + 5d0*Nc*coupl( &
                        nGC_334)*coupl(nGC_337)*coupl(nGC_365)*coupl(nGC_859   &
                        ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368 &
                        )*coupl(nGC_835) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_367 &
                        )*coupl(nGC_811)*coupl(nGC_859) + 5d0*Nc*coupl(nGC_334 &
                        )*coupl(nGC_367)*coupl(nGC_825)*coupl(nGC_835) + 5d0*Nc&
                        *coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*coupl(   &
                        nGC_368) + 5d0*Nc*coupl(nGC_335)*coupl(nGC_364)*coupl( &
                        nGC_367)*coupl(nGC_825) + 5d0*Nc*coupl(nGC_337)*coupl( &
                        nGC_338)*coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl( &
                        nGC_338)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_811   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343 &
                        )*coupl(nGC_817) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343 &
                        )*coupl(nGC_344)*coupl(nGC_851) + 5d0*Nc*coupl(nGC_340 &
                        )*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_885) + 5d0*Nc&
                        *coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374)*coupl(   &
                        nGC_875) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_370)*coupl( &
                        nGC_817)*coupl(nGC_885) + 5d0*Nc*coupl(nGC_340)*coupl( &
                        nGC_370)*coupl(nGC_851)*coupl(nGC_875) + 5d0*Nc*coupl( &
                        nGC_341)*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373 &
                        )*coupl(nGC_817) + 5d0*Nc*coupl(nGC_343)*coupl(nGC_344 &
                        )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_344 &
                        )*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_851) + 5d0*Nc&
                        *coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_349)*coupl(   &
                        nGC_883) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl( &
                        nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_346)*coupl( &
                        nGC_349)*coupl(nGC_350)*coupl(nGC_821) + 5d0*Nc*coupl( &
                        nGC_346)*coupl(nGC_349)*coupl(nGC_383)*coupl(nGC_807   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386 &
                        )*coupl(nGC_863) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_347 &
                        )*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_883) + 5d0*Nc&
                        *coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_807)*coupl(   &
                        nGC_821) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_382)*coupl( &
                        nGC_863)*coupl(nGC_883) + 5d0*Nc*coupl(nGC_350)*coupl( &
                        nGC_382)*coupl(nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl( &
                        nGC_364)*coupl(nGC_365)*coupl(nGC_367)*coupl(nGC_859   &
                        ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368 &
                        )*coupl(nGC_835) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_371 &
                        )*coupl(nGC_373)*coupl(nGC_885) + 5d0*Nc*coupl(nGC_370 &
                        )*coupl(nGC_373)*coupl(nGC_374)*coupl(nGC_875) + 5d0*Nc&
                        *coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385)*coupl(   &
                        nGC_807) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_385)*coupl( &
                        nGC_386)*coupl(nGC_863) + 6d0*coupl(nGC_186)*coupl(    &
                        nGC_187) + 6d0*coupl(nGC_30)*coupl(nGC_31) + 5d0*coupl(&
                        nGC_352)*coupl(nGC_353)*coupl(nGC_355)*coupl(nGC_861   &
                        ) + 5d0*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356)*  &
                        coupl(nGC_855) + 5d0*coupl(nGC_358)*coupl(nGC_359)*    &
                        coupl(nGC_361)*coupl(nGC_815) + 5d0*coupl(nGC_358)*    &
                        coupl(nGC_361)*coupl(nGC_362)*coupl(nGC_927) + 5d0*    &
                        coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379)*coupl(    &
                        nGC_787) + 5d0*coupl(nGC_376)*coupl(nGC_379)*coupl(    &
                        nGC_380)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_2861) = cima*(20d0*Nc*coupl(nGC_338)**2d0*coupl(nGC_825)**2d0  &
                         + 20d0*Nc*coupl(nGC_341)**2d0*coupl(nGC_851)**2d0 +   &
                        20d0*Nc*coupl(nGC_350)**2d0*coupl(nGC_883)**2d0 + 20d0*&
                        Nc*coupl(nGC_368)**2d0*coupl(nGC_859)**2d0 + 20d0*Nc*  &
                        coupl(nGC_374)**2d0*coupl(nGC_885)**2d0 + 20d0*Nc*coupl&
                        (nGC_386)**2d0*coupl(nGC_807)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_356  &
                        )**2d0*coupl(nGC_861)**2d0 + 20d0*coupl(nGC_362)**2d0* &
                        coupl(nGC_815)**2d0 + 20d0*coupl(nGC_380)**2d0*coupl(  &
                        nGC_787)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4059) = -coupl(nGC_2539)
      coupl(nGC_4058) = -coupl(nGC_2498)
      coupl(nGC_4055) = -coupl(nGC_2462)
      coupl(nGC_2770) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_341)*coupl(  &
                        nGC_851) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_350 &
                        )*coupl(nGC_883) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_368)*coupl(nGC_859) - 2d0*Nc*cima*coupl(nGC_2)**2d0&
                        *coupl(nGC_338)*coupl(nGC_825) - 2d0*Nc*cima*coupl(    &
                        nGC_2)**2d0*coupl(nGC_374)*coupl(nGC_885) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_386)*coupl(nGC_807) + cima&
                        *coupl(nGC_100)*coupl(nGC_9) - 2d0*cima*coupl(nGC_356)*&
                        coupl(nGC_4)**2d0*coupl(nGC_861) - 2d0*cima*coupl(     &
                        nGC_362)*coupl(nGC_4)**2d0*coupl(nGC_815) - 2d0*cima*  &
                        coupl(nGC_380)*coupl(nGC_4)**2d0*coupl(nGC_787) + coupl&
                        (nGC_100)*coupl(nGC_3)**2d0 + coupl(nGC_100)*coupl(    &
                        nGC_809)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2771) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 +  &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(    &
                        nGC_2) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2)**&
                        2d0 - 3d0*cima*coupl(nGC_197)**2d0*coupl(nGC_4)**2d0 - &
                        2d0*cima*coupl(nGC_198)*coupl(nGC_3)**2d0*coupl(nGC_841&
                        ) - 2d0*cima*coupl(nGC_199)*coupl(nGC_785)*coupl(      &
                        nGC_809)**2d0 + 3d0*cima*coupl(nGC_202)**2d0 - 2d0*cima&
                        *coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_809) - 2d0*  &
                        cima*coupl(nGC_3)*coupl(nGC_809)**2d0*coupl(nGC_867) + &
                        3d0*cima*coupl(nGC_827)**2d0 + 3d0*coupl(nGC_198)*coupl&
                        (nGC_202)*coupl(nGC_3) + 3d0*coupl(nGC_202)*coupl(nGC_3&
                        )*coupl(nGC_841) + 3d0*coupl(nGC_3)*coupl(nGC_4)*coupl(&
                        nGC_827) + 3d0*coupl(nGC_3)*coupl(nGC_809)*coupl(      &
                        nGC_827))/(24d0*pi**2d0)
      coupl(nGC_3791) = coupl(nGC_3083) + coupl(nGC_339)*dZbL_QCD2/2d0 + coupl(&
                        nGC_339)*dZbR_QCD2/2d0
      coupl(nGC_3778) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_3649) = coupl(nGC_3080) + coupl(nGC_363)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_366)*dZHh_QED2/2d0 + coupl(nGC_366)*dZsL_QED2&
                        /2d0 + coupl(nGC_366)*dZsR_QED2/2d0
      coupl(nGC_3716) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtR_QCD2 + &
                        coupl(nGC_3179)
      coupl(nGC_3714) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtL_QCD2 + &
                        coupl(nGC_3179)
      coupl(nGC_3919) = coupl(nGC_13)*dZbL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_3405) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)* &
                        dZHlHh_QED2/2d0 + coupl(nGC_24)*dZHh_QED2/2d0 + coupl( &
                        nGC_2954)
      coupl(nGC_3390) = coupl(nGC_3011) + coupl(nGC_328)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_331)*dZHh_QED2/2d0
      coupl(nGC_3397) = coupl(nGC_174)*dZHlHh_QED2/2d0 + coupl(nGC_175)*       &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0  &
                         + coupl(nGC_180)*dZHh_QED2/2d0 + coupl(nGC_180)*      &
                        dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZA_QED2/2d0 + coupl&
                        (nGC_3140)
      coupl(nGC_3913) = coupl(nGC_3311) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_339_Hh) + coupl&
                        (nGC_TS_GC_342_Hl)
      coupl(nGC_2871) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_338)**2d0  &
                         + 40d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_338)*coupl(   &
                        nGC_825) + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_825)**&
                        2d0 + 10d0*Nc*coupl(nGC_341)**2d0*coupl(nGC_342)**2d0  &
                         + 40d0*Nc*coupl(nGC_341)*coupl(nGC_342)**2d0*coupl(   &
                        nGC_851) + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_851)**&
                        2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_350)**2d0  &
                         + 40d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_350)*coupl(   &
                        nGC_883) + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_883)**&
                        2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_368)**2d0  &
                         + 40d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_368)*coupl(   &
                        nGC_859) + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_859)**&
                        2d0 + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)**2d0  &
                         + 40d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)*coupl(   &
                        nGC_885) + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_885)**&
                        2d0 + 10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_386)**2d0  &
                         + 40d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_386)*coupl(   &
                        nGC_807) + 10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_807)**&
                        2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(    &
                        nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_351)**2d0*    &
                        coupl(nGC_356)**2d0 + 40d0*coupl(nGC_351)**2d0*coupl(  &
                        nGC_356)*coupl(nGC_861) + 10d0*coupl(nGC_351)**2d0*    &
                        coupl(nGC_861)**2d0 + 10d0*coupl(nGC_357)**2d0*coupl(  &
                        nGC_362)**2d0 + 40d0*coupl(nGC_357)**2d0*coupl(nGC_362 &
                        )*coupl(nGC_815) + 10d0*coupl(nGC_357)**2d0*coupl(     &
                        nGC_815)**2d0 + 10d0*coupl(nGC_375)**2d0*coupl(nGC_380 &
                        )**2d0 + 40d0*coupl(nGC_375)**2d0*coupl(nGC_380)*coupl(&
                        nGC_787) + 10d0*coupl(nGC_375)**2d0*coupl(nGC_787)**2d0&
                        )/(48d0*pi**2d0)
      coupl(nGC_2870) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_338)**2d0 + 4d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_338)*coupl(nGC_825) + Nc*coupl(nGC_333)*coupl&
                        (nGC_336)*coupl(nGC_825)**2d0 + Nc*coupl(nGC_339)*coupl&
                        (nGC_341)**2d0*coupl(nGC_342) + 4d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_851) + Nc*coupl&
                        (nGC_339)*coupl(nGC_342)*coupl(nGC_851)**2d0 + Nc*coupl&
                        (nGC_345)*coupl(nGC_348)*coupl(nGC_350)**2d0 + 4d0*Nc* &
                        coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_350)*coupl(    &
                        nGC_883) + Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(     &
                        nGC_883)**2d0 + Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(&
                        nGC_368)**2d0 + 4d0*Nc*coupl(nGC_363)*coupl(nGC_366)*  &
                        coupl(nGC_368)*coupl(nGC_859) + Nc*coupl(nGC_363)*coupl&
                        (nGC_366)*coupl(nGC_859)**2d0 + Nc*coupl(nGC_369)*coupl&
                        (nGC_372)*coupl(nGC_374)**2d0 + 4d0*Nc*coupl(nGC_369)* &
                        coupl(nGC_372)*coupl(nGC_374)*coupl(nGC_885) + Nc*coupl&
                        (nGC_369)*coupl(nGC_372)*coupl(nGC_885)**2d0 + Nc*coupl&
                        (nGC_381)*coupl(nGC_384)*coupl(nGC_386)**2d0 + 4d0*Nc* &
                        coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386)*coupl(    &
                        nGC_807) + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(     &
                        nGC_807)**2d0 + coupl(nGC_351)*coupl(nGC_354)*coupl(   &
                        nGC_356)**2d0 + 4d0*coupl(nGC_351)*coupl(nGC_354)*coupl&
                        (nGC_356)*coupl(nGC_861) + coupl(nGC_351)*coupl(nGC_354&
                        )*coupl(nGC_861)**2d0 + coupl(nGC_357)*coupl(nGC_360)* &
                        coupl(nGC_362)**2d0 + 4d0*coupl(nGC_357)*coupl(nGC_360 &
                        )*coupl(nGC_362)*coupl(nGC_815) + coupl(nGC_357)*coupl(&
                        nGC_360)*coupl(nGC_815)**2d0 + coupl(nGC_375)*coupl(   &
                        nGC_378)*coupl(nGC_380)**2d0 + 4d0*coupl(nGC_375)*coupl&
                        (nGC_378)*coupl(nGC_380)*coupl(nGC_787) + coupl(nGC_375&
                        )*coupl(nGC_378)*coupl(nGC_787)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2873) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(      &
                        nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_346)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_334)*coupl(nGC_825) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_370)*coupl(nGC_885) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_382)*coupl(nGC_807) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_334)*coupl(nGC_825) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_364)*coupl(nGC_368) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_370)*coupl(nGC_885) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_382)*coupl(nGC_807) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_334)*coupl(nGC_825) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_364)*coupl(nGC_368) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_370)*coupl(nGC_885) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_382)*coupl(nGC_807) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_352)*coupl(nGC_356) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_358)*coupl(nGC_362) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_376)*coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_3484) = coupl(nGC_2985) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl( &
                        nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*      &
                        dZHMinusGMinus_QED2
      coupl(nGC_2875) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_341)*coupl(&
                        nGC_851) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(      &
                        nGC_350)*coupl(nGC_883) - 8d0*Nc*cima*coupl(nGC_206)** &
                        2d0*coupl(nGC_368)*coupl(nGC_859) + 10d0*Nc*cima*coupl(&
                        nGC_206)*coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_851   &
                        ) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                        nGC_350)*coupl(nGC_883) + 10d0*Nc*cima*coupl(nGC_206)* &
                        coupl(nGC_209)*coupl(nGC_368)*coupl(nGC_859) - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_338)*coupl(nGC_825  &
                        ) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(nGC_374)*    &
                        coupl(nGC_885) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(&
                        nGC_386)*coupl(nGC_807) + 10d0*Nc*cima*coupl(nGC_207)* &
                        coupl(nGC_210)*coupl(nGC_338)*coupl(nGC_825) + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_374)*coupl&
                        (nGC_885) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*&
                        coupl(nGC_386)*coupl(nGC_807) - 8d0*Nc*cima*coupl(     &
                        nGC_209)**2d0*coupl(nGC_341)*coupl(nGC_851) - 8d0*Nc*  &
                        cima*coupl(nGC_209)**2d0*coupl(nGC_350)*coupl(nGC_883  &
                        ) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_368)*    &
                        coupl(nGC_859) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(&
                        nGC_338)*coupl(nGC_825) - 8d0*Nc*cima*coupl(nGC_210)** &
                        2d0*coupl(nGC_374)*coupl(nGC_885) - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_386)*coupl(nGC_807) + 3d0*cima*&
                        coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_208 &
                        )**2d0*coupl(nGC_356)*coupl(nGC_861) - 8d0*cima*coupl( &
                        nGC_208)**2d0*coupl(nGC_362)*coupl(nGC_815) - 8d0*cima*&
                        coupl(nGC_208)**2d0*coupl(nGC_380)*coupl(nGC_787) +    &
                        10d0*cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356)*&
                        coupl(nGC_861) + 10d0*cima*coupl(nGC_208)*coupl(nGC_211&
                        )*coupl(nGC_362)*coupl(nGC_815) + 10d0*cima*coupl(     &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_380)*coupl(nGC_787   &
                        ) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_356)*coupl( &
                        nGC_861) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_362)*&
                        coupl(nGC_815) - 8d0*cima*coupl(nGC_211)**2d0*coupl(   &
                        nGC_380)*coupl(nGC_787) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_841)**2d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_3859) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_3481) = coupl(nGC_2979) + coupl(nGC_32)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_34&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/2d0 +    &
                        coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*       &
                        dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
      coupl(nGC_2876) = 5d0*cima*(Nc*coupl(nGC_335)**2d0*coupl(nGC_811)*coupl( &
                        nGC_825) + Nc*coupl(nGC_335)*coupl(nGC_338)*coupl(     &
                        nGC_811)**2d0 + Nc*coupl(nGC_341)*coupl(nGC_344)*coupl(&
                        nGC_817)**2d0 + Nc*coupl(nGC_344)**2d0*coupl(nGC_817)* &
                        coupl(nGC_851) + Nc*coupl(nGC_347)**2d0*coupl(nGC_821)*&
                        coupl(nGC_883) + Nc*coupl(nGC_347)*coupl(nGC_350)*coupl&
                        (nGC_821)**2d0 + Nc*coupl(nGC_365)**2d0*coupl(nGC_835)*&
                        coupl(nGC_859) + Nc*coupl(nGC_365)*coupl(nGC_368)*coupl&
                        (nGC_835)**2d0 + Nc*coupl(nGC_371)**2d0*coupl(nGC_875)*&
                        coupl(nGC_885) + Nc*coupl(nGC_371)*coupl(nGC_374)*coupl&
                        (nGC_875)**2d0 + Nc*coupl(nGC_383)**2d0*coupl(nGC_807)*&
                        coupl(nGC_863) + Nc*coupl(nGC_383)*coupl(nGC_386)*coupl&
                        (nGC_863)**2d0 + coupl(nGC_353)**2d0*coupl(nGC_855)*   &
                        coupl(nGC_861) + coupl(nGC_353)*coupl(nGC_356)*coupl(  &
                        nGC_855)**2d0 + coupl(nGC_359)**2d0*coupl(nGC_815)*    &
                        coupl(nGC_927) + coupl(nGC_359)*coupl(nGC_362)*coupl(  &
                        nGC_927)**2d0 + coupl(nGC_377)**2d0*coupl(nGC_787)*    &
                        coupl(nGC_831) + coupl(nGC_377)*coupl(nGC_380)*coupl(  &
                        nGC_831)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2879) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(      &
                        nGC_336)*coupl(nGC_338) + 2d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_335)*coupl(nGC_336)*coupl(nGC_825) + 2d0*Nc*coupl( &
                        nGC_333)*coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_811   &
                        ) + Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_811)*   &
                        coupl(nGC_825) + Nc*coupl(nGC_339)*coupl(nGC_341)*coupl&
                        (nGC_342)*coupl(nGC_344) + 2d0*Nc*coupl(nGC_339)*coupl(&
                        nGC_341)*coupl(nGC_342)*coupl(nGC_817) + 2d0*Nc*coupl( &
                        nGC_339)*coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_851   &
                        ) + Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_817)*   &
                        coupl(nGC_851) + Nc*coupl(nGC_345)*coupl(nGC_347)*coupl&
                        (nGC_348)*coupl(nGC_350) + 2d0*Nc*coupl(nGC_345)*coupl(&
                        nGC_347)*coupl(nGC_348)*coupl(nGC_883) + 2d0*Nc*coupl( &
                        nGC_345)*coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_821   &
                        ) + Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_821)*   &
                        coupl(nGC_883) + Nc*coupl(nGC_363)*coupl(nGC_365)*coupl&
                        (nGC_366)*coupl(nGC_368) + 2d0*Nc*coupl(nGC_363)*coupl(&
                        nGC_365)*coupl(nGC_366)*coupl(nGC_859) + 2d0*Nc*coupl( &
                        nGC_363)*coupl(nGC_366)*coupl(nGC_368)*coupl(nGC_835   &
                        ) + Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(nGC_835)*   &
                        coupl(nGC_859) + Nc*coupl(nGC_369)*coupl(nGC_371)*coupl&
                        (nGC_372)*coupl(nGC_374) + 2d0*Nc*coupl(nGC_369)*coupl(&
                        nGC_371)*coupl(nGC_372)*coupl(nGC_885) + 2d0*Nc*coupl( &
                        nGC_369)*coupl(nGC_372)*coupl(nGC_374)*coupl(nGC_875   &
                        ) + Nc*coupl(nGC_369)*coupl(nGC_372)*coupl(nGC_875)*   &
                        coupl(nGC_885) + Nc*coupl(nGC_381)*coupl(nGC_383)*coupl&
                        (nGC_384)*coupl(nGC_386) + 2d0*Nc*coupl(nGC_381)*coupl(&
                        nGC_383)*coupl(nGC_384)*coupl(nGC_807) + 2d0*Nc*coupl( &
                        nGC_381)*coupl(nGC_384)*coupl(nGC_386)*coupl(nGC_863   &
                        ) + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_807)*   &
                        coupl(nGC_863) + coupl(nGC_351)*coupl(nGC_353)*coupl(  &
                        nGC_354)*coupl(nGC_356) + 2d0*coupl(nGC_351)*coupl(    &
                        nGC_353)*coupl(nGC_354)*coupl(nGC_861) + 2d0*coupl(    &
                        nGC_351)*coupl(nGC_354)*coupl(nGC_356)*coupl(nGC_855   &
                        ) + coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_855)*coupl(&
                        nGC_861) + coupl(nGC_357)*coupl(nGC_359)*coupl(nGC_360 &
                        )*coupl(nGC_362) + 2d0*coupl(nGC_357)*coupl(nGC_359)*  &
                        coupl(nGC_360)*coupl(nGC_815) + 2d0*coupl(nGC_357)*    &
                        coupl(nGC_360)*coupl(nGC_362)*coupl(nGC_927) + coupl(  &
                        nGC_357)*coupl(nGC_360)*coupl(nGC_815)*coupl(nGC_927   &
                        ) + coupl(nGC_375)*coupl(nGC_377)*coupl(nGC_378)*coupl(&
                        nGC_380) + 2d0*coupl(nGC_375)*coupl(nGC_377)*coupl(    &
                        nGC_378)*coupl(nGC_787) + 2d0*coupl(nGC_375)*coupl(    &
                        nGC_378)*coupl(nGC_380)*coupl(nGC_831) + coupl(nGC_375 &
                        )*coupl(nGC_378)*coupl(nGC_787)*coupl(nGC_831))/(24d0* &
                        pi**2d0)
      coupl(nGC_2878) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_335)*coupl(    &
                        nGC_825) - Nc*coupl(nGC_338)*coupl(nGC_811) - Nc*coupl(&
                        nGC_341)*coupl(nGC_817) - Nc*coupl(nGC_344)*coupl(     &
                        nGC_851) - Nc*coupl(nGC_347)*coupl(nGC_883) - Nc*coupl(&
                        nGC_350)*coupl(nGC_821) - Nc*coupl(nGC_365)*coupl(     &
                        nGC_859) - Nc*coupl(nGC_368)*coupl(nGC_835) - Nc*coupl(&
                        nGC_371)*coupl(nGC_885) - Nc*coupl(nGC_374)*coupl(     &
                        nGC_875) - Nc*coupl(nGC_383)*coupl(nGC_807) - Nc*coupl(&
                        nGC_386)*coupl(nGC_863) - coupl(nGC_353)*coupl(nGC_861 &
                        ) - coupl(nGC_356)*coupl(nGC_855) - coupl(nGC_359)*    &
                        coupl(nGC_815) - coupl(nGC_362)*coupl(nGC_927) - coupl(&
                        nGC_377)*coupl(nGC_787) - coupl(nGC_380)*coupl(nGC_831 &
                        ))/(12d0*pi**2d0)
      coupl(nGC_3856) = coupl(nGC_246)*dZHa_QED2 + coupl(nGC_246)*dZHl_QED2/2d0&
                         + coupl(nGC_253)*dZG0Ha_QED2 + coupl(nGC_254)*        &
                        dZHhHl_QED2/2d0 + coupl(nGC_3026) + coupl(             &
                        nGC_TS_GC_36_Hh) + coupl(nGC_TS_GC_41_Hl)
      coupl(nGC_3857) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_3526) = coupl(nGC_3097) + coupl(nGC_358)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(      &
                        nGC_361)*dZnu_muL_QED2/2d0
      coupl(nGC_2523) = coupl(nGC_197)*(-Nc*coupl(nGC_337)*coupl(nGC_338) + Nc*&
                        coupl(nGC_340)*coupl(nGC_851) + Nc*coupl(nGC_349)*coupl&
                        (nGC_883) + Nc*coupl(nGC_367)*coupl(nGC_859) - Nc*coupl&
                        (nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)*coupl(    &
                        nGC_386) + coupl(nGC_355)*coupl(nGC_861) + coupl(      &
                        nGC_361)*coupl(nGC_815) + coupl(nGC_379)*coupl(nGC_787 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3450) = coupl(nGC_2993) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_52)*dZHa_QED2/2d0 + coupl(nGC_52)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZHhHl_QED2/2d0 + coupl(nGC_63)*   &
                        dZG0Ha_QED2/2d0
      coupl(nGC_2401) = cima*(Nc*coupl(nGC_335)*coupl(nGC_825) + Nc*coupl(     &
                        nGC_338)*coupl(nGC_811) + Nc*coupl(nGC_341)*coupl(     &
                        nGC_817) + Nc*coupl(nGC_344)*coupl(nGC_851) + Nc*coupl(&
                        nGC_347)*coupl(nGC_883) + Nc*coupl(nGC_350)*coupl(     &
                        nGC_821) + Nc*coupl(nGC_365)*coupl(nGC_859) + Nc*coupl(&
                        nGC_368)*coupl(nGC_835) + Nc*coupl(nGC_371)*coupl(     &
                        nGC_885) + Nc*coupl(nGC_374)*coupl(nGC_875) + Nc*coupl(&
                        nGC_383)*coupl(nGC_807) + Nc*coupl(nGC_386)*coupl(     &
                        nGC_863) + coupl(nGC_353)*coupl(nGC_861) + coupl(      &
                        nGC_356)*coupl(nGC_855) + coupl(nGC_359)*coupl(nGC_815 &
                        ) + coupl(nGC_362)*coupl(nGC_927) + coupl(nGC_377)*    &
                        coupl(nGC_787) + coupl(nGC_380)*coupl(nGC_831))/(48d0* &
                        pi**2d0)
      coupl(nGC_4036) = -coupl(nGC_2523)
      coupl(nGC_4041) = -coupl(nGC_2701)
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
