!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(10019)%branchR2(0:0))
      call avR2(10019, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10158)%branchR2(0:0))
      call avR2(10158, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(10530)%branchR2(0:1))
      call avR2(10530, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2812, nGC_2812,    &
      nGC_2812/))

      call avR2(10530, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(3708)%branchR2(0:0))
      call avR2(3708, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3169)%branchR2(0:1))
      call avR2(3169, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(3169, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(5884)%branchR2(0:0))
      call avR2(5884, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8998)%branchR2(0:0))
      call avR2(8998, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(2764)%branchR2(0:0))
      call avR2(2764, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(3022)%branchR2(0:0))
      call avR2(3022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9456)%branchR2(0:0))
      call avR2(9456, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10531)%branchR2(0:1))
      call avR2(10531, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2812, nGC_2812,    &
      nGC_2812/))

      call avR2(10531, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(5240)%branchR2(0:0))
      call avR2(5240, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6638)%branchR2(0:0))
      call avR2(6638, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(7471)%branchR2(0:0))
      call avR2(7471, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(7315)%branchR2(0:23))
      call avR2(7315, 0, 173, 1, 0, VVVV1, (/4, 0/), (/nGC_2943, nGC_2942,     &
      nGC_2942/))

      call avR2(7315, 1, 9, 1, 0, VVVV1, (/4, 0/), (/nGC_2944, nGC_2939,       &
      nGC_2945/))

      call avR2(7315, 2, 186, 1, 0, VVVV1, (/4, 0/), (/nGC_2947, nGC_2947,     &
      nGC_2947/))

      call avR2(7315, 3, 176, 1, 0, VVVV1, (/4, 0/), (/nGC_2942, nGC_2943,     &
      nGC_2942/))

      call avR2(7315, 4, 5, 1, 0, VVVV1, (/4, 0/), (/nGC_2940, nGC_2940,       &
      nGC_2939/))

      call avR2(7315, 5, 182, 1, 0, VVVV1, (/4, 0/), (/nGC_2947, nGC_2947,     &
      nGC_2947/))

      call avR2(7315, 6, 179, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,     &
      nGC_2941/))

      call avR2(7315, 7, 172, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,     &
      nGC_2941/))

      call avR2(7315, 8, 8, 1, 0, VVVV1, (/4, 0/), (/nGC_2939, nGC_2944,       &
      nGC_2946/))

      call avR2(7315, 9, 175, 1, 0, VVVV1, (/4, 0/), (/nGC_2942, nGC_2942,     &
      nGC_2943/))

      call avR2(7315, 10, 188, 1, 0, VVVV1, (/4, 0/), (/nGC_2947, nGC_2947,    &
      nGC_2947/))

      call avR2(7315, 11, 185, 1, 0, VVVV1, (/4, 0/), (/nGC_2948, nGC_2948,    &
      nGC_2948/))

      call avR2(7315, 12, 4, 1, 0, VVVV1, (/4, 0/), (/nGC_2940, nGC_2940,      &
      nGC_2939/))

      call avR2(7315, 13, 178, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,    &
      nGC_2941/))

      call avR2(7315, 14, 7, 1, 0, VVVV1, (/4, 0/), (/nGC_2944, nGC_2939,      &
      nGC_2945/))

      call avR2(7315, 15, 181, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,    &
      nGC_2941/))

      call avR2(7315, 16, 174, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,    &
      nGC_2941/))

      call avR2(7315, 17, 171, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,    &
      nGC_2941/))

      call avR2(7315, 18, 184, 1, 0, VVVV1, (/4, 0/), (/nGC_2947, nGC_2947,    &
      nGC_2947/))

      call avR2(7315, 19, 187, 1, 0, VVVV1, (/4, 0/), (/nGC_2947, nGC_2947,    &
      nGC_2947/))

      call avR2(7315, 20, 6, 1, 0, VVVV1, (/4, 0/), (/nGC_2939, nGC_2944,      &
      nGC_2946/))

      call avR2(7315, 21, 180, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,    &
      nGC_2941/))

      call avR2(7315, 22, 177, 1, 0, VVVV1, (/4, 0/), (/nGC_2941, nGC_2941,    &
      nGC_2941/))

      call avR2(7315, 23, 183, 1, 0, VVVV1, (/4, 0/), (/nGC_2947, nGC_2947,    &
      nGC_2947/))

      allocate(vertices(9664)%branchR2(0:0))
      call avR2(9664, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8321)%branchR2(0:0))
      call avR2(8321, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(8819)%branchR2(0:0))
      call avR2(8819, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(6727)%branchR2(0:0))
      call avR2(6727, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(10532)%branchR2(0:0))
      call avR2(10532, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8463)%branchR2(0:0))
      call avR2(8463, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8371)%branchR2(0:0))
      call avR2(8371, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4042/))

      allocate(vertices(1613)%branchR2(0:0))
      call avR2(1613, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2599/))

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8430)%branchR2(0:0))
      call avR2(8430, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(4423)%branchR2(0:0))
      call avR2(4423, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4558)%branchR2(0:0))
      call avR2(4558, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1090)%branchR2(0:0))
      call avR2(1090, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2701/))

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(10533)%branchR2(0:0))
      call avR2(10533, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2177)%branchR2(0:0))
      call avR2(2177, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6625)%branchR2(0:0))
      call avR2(6625, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2620)%branchR2(0:0))
      call avR2(2620, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10534)%branchR2(0:1))
      call avR2(10534, 0, 128, 1, 0, VSV0, (/2, 1/), (/nGC_2660/))

      call avR2(10534, 1, 127, 1, 0, VSV0, (/2, 1/), (/nGC_2659/))

      allocate(vertices(3797)%branchR2(0:0))
      call avR2(3797, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10212)%branchR2(0:0))
      call avR2(10212, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2156)%branchR2(0:0))
      call avR2(2156, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(6385)%branchR2(0:1))
      call avR2(6385, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(6385, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(10535)%branchR2(0:1))
      call avR2(10535, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10535, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(3221)%branchR2(0:0))
      call avR2(3221, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10536)%branchR2(0:0))
      call avR2(10536, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2790, nGC_2791,      &
      nGC_2791/))

      allocate(vertices(3405)%branchR2(0:0))
      call avR2(3405, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(10233)%branchR2(0:1))
      call avR2(10233, 0, 124, 1, 0, FaF3, (/0, 2/), (/nGC_2437, nGC_2434,     &
      nGC_2435, nGC_2435/))

      call avR2(10233, 1, 124, 1, 0, FaF3, (/2, 0/), (/nGC_2429, nGC_2429,     &
      nGC_2436, nGC_2436/))

      allocate(vertices(7996)%branchR2(0:1))
      call avR2(7996, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(7996, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(7565)%branchR2(0:1))
      call avR2(7565, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(7565, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(2928)%branchR2(0:0))
      call avR2(2928, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(2826)%branchR2(0:0))
      call avR2(2826, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2806, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(6351)%branchR2(0:0))
      call avR2(6351, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(4283)%branchR2(0:1))
      call avR2(4283, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(4283, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(4315)%branchR2(0:0))
      call avR2(4315, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7809)%branchR2(0:0))
      call avR2(7809, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4044/))

      allocate(vertices(9725)%branchR2(0:0))
      call avR2(9725, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10537)%branchR2(0:1))
      call avR2(10537, 0, 125, 1, 0, SVV0, (/2, 1/), (/nGC_2688/))

      call avR2(10537, 1, 126, 1, 0, SVV0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(4888)%branchR2(0:1))
      call avR2(4888, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(4888, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4045/))

      allocate(vertices(5555)%branchR2(0:0))
      call avR2(5555, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1839)%branchR2(0:1))
      call avR2(1839, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(1839, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(6956)%branchR2(0:0))
      call avR2(6956, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10538)%branchR2(0:0))
      call avR2(10538, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(9952)%branchR2(0:0))
      call avR2(9952, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8919)%branchR2(0:0))
      call avR2(8919, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8862)%branchR2(0:0))
      call avR2(8862, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6836)%branchR2(0:0))
      call avR2(6836, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(5971)%branchR2(0:0))
      call avR2(5971, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(6579)%branchR2(0:0))
      call avR2(6579, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2924,       &
      nGC_2924/))

      allocate(vertices(1358)%branchR2(0:0))
      call avR2(1358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10539)%branchR2(0:0))
      call avR2(10539, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(283)%branchR2(0:1))
      call avR2(283, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(283, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(5877)%branchR2(0:0))
      call avR2(5877, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10540)%branchR2(0:1))
      call avR2(10540, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2884/))

      call avR2(10540, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(5295)%branchR2(0:0))
      call avR2(5295, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4422)%branchR2(0:0))
      call avR2(4422, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(3302)%branchR2(0:1))
      call avR2(3302, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(3302, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(3814)%branchR2(0:0))
      call avR2(3814, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(4770)%branchR2(0:0))
      call avR2(4770, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2580/))

      allocate(vertices(10541)%branchR2(0:1))
      call avR2(10541, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2896/))

      call avR2(10541, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2897/))

      allocate(vertices(10542)%branchR2(0:0))
      call avR2(10542, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7894)%branchR2(0:0))
      call avR2(7894, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7056)%branchR2(0:1))
      call avR2(7056, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2708/))

      call avR2(7056, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7857)%branchR2(0:0))
      call avR2(7857, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3966)%branchR2(0:0))
      call avR2(3966, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4725)%branchR2(0:0))
      call avR2(4725, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,       &
      nGC_2921/))

      allocate(vertices(6176)%branchR2(0:0))
      call avR2(6176, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4590)%branchR2(0:0))
      call avR2(4590, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(19)%branchR2(0:1))
      call avR2(19, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(19, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(10543)%branchR2(0:5))
      call avR2(10543, 0, 149, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10543, 1, 148, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10543, 2, 151, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10543, 3, 152, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10543, 4, 150, 1, 0, VVVV1, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10543, 5, 147, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      allocate(vertices(10438)%branchR2(0:0))
      call avR2(10438, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10544)%branchR2(0:0))
      call avR2(10544, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(5382)%branchR2(0:0))
      call avR2(5382, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(8893)%branchR2(0:0))
      call avR2(8893, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4419)%branchR2(0:0))
      call avR2(4419, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4997)%branchR2(0:0))
      call avR2(4997, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(9504)%branchR2(0:0))
      call avR2(9504, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4634)%branchR2(0:0))
      call avR2(4634, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7825)%branchR2(0:0))
      call avR2(7825, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(8728)%branchR2(0:0))
      call avR2(8728, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(5076)%branchR2(0:0))
      call avR2(5076, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8223)%branchR2(0:0))
      call avR2(8223, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10090)%branchR2(0:0))
      call avR2(10090, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(7098)%branchR2(0:0))
      call avR2(7098, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9112)%branchR2(0:0))
      call avR2(9112, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(6279)%branchR2(0:0))
      call avR2(6279, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(3736)%branchR2(0:0))
      call avR2(3736, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9386)%branchR2(0:0))
      call avR2(9386, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(8814)%branchR2(0:0))
      call avR2(8814, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4046/))

      allocate(vertices(8906)%branchR2(0:0))
      call avR2(8906, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(3010)%branchR2(0:0))
      call avR2(3010, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4836)%branchR2(0:0))
      call avR2(4836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3489)%branchR2(0:0))
      call avR2(3489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(7099)%branchR2(0:0))
      call avR2(7099, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6626)%branchR2(0:0))
      call avR2(6626, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(10545)%branchR2(0:1))
      call avR2(10545, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      call avR2(10545, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(9546)%branchR2(0:0))
      call avR2(9546, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6282)%branchR2(0:0))
      call avR2(6282, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5329)%branchR2(0:1))
      call avR2(5329, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(5329, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(8725)%branchR2(0:0))
      call avR2(8725, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(3410)%branchR2(0:0))
      call avR2(3410, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(6397)%branchR2(0:0))
      call avR2(6397, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9026)%branchR2(0:0))
      call avR2(9026, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8963)%branchR2(0:0))
      call avR2(8963, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10407)%branchR2(0:0))
      call avR2(10407, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6965)%branchR2(0:0))
      call avR2(6965, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(8478)%branchR2(0:0))
      call avR2(8478, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8345)%branchR2(0:0))
      call avR2(8345, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(7781)%branchR2(0:0))
      call avR2(7781, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(4523)%branchR2(0:0))
      call avR2(4523, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(8916)%branchR2(0:0))
      call avR2(8916, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(9879)%branchR2(0:0))
      call avR2(9879, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(8932)%branchR2(0:0))
      call avR2(8932, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(2783)%branchR2(0:0))
      call avR2(2783, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(4961)%branchR2(0:0))
      call avR2(4961, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(2502)%branchR2(0:0))
      call avR2(2502, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2806, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(8656)%branchR2(0:1))
      call avR2(8656, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(8656, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(3895)%branchR2(0:0))
      call avR2(3895, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5780)%branchR2(0:0))
      call avR2(5780, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(2154)%branchR2(0:1))
      call avR2(2154, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(2154, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(5398)%branchR2(0:0))
      call avR2(5398, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10546)%branchR2(0:1))
      call avR2(10546, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      call avR2(10546, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2934, nGC_2934,    &
      nGC_2934/))

      allocate(vertices(9387)%branchR2(0:0))
      call avR2(9387, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4976)%branchR2(0:0))
      call avR2(4976, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9788)%branchR2(0:0))
      call avR2(9788, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9605)%branchR2(0:0))
      call avR2(9605, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(1598)%branchR2(0:1))
      call avR2(1598, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(1598, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(7392)%branchR2(0:0))
      call avR2(7392, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10109)%branchR2(0:1))
      call avR2(10109, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2435, nGC_2435/))

      call avR2(10109, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2436, nGC_2436/))

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9167)%branchR2(0:0))
      call avR2(9167, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9210)%branchR2(0:0))
      call avR2(9210, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(10547)%branchR2(0:1))
      call avR2(10547, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10547, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2847/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10188)%branchR2(0:0))
      call avR2(10188, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6565)%branchR2(0:1))
      call avR2(6565, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(6565, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(2162)%branchR2(0:0))
      call avR2(2162, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10461)%branchR2(0:0))
      call avR2(10461, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5929)%branchR2(0:0))
      call avR2(5929, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(6306)%branchR2(0:0))
      call avR2(6306, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8273)%branchR2(0:0))
      call avR2(8273, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(10548)%branchR2(0:0))
      call avR2(10548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(3024)%branchR2(0:1))
      call avR2(3024, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(3024, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9169)%branchR2(0:0))
      call avR2(9169, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(4533)%branchR2(0:0))
      call avR2(4533, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(8774)%branchR2(0:0))
      call avR2(8774, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10549)%branchR2(0:0))
      call avR2(10549, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8353)%branchR2(0:1))
      call avR2(8353, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(8353, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(10398)%branchR2(0:0))
      call avR2(10398, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2402, nGC_2401/))

      allocate(vertices(4713)%branchR2(0:0))
      call avR2(4713, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(1909)%branchR2(0:0))
      call avR2(1909, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10550)%branchR2(0:0))
      call avR2(10550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(4809)%branchR2(0:0))
      call avR2(4809, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4037/))

      allocate(vertices(9579)%branchR2(0:0))
      call avR2(9579, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(4053)%branchR2(0:0))
      call avR2(4053, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6357)%branchR2(0:0))
      call avR2(6357, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(1733)%branchR2(0:1))
      call avR2(1733, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2704/))

      call avR2(1733, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4122)%branchR2(0:0))
      call avR2(4122, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10551)%branchR2(0:0))
      call avR2(10551, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(8552)%branchR2(0:0))
      call avR2(8552, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(6251)%branchR2(0:0))
      call avR2(6251, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(7755)%branchR2(0:0))
      call avR2(7755, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6921)%branchR2(0:0))
      call avR2(6921, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(4372)%branchR2(0:0))
      call avR2(4372, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(10552)%branchR2(0:0))
      call avR2(10552, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(7537)%branchR2(0:0))
      call avR2(7537, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1303)%branchR2(0:1))
      call avR2(1303, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2707/))

      call avR2(1303, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5927)%branchR2(0:0))
      call avR2(5927, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6151)%branchR2(0:0))
      call avR2(6151, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2806/))

      allocate(vertices(10422)%branchR2(0:0))
      call avR2(10422, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(9775)%branchR2(0:0))
      call avR2(9775, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10151)%branchR2(0:0))
      call avR2(10151, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(1900)%branchR2(0:1))
      call avR2(1900, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(1900, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(3958)%branchR2(0:0))
      call avR2(3958, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8329)%branchR2(0:0))
      call avR2(8329, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(2881)%branchR2(0:0))
      call avR2(2881, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(3883)%branchR2(0:0))
      call avR2(3883, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,       &
      nGC_2921/))

      allocate(vertices(3979)%branchR2(0:0))
      call avR2(3979, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(3453)%branchR2(0:0))
      call avR2(3453, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6186)%branchR2(0:0))
      call avR2(6186, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4704)%branchR2(0:0))
      call avR2(4704, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(10553)%branchR2(0:0))
      call avR2(10553, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(4949)%branchR2(0:0))
      call avR2(4949, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8847)%branchR2(0:0))
      call avR2(8847, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3076)%branchR2(0:0))
      call avR2(3076, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8393)%branchR2(0:0))
      call avR2(8393, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(7431)%branchR2(0:0))
      call avR2(7431, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(10554)%branchR2(0:0))
      call avR2(10554, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5471)%branchR2(0:0))
      call avR2(5471, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4453)%branchR2(0:0))
      call avR2(4453, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2434)%branchR2(0:1))
      call avR2(2434, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(2434, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(3462)%branchR2(0:0))
      call avR2(3462, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(5739)%branchR2(0:0))
      call avR2(5739, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(7057)%branchR2(0:0))
      call avR2(7057, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9088)%branchR2(0:0))
      call avR2(9088, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4031/))

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(7342)%branchR2(0:0))
      call avR2(7342, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6849)%branchR2(0:0))
      call avR2(6849, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4603)%branchR2(0:0))
      call avR2(4603, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10077)%branchR2(0:0))
      call avR2(10077, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(8394)%branchR2(0:0))
      call avR2(8394, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(2467)%branchR2(0:1))
      call avR2(2467, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(2467, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4297)%branchR2(0:0))
      call avR2(4297, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(4070)%branchR2(0:1))
      call avR2(4070, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(4070, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(4353)%branchR2(0:0))
      call avR2(4353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5491)%branchR2(0:0))
      call avR2(5491, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4642)%branchR2(0:0))
      call avR2(4642, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(8981)%branchR2(0:0))
      call avR2(8981, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2414, nGC_2412,        &
      nGC_2413/))

      allocate(vertices(2663)%branchR2(0:0))
      call avR2(2663, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10555)%branchR2(0:1))
      call avR2(10555, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2812, nGC_2812,    &
      nGC_2812/))

      call avR2(10555, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(1527)%branchR2(0:1))
      call avR2(1527, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(1527, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9479)%branchR2(0:0))
      call avR2(9479, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(10092)%branchR2(0:0))
      call avR2(10092, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4068)%branchR2(0:0))
      call avR2(4068, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6153)%branchR2(0:0))
      call avR2(6153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(5097)%branchR2(0:0))
      call avR2(5097, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7311)%branchR2(0:0))
      call avR2(7311, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6046)%branchR2(0:0))
      call avR2(6046, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8110)%branchR2(0:0))
      call avR2(8110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(4936)%branchR2(0:0))
      call avR2(4936, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7770)%branchR2(0:0))
      call avR2(7770, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(10556)%branchR2(0:1))
      call avR2(10556, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2831/))

      call avR2(10556, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(10557)%branchR2(0:1))
      call avR2(10557, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2899/))

      call avR2(10557, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(4047)%branchR2(0:0))
      call avR2(4047, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4043/))

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(6409)%branchR2(0:1))
      call avR2(6409, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(6409, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(8539)%branchR2(0:0))
      call avR2(8539, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10478)%branchR2(0:0))
      call avR2(10478, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5644)%branchR2(0:0))
      call avR2(5644, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(9644)%branchR2(0:0))
      call avR2(9644, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2539/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(4923)%branchR2(0:0))
      call avR2(4923, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(8897)%branchR2(0:0))
      call avR2(8897, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(8900)%branchR2(0:0))
      call avR2(8900, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(4556)%branchR2(0:0))
      call avR2(4556, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(7911)%branchR2(0:0))
      call avR2(7911, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(8590)%branchR2(0:0))
      call avR2(8590, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(8404)%branchR2(0:0))
      call avR2(8404, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(7126)%branchR2(0:0))
      call avR2(7126, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9859)%branchR2(0:0))
      call avR2(9859, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(1150)%branchR2(0:1))
      call avR2(1150, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(1150, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7486)%branchR2(0:0))
      call avR2(7486, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2727/))

      allocate(vertices(6978)%branchR2(0:0))
      call avR2(6978, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(9423)%branchR2(0:0))
      call avR2(9423, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(4373)%branchR2(0:0))
      call avR2(4373, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2409)%branchR2(0:0))
      call avR2(2409, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(10558)%branchR2(0:0))
      call avR2(10558, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(7287)%branchR2(0:0))
      call avR2(7287, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(4927)%branchR2(0:0))
      call avR2(4927, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10559)%branchR2(0:1))
      call avR2(10559, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2897/))

      call avR2(10559, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(9683)%branchR2(0:0))
      call avR2(9683, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7959)%branchR2(0:0))
      call avR2(7959, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(2915)%branchR2(0:0))
      call avR2(2915, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(5130)%branchR2(0:0))
      call avR2(5130, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2543/))

      allocate(vertices(3161)%branchR2(0:0))
      call avR2(3161, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10560)%branchR2(0:0))
      call avR2(10560, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2701/))

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7877)%branchR2(0:0))
      call avR2(7877, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(9302)%branchR2(0:0))
      call avR2(9302, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(5132)%branchR2(0:0))
      call avR2(5132, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(8703)%branchR2(0:0))
      call avR2(8703, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10454)%branchR2(0:0))
      call avR2(10454, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,       &
      nGC_2424/))

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(10561)%branchR2(0:0))
      call avR2(10561, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(7801)%branchR2(0:0))
      call avR2(7801, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(9633)%branchR2(0:0))
      call avR2(9633, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(8125)%branchR2(0:0))
      call avR2(8125, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(4163)%branchR2(0:0))
      call avR2(4163, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4520)%branchR2(0:1))
      call avR2(4520, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(4520, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(237)%branchR2(0:1))
      call avR2(237, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(237, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(1901)%branchR2(0:0))
      call avR2(1901, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9706)%branchR2(0:0))
      call avR2(9706, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6327)%branchR2(0:0))
      call avR2(6327, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4005)%branchR2(0:0))
      call avR2(4005, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(4662)%branchR2(0:0))
      call avR2(4662, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10562)%branchR2(0:1))
      call avR2(10562, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10562, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(4912)%branchR2(0:0))
      call avR2(4912, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8474)%branchR2(0:0))
      call avR2(8474, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9238)%branchR2(0:0))
      call avR2(9238, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(8706)%branchR2(0:0))
      call avR2(8706, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(10061)%branchR2(0:0))
      call avR2(10061, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2402, nGC_2401/))

      allocate(vertices(4098)%branchR2(0:0))
      call avR2(4098, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(8212)%branchR2(0:0))
      call avR2(8212, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6360)%branchR2(0:0))
      call avR2(6360, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9805)%branchR2(0:0))
      call avR2(9805, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1369)%branchR2(0:1))
      call avR2(1369, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(1369, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5655)%branchR2(0:0))
      call avR2(5655, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(5042)%branchR2(0:0))
      call avR2(5042, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2544/))

      allocate(vertices(5670)%branchR2(0:0))
      call avR2(5670, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2019)%branchR2(0:3))
      call avR2(2019, 0, 22, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(2019, 1, 22, 1, 0, FaFV1, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(2019, 2, 23, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(2019, 3, 23, 1, 0, FaFV1, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(5234)%branchR2(0:0))
      call avR2(5234, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(5477)%branchR2(0:0))
      call avR2(5477, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10238)%branchR2(0:1))
      call avR2(10238, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2431, nGC_2431/))

      call avR2(10238, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2432, nGC_2432/))

      allocate(vertices(8576)%branchR2(0:0))
      call avR2(8576, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4358)%branchR2(0:1))
      call avR2(4358, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(4358, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(2473)%branchR2(0:0))
      call avR2(2473, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8681)%branchR2(0:0))
      call avR2(8681, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(10563)%branchR2(0:1))
      call avR2(10563, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2928/))

      call avR2(10563, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2927/))

      allocate(vertices(3591)%branchR2(0:0))
      call avR2(3591, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(8158)%branchR2(0:0))
      call avR2(8158, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(4604)%branchR2(0:0))
      call avR2(4604, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4033/))

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2470/))

      allocate(vertices(10390)%branchR2(0:0))
      call avR2(10390, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6086)%branchR2(0:1))
      call avR2(6086, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2707/))

      call avR2(6086, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4426)%branchR2(0:0))
      call avR2(4426, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10564)%branchR2(0:0))
      call avR2(10564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6582)%branchR2(0:1))
      call avR2(6582, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(6582, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(10565)%branchR2(0:0))
      call avR2(10565, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5983)%branchR2(0:1))
      call avR2(5983, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(5983, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(7604)%branchR2(0:0))
      call avR2(7604, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(1486)%branchR2(0:1))
      call avR2(1486, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(1486, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(5196)%branchR2(0:0))
      call avR2(5196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(8119)%branchR2(0:0))
      call avR2(8119, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(7823)%branchR2(0:0))
      call avR2(7823, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7952)%branchR2(0:1))
      call avR2(7952, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2708/))

      call avR2(7952, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8076)%branchR2(0:1))
      call avR2(8076, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(8076, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(8549)%branchR2(0:0))
      call avR2(8549, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9502)%branchR2(0:0))
      call avR2(9502, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2920, nGC_2921,       &
      nGC_2921/))

      allocate(vertices(7092)%branchR2(0:0))
      call avR2(7092, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10359)%branchR2(0:0))
      call avR2(10359, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2422, nGC_2421/))

      allocate(vertices(4103)%branchR2(0:0))
      call avR2(4103, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2772,        &
      nGC_2771/))

      allocate(vertices(6093)%branchR2(0:0))
      call avR2(6093, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(6209)%branchR2(0:0))
      call avR2(6209, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10566)%branchR2(0:1))
      call avR2(10566, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10566, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(5302)%branchR2(0:0))
      call avR2(5302, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5882)%branchR2(0:0))
      call avR2(5882, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2610/))

      allocate(vertices(7602)%branchR2(0:0))
      call avR2(7602, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(7365)%branchR2(0:1))
      call avR2(7365, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(7365, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10567)%branchR2(0:1))
      call avR2(10567, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2831/))

      call avR2(10567, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4033/))

      allocate(vertices(7772)%branchR2(0:0))
      call avR2(7772, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(10568)%branchR2(0:0))
      call avR2(10568, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(2963)%branchR2(0:0))
      call avR2(2963, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(10187)%branchR2(0:0))
      call avR2(10187, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8165)%branchR2(0:1))
      call avR2(8165, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2702/))

      call avR2(8165, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2806/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3023)%branchR2(0:0))
      call avR2(3023, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(8708)%branchR2(0:0))
      call avR2(8708, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2806, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(5467)%branchR2(0:1))
      call avR2(5467, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(5467, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(4696)%branchR2(0:0))
      call avR2(4696, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(4303)%branchR2(0:0))
      call avR2(4303, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(4343)%branchR2(0:0))
      call avR2(4343, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10294)%branchR2(0:0))
      call avR2(10294, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4065)%branchR2(0:0))
      call avR2(4065, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(1456)%branchR2(0:0))
      call avR2(1456, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4816)%branchR2(0:1))
      call avR2(4816, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(4816, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8243)%branchR2(0:0))
      call avR2(8243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(8572)%branchR2(0:0))
      call avR2(8572, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8879)%branchR2(0:0))
      call avR2(8879, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(10153)%branchR2(0:0))
      call avR2(10153, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5348)%branchR2(0:0))
      call avR2(5348, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5073)%branchR2(0:0))
      call avR2(5073, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(3292)%branchR2(0:0))
      call avR2(3292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7536)%branchR2(0:0))
      call avR2(7536, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4046/))

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2641/))

      allocate(vertices(7767)%branchR2(0:0))
      call avR2(7767, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(9933)%branchR2(0:0))
      call avR2(9933, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(7751)%branchR2(0:0))
      call avR2(7751, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6661)%branchR2(0:0))
      call avR2(6661, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10570)%branchR2(0:1))
      call avR2(10570, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10570, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(1753)%branchR2(0:1))
      call avR2(1753, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2707/))

      call avR2(1753, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8854)%branchR2(0:0))
      call avR2(8854, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(10571)%branchR2(0:0))
      call avR2(10571, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(4852)%branchR2(0:0))
      call avR2(4852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(6156)%branchR2(0:1))
      call avR2(6156, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(6156, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(2652)%branchR2(0:1))
      call avR2(2652, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(2652, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(4594)%branchR2(0:0))
      call avR2(4594, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4268)%branchR2(0:0))
      call avR2(4268, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(10572)%branchR2(0:1))
      call avR2(10572, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10572, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2812, nGC_2812,    &
      nGC_2812/))

      allocate(vertices(2042)%branchR2(0:1))
      call avR2(2042, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(2042, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(3438)%branchR2(0:0))
      call avR2(3438, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5333)%branchR2(0:0))
      call avR2(5333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3346)%branchR2(0:0))
      call avR2(3346, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(9275)%branchR2(0:0))
      call avR2(9275, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10573)%branchR2(0:1))
      call avR2(10573, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10573, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(4444)%branchR2(0:0))
      call avR2(4444, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10574)%branchR2(0:0))
      call avR2(10574, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(2814)%branchR2(0:0))
      call avR2(2814, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(9493)%branchR2(0:0))
      call avR2(9493, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(7929)%branchR2(0:0))
      call avR2(7929, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(5468)%branchR2(0:0))
      call avR2(5468, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10575)%branchR2(0:1))
      call avR2(10575, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10575, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(8517)%branchR2(0:0))
      call avR2(8517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10576)%branchR2(0:1))
      call avR2(10576, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2900/))

      call avR2(10576, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2899/))

      allocate(vertices(1620)%branchR2(0:0))
      call avR2(1620, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(9620)%branchR2(0:0))
      call avR2(9620, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(8899)%branchR2(0:0))
      call avR2(8899, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10577)%branchR2(0:1))
      call avR2(10577, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10577, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(9900)%branchR2(0:0))
      call avR2(9900, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2404, nGC_2403/))

      allocate(vertices(4764)%branchR2(0:0))
      call avR2(4764, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(2375)%branchR2(0:0))
      call avR2(2375, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(7037)%branchR2(0:0))
      call avR2(7037, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4826)%branchR2(0:0))
      call avR2(4826, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2497/))

      allocate(vertices(4261)%branchR2(0:0))
      call avR2(4261, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6706)%branchR2(0:0))
      call avR2(6706, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5797)%branchR2(0:0))
      call avR2(5797, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(6797)%branchR2(0:1))
      call avR2(6797, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(6797, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(10110)%branchR2(0:0))
      call avR2(10110, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6248)%branchR2(0:0))
      call avR2(6248, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2277)%branchR2(0:0))
      call avR2(2277, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(8431)%branchR2(0:0))
      call avR2(8431, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(4090)%branchR2(0:0))
      call avR2(4090, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6506)%branchR2(0:1))
      call avR2(6506, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(6506, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10578)%branchR2(0:1))
      call avR2(10578, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2932/))

      call avR2(10578, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(9485)%branchR2(0:0))
      call avR2(9485, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4467)%branchR2(0:0))
      call avR2(4467, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2708)%branchR2(0:0))
      call avR2(2708, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5549)%branchR2(0:3))
      call avR2(5549, 0, 67, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(5549, 1, 67, 1, 0, FaVF0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(5549, 2, 66, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(5549, 3, 66, 1, 0, FaVF0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(4678)%branchR2(0:0))
      call avR2(4678, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4384)%branchR2(0:0))
      call avR2(4384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9513)%branchR2(0:0))
      call avR2(9513, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(9116)%branchR2(0:0))
      call avR2(9116, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7115)%branchR2(0:0))
      call avR2(7115, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8164)%branchR2(0:0))
      call avR2(8164, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(5807)%branchR2(0:0))
      call avR2(5807, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(8438)%branchR2(0:0))
      call avR2(8438, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(10404)%branchR2(0:0))
      call avR2(10404, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(7003)%branchR2(0:0))
      call avR2(7003, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2505/))

      allocate(vertices(10235)%branchR2(0:0))
      call avR2(10235, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(7147)%branchR2(0:0))
      call avR2(7147, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7860)%branchR2(0:0))
      call avR2(7860, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6980)%branchR2(0:0))
      call avR2(6980, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(6408)%branchR2(0:0))
      call avR2(6408, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9818)%branchR2(0:0))
      call avR2(9818, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(2484)%branchR2(0:1))
      call avR2(2484, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(2484, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3898)%branchR2(0:0))
      call avR2(3898, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9228)%branchR2(0:0))
      call avR2(9228, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(3269)%branchR2(0:1))
      call avR2(3269, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(3269, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(9692)%branchR2(0:0))
      call avR2(9692, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(6603)%branchR2(0:0))
      call avR2(6603, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3868)%branchR2(0:0))
      call avR2(3868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6570)%branchR2(0:0))
      call avR2(6570, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(4650)%branchR2(0:0))
      call avR2(4650, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1551)%branchR2(0:0))
      call avR2(1551, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3695)%branchR2(0:0))
      call avR2(3695, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(5003)%branchR2(0:0))
      call avR2(5003, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(10579)%branchR2(0:1))
      call avR2(10579, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2847/))

      call avR2(10579, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(6798)%branchR2(0:0))
      call avR2(6798, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1029)%branchR2(0:0))
      call avR2(1029, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2523/))

      allocate(vertices(2667)%branchR2(0:0))
      call avR2(2667, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(4039)%branchR2(0:1))
      call avR2(4039, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(4039, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(1227)%branchR2(0:1))
      call avR2(1227, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(1227, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(5752)%branchR2(0:0))
      call avR2(5752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10280)%branchR2(0:0))
      call avR2(10280, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(9665)%branchR2(0:0))
      call avR2(9665, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(5811)%branchR2(0:0))
      call avR2(5811, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(7328)%branchR2(0:0))
      call avR2(7328, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4981)%branchR2(0:1))
      call avR2(4981, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(4981, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(9987)%branchR2(0:0))
      call avR2(9987, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(2991)%branchR2(0:0))
      call avR2(2991, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2460/))

      allocate(vertices(10580)%branchR2(0:1))
      call avR2(10580, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2897/))

      call avR2(10580, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(8496)%branchR2(0:0))
      call avR2(8496, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5889)%branchR2(0:0))
      call avR2(5889, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7059)%branchR2(0:0))
      call avR2(7059, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4045/))

      allocate(vertices(3147)%branchR2(0:0))
      call avR2(3147, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(2753)%branchR2(0:3))
      call avR2(2753, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(2753, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(2753, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(2753, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(10581)%branchR2(0:1))
      call avR2(10581, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2812, nGC_2812,    &
      nGC_2812/))

      call avR2(10581, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(5806)%branchR2(0:0))
      call avR2(5806, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(9213)%branchR2(0:0))
      call avR2(9213, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5057)%branchR2(0:0))
      call avR2(5057, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5664)%branchR2(0:0))
      call avR2(5664, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(1782)%branchR2(0:0))
      call avR2(1782, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(10582)%branchR2(0:1))
      call avR2(10582, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2897/))

      call avR2(10582, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(9211)%branchR2(0:0))
      call avR2(9211, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(1062)%branchR2(0:0))
      call avR2(1062, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(9647)%branchR2(0:0))
      call avR2(9647, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(9389)%branchR2(0:0))
      call avR2(9389, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9857)%branchR2(0:0))
      call avR2(9857, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6560)%branchR2(0:0))
      call avR2(6560, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9198)%branchR2(0:0))
      call avR2(9198, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5446)%branchR2(0:0))
      call avR2(5446, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(9433)%branchR2(0:0))
      call avR2(9433, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9554)%branchR2(0:0))
      call avR2(9554, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7170)%branchR2(0:0))
      call avR2(7170, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9625)%branchR2(0:0))
      call avR2(9625, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(5362)%branchR2(0:0))
      call avR2(5362, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9960)%branchR2(0:1))
      call avR2(9960, 0, 124, 1, 0, FaF3, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2451, nGC_2451/))

      call avR2(9960, 1, 124, 1, 0, FaF3, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2452, nGC_2452/))

      allocate(vertices(7313)%branchR2(0:0))
      call avR2(7313, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(9403)%branchR2(0:0))
      call avR2(9403, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10583)%branchR2(0:1))
      call avR2(10583, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10583, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(3947)%branchR2(0:1))
      call avR2(3947, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2702/))

      call avR2(3947, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3756)%branchR2(0:1))
      call avR2(3756, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(3756, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(7578)%branchR2(0:0))
      call avR2(7578, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8366)%branchR2(0:1))
      call avR2(8366, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(8366, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9006)%branchR2(0:0))
      call avR2(9006, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10584)%branchR2(0:1))
      call avR2(10584, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2918/))

      call avR2(10584, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(1989)%branchR2(0:0))
      call avR2(1989, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2578/))

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3555)%branchR2(0:1))
      call avR2(3555, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(3555, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(4945)%branchR2(0:0))
      call avR2(4945, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2726/))

      allocate(vertices(4566)%branchR2(0:0))
      call avR2(4566, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(8863)%branchR2(0:0))
      call avR2(8863, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7982)%branchR2(0:0))
      call avR2(7982, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(2738)%branchR2(0:0))
      call avR2(2738, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6404)%branchR2(0:0))
      call avR2(6404, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(8467)%branchR2(0:1))
      call avR2(8467, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(8467, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(3678)%branchR2(0:0))
      call avR2(3678, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7681)%branchR2(0:0))
      call avR2(7681, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(4002)%branchR2(0:0))
      call avR2(4002, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5439)%branchR2(0:0))
      call avR2(5439, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(9503)%branchR2(0:0))
      call avR2(9503, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9931)%branchR2(0:0))
      call avR2(9931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(7869)%branchR2(0:0))
      call avR2(7869, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5111)%branchR2(0:0))
      call avR2(5111, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2597/))

      allocate(vertices(6285)%branchR2(0:0))
      call avR2(6285, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10037)%branchR2(0:0))
      call avR2(10037, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(3638)%branchR2(0:0))
      call avR2(3638, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5920)%branchR2(0:0))
      call avR2(5920, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(5077)%branchR2(0:0))
      call avR2(5077, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9038)%branchR2(0:0))
      call avR2(9038, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10585)%branchR2(0:1))
      call avR2(10585, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2847/))

      call avR2(10585, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10228)%branchR2(0:0))
      call avR2(10228, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8727)%branchR2(0:0))
      call avR2(8727, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(7783)%branchR2(0:0))
      call avR2(7783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3742)%branchR2(0:0))
      call avR2(3742, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(10177)%branchR2(0:0))
      call avR2(10177, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(7309)%branchR2(0:0))
      call avR2(7309, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(4803)%branchR2(0:0))
      call avR2(4803, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2928/))

      call avR2(10586, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2927/))

      allocate(vertices(5230)%branchR2(0:0))
      call avR2(5230, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7739)%branchR2(0:0))
      call avR2(7739, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(6726)%branchR2(0:0))
      call avR2(6726, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(3492)%branchR2(0:0))
      call avR2(3492, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(7882)%branchR2(0:0))
      call avR2(7882, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(4761)%branchR2(0:0))
      call avR2(4761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5423)%branchR2(0:1))
      call avR2(5423, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(5423, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10587)%branchR2(0:0))
      call avR2(10587, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(9343)%branchR2(0:0))
      call avR2(9343, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(4496)%branchR2(0:1))
      call avR2(4496, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(4496, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10588)%branchR2(0:0))
      call avR2(10588, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(9021)%branchR2(0:0))
      call avR2(9021, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10589)%branchR2(0:0))
      call avR2(10589, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(10590)%branchR2(0:0))
      call avR2(10590, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5089)%branchR2(0:0))
      call avR2(5089, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(10591)%branchR2(0:0))
      call avR2(10591, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(5380)%branchR2(0:0))
      call avR2(5380, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7375)%branchR2(0:0))
      call avR2(7375, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(6060)%branchR2(0:0))
      call avR2(6060, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4032/))

      allocate(vertices(4474)%branchR2(0:1))
      call avR2(4474, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(4474, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(4966)%branchR2(0:0))
      call avR2(4966, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8688)%branchR2(0:0))
      call avR2(8688, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(8534)%branchR2(0:0))
      call avR2(8534, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(5539)%branchR2(0:0))
      call avR2(5539, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(1707)%branchR2(0:0))
      call avR2(1707, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(4883)%branchR2(0:0))
      call avR2(4883, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2577/))

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2528/))

      allocate(vertices(10011)%branchR2(0:0))
      call avR2(10011, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(6313)%branchR2(0:0))
      call avR2(6313, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(5110)%branchR2(0:1))
      call avR2(5110, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(5110, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10592)%branchR2(0:0))
      call avR2(10592, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(8680)%branchR2(0:0))
      call avR2(8680, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3211)%branchR2(0:1))
      call avR2(3211, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2704/))

      call avR2(3211, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6161)%branchR2(0:0))
      call avR2(6161, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2577/))

      allocate(vertices(10132)%branchR2(0:0))
      call avR2(10132, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9831)%branchR2(0:0))
      call avR2(9831, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2211)%branchR2(0:0))
      call avR2(2211, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10593)%branchR2(0:0))
      call avR2(10593, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6927)%branchR2(0:0))
      call avR2(6927, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(10594)%branchR2(0:0))
      call avR2(10594, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(10458)%branchR2(0:0))
      call avR2(10458, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(3679)%branchR2(0:1))
      call avR2(3679, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(3679, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(3586)%branchR2(0:0))
      call avR2(3586, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(7853)%branchR2(0:0))
      call avR2(7853, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7502)%branchR2(0:0))
      call avR2(7502, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5594)%branchR2(0:0))
      call avR2(5594, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(10595)%branchR2(0:1))
      call avR2(10595, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2884/))

      call avR2(10595, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(10596)%branchR2(0:0))
      call avR2(10596, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2791, nGC_2791,      &
      nGC_2790/))

      allocate(vertices(6832)%branchR2(0:0))
      call avR2(6832, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4036/))

      allocate(vertices(7062)%branchR2(0:0))
      call avR2(7062, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(9696)%branchR2(0:0))
      call avR2(9696, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4031/))

      allocate(vertices(7297)%branchR2(0:0))
      call avR2(7297, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(7487)%branchR2(0:0))
      call avR2(7487, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2505/))

      allocate(vertices(3600)%branchR2(0:0))
      call avR2(3600, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(5364)%branchR2(0:1))
      call avR2(5364, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(5364, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(8220)%branchR2(0:0))
      call avR2(8220, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(2316)%branchR2(0:1))
      call avR2(2316, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(2316, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(7908)%branchR2(0:0))
      call avR2(7908, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(9856)%branchR2(0:0))
      call avR2(9856, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(3479)%branchR2(0:0))
      call avR2(3479, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(4553)%branchR2(0:0))
      call avR2(4553, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(9608)%branchR2(0:0))
      call avR2(9608, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4393)%branchR2(0:1))
      call avR2(4393, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(4393, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6590)%branchR2(0:1))
      call avR2(6590, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(6590, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(4628)%branchR2(0:1))
      call avR2(4628, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(4628, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(7171)%branchR2(0:0))
      call avR2(7171, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2528/))

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6660)%branchR2(0:0))
      call avR2(6660, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3157)%branchR2(0:0))
      call avR2(3157, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7455)%branchR2(0:0))
      call avR2(7455, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6234)%branchR2(0:0))
      call avR2(6234, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(10597)%branchR2(0:0))
      call avR2(10597, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9713)%branchR2(0:0))
      call avR2(9713, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3846)%branchR2(0:0))
      call avR2(3846, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(3885)%branchR2(0:3))
      call avR2(3885, 0, 69, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(3885, 1, 69, 1, 0, FVFa0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(3885, 2, 68, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3885, 3, 68, 1, 0, FVFa0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(10369)%branchR2(0:0))
      call avR2(10369, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(8182)%branchR2(0:0))
      call avR2(8182, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9995)%branchR2(0:0))
      call avR2(9995, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(10598)%branchR2(0:1))
      call avR2(10598, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10598, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(9651)%branchR2(0:0))
      call avR2(9651, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8480)%branchR2(0:0))
      call avR2(8480, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4295)%branchR2(0:0))
      call avR2(4295, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(7649)%branchR2(0:0))
      call avR2(7649, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4044/))

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7382)%branchR2(0:0))
      call avR2(7382, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10256)%branchR2(0:0))
      call avR2(10256, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(8246)%branchR2(0:0))
      call avR2(8246, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(4329)%branchR2(0:0))
      call avR2(4329, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9119)%branchR2(0:0))
      call avR2(9119, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2408, nGC_2407/))

      allocate(vertices(3398)%branchR2(0:0))
      call avR2(3398, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9675)%branchR2(0:0))
      call avR2(9675, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2420, nGC_2419/))

      allocate(vertices(4062)%branchR2(0:0))
      call avR2(4062, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2597/))

      allocate(vertices(10599)%branchR2(0:1))
      call avR2(10599, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10599, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(3109)%branchR2(0:0))
      call avR2(3109, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(9584)%branchR2(0:0))
      call avR2(9584, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10600)%branchR2(0:0))
      call avR2(10600, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4668)%branchR2(0:0))
      call avR2(4668, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1438)%branchR2(0:1))
      call avR2(1438, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(1438, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(5613)%branchR2(0:0))
      call avR2(5613, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9126)%branchR2(0:0))
      call avR2(9126, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(4633)%branchR2(0:0))
      call avR2(4633, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10601)%branchR2(0:1))
      call avR2(10601, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      call avR2(10601, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2934, nGC_2934,    &
      nGC_2934/))

      allocate(vertices(4286)%branchR2(0:0))
      call avR2(4286, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(6102)%branchR2(0:0))
      call avR2(6102, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(7090)%branchR2(0:0))
      call avR2(7090, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(10602)%branchR2(0:0))
      call avR2(10602, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2933, nGC_2933,      &
      nGC_2933/))

      allocate(vertices(742)%branchR2(0:1))
      call avR2(742, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(742, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(10603)%branchR2(0:0))
      call avR2(10603, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(4518)%branchR2(0:1))
      call avR2(4518, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(4518, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10386)%branchR2(0:0))
      call avR2(10386, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7107)%branchR2(0:0))
      call avR2(7107, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(7759)%branchR2(0:0))
      call avR2(7759, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

    end subroutine fill_vertices_mdl21
end module vertices_info21
