!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(2969)%branchR2(0:1))
      call avR2(2969, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(2969, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(8236)%branchR2(0:0))
      call avR2(8236, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2365)%branchR2(0:0))
      call avR2(2365, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2598/))

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4686)%branchR2(0:1))
      call avR2(4686, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(4686, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(10376)%branchR2(0:0))
      call avR2(10376, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8975)%branchR2(0:0))
      call avR2(8975, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6317)%branchR2(0:0))
      call avR2(6317, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10424)%branchR2(0:0))
      call avR2(10424, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10425)%branchR2(0:0))
      call avR2(10425, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4030/))

      allocate(vertices(9763)%branchR2(0:0))
      call avR2(9763, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6433)%branchR2(0:0))
      call avR2(6433, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8123)%branchR2(0:0))
      call avR2(8123, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2706/))

      allocate(vertices(10414)%branchR2(0:0))
      call avR2(10414, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(5153)%branchR2(0:3))
      call avR2(5153, 0, 67, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5153, 1, 67, 1, 0, FaVF0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(5153, 2, 66, 1, 0, FaVF0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(5153, 3, 66, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(10604)%branchR2(0:0))
      call avR2(10604, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(5478)%branchR2(0:0))
      call avR2(5478, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(7110)%branchR2(0:0))
      call avR2(7110, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(10605)%branchR2(0:0))
      call avR2(10605, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10076)%branchR2(0:0))
      call avR2(10076, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,       &
      nGC_2424/))

      allocate(vertices(5913)%branchR2(0:0))
      call avR2(5913, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6381)%branchR2(0:0))
      call avR2(6381, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(8226)%branchR2(0:0))
      call avR2(8226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7599)%branchR2(0:1))
      call avR2(7599, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(7599, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(10149)%branchR2(0:0))
      call avR2(10149, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3422)%branchR2(0:1))
      call avR2(3422, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2702/))

      call avR2(3422, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9382)%branchR2(0:0))
      call avR2(9382, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10380)%branchR2(0:0))
      call avR2(10380, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6383)%branchR2(0:0))
      call avR2(6383, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(3206)%branchR2(0:1))
      call avR2(3206, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(3206, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(3604)%branchR2(0:0))
      call avR2(3604, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9445)%branchR2(0:0))
      call avR2(9445, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5304)%branchR2(0:0))
      call avR2(5304, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10606)%branchR2(0:0))
      call avR2(10606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8420)%branchR2(0:1))
      call avR2(8420, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(8420, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(6758)%branchR2(0:0))
      call avR2(6758, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9311)%branchR2(0:0))
      call avR2(9311, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2449, nGC_2449/))

      allocate(vertices(9374)%branchR2(0:0))
      call avR2(9374, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(521)%branchR2(0:1))
      call avR2(521, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(521, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(7500)%branchR2(0:0))
      call avR2(7500, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(5164)%branchR2(0:0))
      call avR2(5164, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4042/))

      allocate(vertices(10343)%branchR2(0:0))
      call avR2(10343, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(7875)%branchR2(0:0))
      call avR2(7875, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(7653)%branchR2(0:0))
      call avR2(7653, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8793)%branchR2(0:0))
      call avR2(8793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2497/))

      allocate(vertices(6366)%branchR2(0:0))
      call avR2(6366, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(3893)%branchR2(0:0))
      call avR2(3893, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(5553)%branchR2(0:0))
      call avR2(5553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10607)%branchR2(0:0))
      call avR2(10607, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7553)%branchR2(0:0))
      call avR2(7553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(4364)%branchR2(0:0))
      call avR2(4364, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10608)%branchR2(0:0))
      call avR2(10608, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8571)%branchR2(0:3))
      call avR2(8571, 0, 67, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8571, 1, 67, 1, 0, FaVF0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(8571, 2, 66, 1, 0, FaVF0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(8571, 3, 66, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(2611)%branchR2(0:0))
      call avR2(2611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7943)%branchR2(0:0))
      call avR2(7943, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(6185)%branchR2(0:0))
      call avR2(6185, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2886)%branchR2(0:0))
      call avR2(2886, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(5649)%branchR2(0:0))
      call avR2(5649, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(1905)%branchR2(0:0))
      call avR2(1905, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(8937)%branchR2(0:0))
      call avR2(8937, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10155)%branchR2(0:0))
      call avR2(10155, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(6828)%branchR2(0:1))
      call avR2(6828, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(6828, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2578/))

      allocate(vertices(10249)%branchR2(0:0))
      call avR2(10249, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4132)%branchR2(0:0))
      call avR2(4132, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(6551)%branchR2(0:0))
      call avR2(6551, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(6144)%branchR2(0:0))
      call avR2(6144, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3431)%branchR2(0:0))
      call avR2(3431, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7810)%branchR2(0:1))
      call avR2(7810, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(7810, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(10103)%branchR2(0:0))
      call avR2(10103, 0, 13, 1, 0, FaF2, (/0, 2/), (/nGC_2440, nGC_2441,      &
      nGC_2442, nGC_2442/))

      allocate(vertices(8482)%branchR2(0:0))
      call avR2(8482, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(2838)%branchR2(0:0))
      call avR2(2838, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7295)%branchR2(0:0))
      call avR2(7295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(7032)%branchR2(0:0))
      call avR2(7032, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(9160)%branchR2(0:0))
      call avR2(9160, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2406, nGC_2405/))

      allocate(vertices(10609)%branchR2(0:1))
      call avR2(10609, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2831/))

      call avR2(10609, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(6735)%branchR2(0:0))
      call avR2(6735, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2578/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5836)%branchR2(0:0))
      call avR2(5836, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5582)%branchR2(0:1))
      call avR2(5582, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2707/))

      call avR2(5582, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4158)%branchR2(0:0))
      call avR2(4158, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(3968)%branchR2(0:0))
      call avR2(3968, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(2039)%branchR2(0:0))
      call avR2(2039, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9830)%branchR2(0:0))
      call avR2(9830, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(1445)%branchR2(0:1))
      call avR2(1445, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(1445, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(4592)%branchR2(0:1))
      call avR2(4592, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(4592, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9192)%branchR2(0:0))
      call avR2(9192, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4057/))

      allocate(vertices(9063)%branchR2(0:0))
      call avR2(9063, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(6440)%branchR2(0:0))
      call avR2(6440, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(2897)%branchR2(0:0))
      call avR2(2897, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(7533)%branchR2(0:0))
      call avR2(7533, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3703)%branchR2(0:0))
      call avR2(3703, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(4561)%branchR2(0:0))
      call avR2(4561, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(4145)%branchR2(0:0))
      call avR2(4145, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2806,       &
      nGC_2805/))

      allocate(vertices(3436)%branchR2(0:1))
      call avR2(3436, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(3436, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(9806)%branchR2(0:0))
      call avR2(9806, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2933)%branchR2(0:1))
      call avR2(2933, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(2933, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(9999)%branchR2(0:0))
      call avR2(9999, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(7117)%branchR2(0:0))
      call avR2(7117, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(4910)%branchR2(0:0))
      call avR2(4910, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7201)%branchR2(0:0))
      call avR2(7201, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6256)%branchR2(0:0))
      call avR2(6256, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(4226)%branchR2(0:0))
      call avR2(4226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10610)%branchR2(0:5))
      call avR2(10610, 0, 169, 1, 0, VVVV1, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10610, 1, 167, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10610, 2, 168, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10610, 3, 166, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10610, 4, 170, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10610, 5, 165, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4311)%branchR2(0:0))
      call avR2(4311, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10611)%branchR2(0:0))
      call avR2(10611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(9291)%branchR2(0:0))
      call avR2(9291, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6006)%branchR2(0:0))
      call avR2(6006, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5743)%branchR2(0:0))
      call avR2(5743, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8788)%branchR2(0:0))
      call avR2(8788, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(4621)%branchR2(0:1))
      call avR2(4621, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(4621, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(10612)%branchR2(0:1))
      call avR2(10612, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2932/))

      call avR2(10612, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(8047)%branchR2(0:0))
      call avR2(8047, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6910)%branchR2(0:0))
      call avR2(6910, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10613)%branchR2(0:1))
      call avR2(10613, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2899/))

      call avR2(10613, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(7130)%branchR2(0:0))
      call avR2(7130, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(6716)%branchR2(0:0))
      call avR2(6716, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(2804)%branchR2(0:0))
      call avR2(2804, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2610/))

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(4195)%branchR2(0:0))
      call avR2(4195, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7131)%branchR2(0:0))
      call avR2(7131, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4058/))

      allocate(vertices(8918)%branchR2(0:0))
      call avR2(8918, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4806)%branchR2(0:0))
      call avR2(4806, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6263)%branchR2(0:0))
      call avR2(6263, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3439)%branchR2(0:1))
      call avR2(3439, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(3439, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(3375)%branchR2(0:0))
      call avR2(3375, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5152)%branchR2(0:0))
      call avR2(5152, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(10455)%branchR2(0:0))
      call avR2(10455, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(9070)%branchR2(0:0))
      call avR2(9070, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(7074)%branchR2(0:0))
      call avR2(7074, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(8550)%branchR2(0:0))
      call avR2(8550, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(8054)%branchR2(0:0))
      call avR2(8054, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2609/))

      allocate(vertices(783)%branchR2(0:3))
      call avR2(783, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(783, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(783, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(783, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(10178)%branchR2(0:0))
      call avR2(10178, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6770)%branchR2(0:0))
      call avR2(6770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7183)%branchR2(0:1))
      call avR2(7183, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(7183, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6835)%branchR2(0:0))
      call avR2(6835, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(5257)%branchR2(0:0))
      call avR2(5257, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(6536)%branchR2(0:0))
      call avR2(6536, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2806, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(5085)%branchR2(0:0))
      call avR2(5085, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(6889)%branchR2(0:0))
      call avR2(6889, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(6429)%branchR2(0:0))
      call avR2(6429, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(9334)%branchR2(0:0))
      call avR2(9334, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9571)%branchR2(0:0))
      call avR2(9571, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(8949)%branchR2(0:0))
      call avR2(8949, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2406, nGC_2405/))

      allocate(vertices(5341)%branchR2(0:0))
      call avR2(5341, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(6903)%branchR2(0:0))
      call avR2(6903, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1129)%branchR2(0:1))
      call avR2(1129, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(1129, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4744)%branchR2(0:0))
      call avR2(4744, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(6594)%branchR2(0:0))
      call avR2(6594, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(8559)%branchR2(0:0))
      call avR2(8559, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(2237)%branchR2(0:1))
      call avR2(2237, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(2237, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(8842)%branchR2(0:0))
      call avR2(8842, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(4318)%branchR2(0:0))
      call avR2(4318, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10102)%branchR2(0:0))
      call avR2(10102, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(9536)%branchR2(0:0))
      call avR2(9536, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5621)%branchR2(0:0))
      call avR2(5621, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(4357)%branchR2(0:0))
      call avR2(4357, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(4178)%branchR2(0:0))
      call avR2(4178, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(3795)%branchR2(0:0))
      call avR2(3795, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(9656)%branchR2(0:0))
      call avR2(9656, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(8432)%branchR2(0:0))
      call avR2(8432, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(5096)%branchR2(0:0))
      call avR2(5096, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7930)%branchR2(0:0))
      call avR2(7930, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(8092)%branchR2(0:0))
      call avR2(8092, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3379)%branchR2(0:1))
      call avR2(3379, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(3379, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(10417)%branchR2(0:0))
      call avR2(10417, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(8291)%branchR2(0:0))
      call avR2(8291, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7985)%branchR2(0:0))
      call avR2(7985, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4099)%branchR2(0:0))
      call avR2(4099, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(6790)%branchR2(0:0))
      call avR2(6790, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(5901)%branchR2(0:0))
      call avR2(5901, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(6064)%branchR2(0:0))
      call avR2(6064, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(8427)%branchR2(0:0))
      call avR2(8427, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7774)%branchR2(0:0))
      call avR2(7774, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(4659)%branchR2(0:0))
      call avR2(4659, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(9052)%branchR2(0:0))
      call avR2(9052, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(469)%branchR2(0:1))
      call avR2(469, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(469, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(10184)%branchR2(0:0))
      call avR2(10184, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4029/))

      allocate(vertices(5246)%branchR2(0:0))
      call avR2(5246, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2598/))

      allocate(vertices(10614)%branchR2(0:0))
      call avR2(10614, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1546)%branchR2(0:0))
      call avR2(1546, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9824)%branchR2(0:0))
      call avR2(9824, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2938)%branchR2(0:0))
      call avR2(2938, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(6631)%branchR2(0:0))
      call avR2(6631, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5585)%branchR2(0:0))
      call avR2(5585, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8606)%branchR2(0:0))
      call avR2(8606, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10399)%branchR2(0:0))
      call avR2(10399, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2458/))

      allocate(vertices(7414)%branchR2(0:0))
      call avR2(7414, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(10145)%branchR2(0:0))
      call avR2(10145, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10615)%branchR2(0:0))
      call avR2(10615, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(1967)%branchR2(0:0))
      call avR2(1967, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2701/))

      allocate(vertices(7330)%branchR2(0:0))
      call avR2(7330, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4058/))

      allocate(vertices(10471)%branchR2(0:0))
      call avR2(10471, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(613)%branchR2(0:1))
      call avR2(613, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(613, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9746)%branchR2(0:0))
      call avR2(9746, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(10616)%branchR2(0:1))
      call avR2(10616, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10616, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(10377)%branchR2(0:0))
      call avR2(10377, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5707)%branchR2(0:0))
      call avR2(5707, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7353)%branchR2(0:0))
      call avR2(7353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10617)%branchR2(0:0))
      call avR2(10617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(4772)%branchR2(0:0))
      call avR2(4772, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(4270)%branchR2(0:0))
      call avR2(4270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2877)%branchR2(0:1))
      call avR2(2877, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(2877, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(1334)%branchR2(0:0))
      call avR2(1334, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5445)%branchR2(0:0))
      call avR2(5445, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(6996)%branchR2(0:0))
      call avR2(6996, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(7156)%branchR2(0:0))
      call avR2(7156, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(3538)%branchR2(0:0))
      call avR2(3538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(6972)%branchR2(0:0))
      call avR2(6972, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3237)%branchR2(0:1))
      call avR2(3237, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(3237, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10618)%branchR2(0:0))
      call avR2(10618, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(8523)%branchR2(0:0))
      call avR2(8523, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7077)%branchR2(0:0))
      call avR2(7077, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(10246)%branchR2(0:0))
      call avR2(10246, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2540/))

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(5242)%branchR2(0:0))
      call avR2(5242, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4020)%branchR2(0:0))
      call avR2(4020, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9472)%branchR2(0:0))
      call avR2(9472, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(7830)%branchR2(0:0))
      call avR2(7830, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(3930)%branchR2(0:0))
      call avR2(3930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10045)%branchR2(0:0))
      call avR2(10045, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6099)%branchR2(0:0))
      call avR2(6099, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(9363)%branchR2(0:0))
      call avR2(9363, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(5872)%branchR2(0:0))
      call avR2(5872, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(1434)%branchR2(0:1))
      call avR2(1434, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(1434, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(9314)%branchR2(0:0))
      call avR2(9314, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5086)%branchR2(0:0))
      call avR2(5086, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10619)%branchR2(0:1))
      call avR2(10619, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2931/))

      call avR2(10619, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(7481)%branchR2(0:0))
      call avR2(7481, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(10620)%branchR2(0:1))
      call avR2(10620, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2812, nGC_2812,    &
      nGC_2812/))

      call avR2(10620, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(9926)%branchR2(0:0))
      call avR2(9926, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3041)%branchR2(0:0))
      call avR2(3041, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(8173)%branchR2(0:0))
      call avR2(8173, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(9373)%branchR2(0:0))
      call avR2(9373, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(4753)%branchR2(0:0))
      call avR2(4753, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10242)%branchR2(0:0))
      call avR2(10242, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1191)%branchR2(0:1))
      call avR2(1191, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(1191, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(10621)%branchR2(0:1))
      call avR2(10621, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10621, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(9785)%branchR2(0:0))
      call avR2(9785, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2458/))

      allocate(vertices(2566)%branchR2(0:0))
      call avR2(2566, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(7828)%branchR2(0:0))
      call avR2(7828, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(7005)%branchR2(0:1))
      call avR2(7005, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(7005, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9273)%branchR2(0:0))
      call avR2(9273, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8003)%branchR2(0:3))
      call avR2(8003, 0, 22, 1, 0, FaFV1, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(8003, 1, 22, 1, 0, FaFV1, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(8003, 2, 23, 1, 0, FaFV1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8003, 3, 23, 1, 0, FaFV1, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(466)%branchR2(0:3))
      call avR2(466, 0, 67, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(466, 1, 67, 1, 0, FaVF0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(466, 2, 66, 1, 0, FaVF0, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(466, 3, 66, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(3137)%branchR2(0:0))
      call avR2(3137, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(8944)%branchR2(0:0))
      call avR2(8944, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(10622)%branchR2(0:1))
      call avR2(10622, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2917/))

      call avR2(10622, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2918/))

      allocate(vertices(8381)%branchR2(0:0))
      call avR2(8381, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5010)%branchR2(0:0))
      call avR2(5010, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9240)%branchR2(0:0))
      call avR2(9240, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6420)%branchR2(0:0))
      call avR2(6420, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2523/))

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9117)%branchR2(0:0))
      call avR2(9117, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3717)%branchR2(0:0))
      call avR2(3717, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4096)%branchR2(0:0))
      call avR2(4096, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9024)%branchR2(0:0))
      call avR2(9024, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(9280)%branchR2(0:0))
      call avR2(9280, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5030)%branchR2(0:0))
      call avR2(5030, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(5103)%branchR2(0:0))
      call avR2(5103, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10623)%branchR2(0:0))
      call avR2(10623, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10288)%branchR2(0:0))
      call avR2(10288, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4057/))

      allocate(vertices(10624)%branchR2(0:1))
      call avR2(10624, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10624, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(8222)%branchR2(0:0))
      call avR2(8222, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9008)%branchR2(0:0))
      call avR2(9008, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8073)%branchR2(0:0))
      call avR2(8073, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(4009)%branchR2(0:1))
      call avR2(4009, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(4009, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(9333)%branchR2(0:0))
      call avR2(9333, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4259)%branchR2(0:0))
      call avR2(4259, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(10625)%branchR2(0:1))
      call avR2(10625, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10625, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(4734)%branchR2(0:0))
      call avR2(4734, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(8233)%branchR2(0:0))
      call avR2(8233, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(4113)%branchR2(0:0))
      call avR2(4113, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(8736)%branchR2(0:0))
      call avR2(8736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(242)%branchR2(0:1))
      call avR2(242, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(242, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(10304)%branchR2(0:0))
      call avR2(10304, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4649)%branchR2(0:0))
      call avR2(4649, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10)%branchR2(0:1))
      call avR2(10, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(10, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7986)%branchR2(0:0))
      call avR2(7986, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(8808)%branchR2(0:0))
      call avR2(8808, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(9929)%branchR2(0:0))
      call avR2(9929, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5473)%branchR2(0:0))
      call avR2(5473, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(7645)%branchR2(0:0))
      call avR2(7645, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(7463)%branchR2(0:0))
      call avR2(7463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(5371)%branchR2(0:0))
      call avR2(5371, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(10626)%branchR2(0:1))
      call avR2(10626, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2929/))

      call avR2(10626, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(3808)%branchR2(0:0))
      call avR2(3808, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1074)%branchR2(0:0))
      call avR2(1074, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(3961)%branchR2(0:0))
      call avR2(3961, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8685)%branchR2(0:1))
      call avR2(8685, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(8685, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9829)%branchR2(0:0))
      call avR2(9829, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(8124)%branchR2(0:0))
      call avR2(8124, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(9789)%branchR2(0:0))
      call avR2(9789, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5476)%branchR2(0:0))
      call avR2(5476, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(7992)%branchR2(0:1))
      call avR2(7992, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(7992, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(9442)%branchR2(0:0))
      call avR2(9442, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(9679)%branchR2(0:0))
      call avR2(9679, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4057/))

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(5282)%branchR2(0:0))
      call avR2(5282, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(4477)%branchR2(0:0))
      call avR2(4477, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(2301)%branchR2(0:0))
      call avR2(2301, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9528)%branchR2(0:0))
      call avR2(9528, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4938)%branchR2(0:0))
      call avR2(4938, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(4752)%branchR2(0:0))
      call avR2(4752, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(526)%branchR2(0:1))
      call avR2(526, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(526, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(6982)%branchR2(0:0))
      call avR2(6982, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(2462)%branchR2(0:0))
      call avR2(2462, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(4004)%branchR2(0:1))
      call avR2(4004, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(4004, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(4745)%branchR2(0:0))
      call avR2(4745, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(9089)%branchR2(0:0))
      call avR2(9089, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(1592)%branchR2(0:1))
      call avR2(1592, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(1592, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6713)%branchR2(0:0))
      call avR2(6713, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(7591)%branchR2(0:0))
      call avR2(7591, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7012)%branchR2(0:0))
      call avR2(7012, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9680)%branchR2(0:0))
      call avR2(9680, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(5954)%branchR2(0:0))
      call avR2(5954, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2636)%branchR2(0:0))
      call avR2(2636, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2771,       &
      nGC_2773/))

      allocate(vertices(9453)%branchR2(0:0))
      call avR2(9453, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3912)%branchR2(0:0))
      call avR2(3912, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2505/))

      allocate(vertices(10419)%branchR2(0:0))
      call avR2(10419, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(8313)%branchR2(0:0))
      call avR2(8313, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(9107)%branchR2(0:0))
      call avR2(9107, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(6953)%branchR2(0:1))
      call avR2(6953, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2702/))

      call avR2(6953, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3275)%branchR2(0:0))
      call avR2(3275, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3066)%branchR2(0:0))
      call avR2(3066, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10627)%branchR2(0:1))
      call avR2(10627, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2930/))

      call avR2(10627, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8940)%branchR2(0:0))
      call avR2(8940, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8156)%branchR2(0:0))
      call avR2(8156, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(7181)%branchR2(0:0))
      call avR2(7181, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6553)%branchR2(0:0))
      call avR2(6553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(170)%branchR2(0:1))
      call avR2(170, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(170, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(2278)%branchR2(0:0))
      call avR2(2278, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5460)%branchR2(0:0))
      call avR2(5460, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(8738)%branchR2(0:0))
      call avR2(8738, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(9654)%branchR2(0:0))
      call avR2(9654, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(1548)%branchR2(0:0))
      call avR2(1548, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(10628)%branchR2(0:0))
      call avR2(10628, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8927)%branchR2(0:0))
      call avR2(8927, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5885)%branchR2(0:0))
      call avR2(5885, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5833)%branchR2(0:1))
      call avR2(5833, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(5833, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(5041)%branchR2(0:0))
      call avR2(5041, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2924, nGC_2923,       &
      nGC_2924/))

      allocate(vertices(10629)%branchR2(0:0))
      call avR2(10629, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(3119)%branchR2(0:0))
      call avR2(3119, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(6118)%branchR2(0:0))
      call avR2(6118, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7902)%branchR2(0:0))
      call avR2(7902, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(1422)%branchR2(0:0))
      call avR2(1422, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7104)%branchR2(0:0))
      call avR2(7104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10630)%branchR2(0:0))
      call avR2(10630, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6490)%branchR2(0:0))
      call avR2(6490, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4394)%branchR2(0:0))
      call avR2(4394, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(10272)%branchR2(0:0))
      call avR2(10272, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6270)%branchR2(0:0))
      call avR2(6270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3752)%branchR2(0:0))
      call avR2(3752, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(8742)%branchR2(0:0))
      call avR2(8742, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8755)%branchR2(0:0))
      call avR2(8755, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(1947)%branchR2(0:0))
      call avR2(1947, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(9345)%branchR2(0:0))
      call avR2(9345, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2525/))

      allocate(vertices(8882)%branchR2(0:0))
      call avR2(8882, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6128)%branchR2(0:1))
      call avR2(6128, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(6128, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4775)%branchR2(0:0))
      call avR2(4775, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8365)%branchR2(0:0))
      call avR2(8365, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(3165)%branchR2(0:1))
      call avR2(3165, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(3165, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(3702)%branchR2(0:0))
      call avR2(3702, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(8465)%branchR2(0:0))
      call avR2(8465, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(10631)%branchR2(0:1))
      call avR2(10631, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2929/))

      call avR2(10631, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(8875)%branchR2(0:0))
      call avR2(8875, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(7951)%branchR2(0:0))
      call avR2(7951, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(9682)%branchR2(0:0))
      call avR2(9682, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(9714)%branchR2(0:0))
      call avR2(9714, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10467)%branchR2(0:0))
      call avR2(10467, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(9360)%branchR2(0:0))
      call avR2(9360, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(10632)%branchR2(0:1))
      call avR2(10632, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10632, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5515)%branchR2(0:0))
      call avR2(5515, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(5869)%branchR2(0:0))
      call avR2(5869, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7654)%branchR2(0:0))
      call avR2(7654, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(9864)%branchR2(0:0))
      call avR2(9864, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(10633)%branchR2(0:0))
      call avR2(10633, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(664)%branchR2(0:1))
      call avR2(664, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(664, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(9793)%branchR2(0:0))
      call avR2(9793, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5701)%branchR2(0:3))
      call avR2(5701, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(5701, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(5701, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5701, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(907)%branchR2(0:0))
      call avR2(907, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10634)%branchR2(0:0))
      call avR2(10634, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(3407)%branchR2(0:0))
      call avR2(3407, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4032/))

      allocate(vertices(9371)%branchR2(0:0))
      call avR2(9371, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(8050)%branchR2(0:0))
      call avR2(8050, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(3131)%branchR2(0:0))
      call avR2(3131, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(2634)%branchR2(0:0))
      call avR2(2634, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(6341)%branchR2(0:1))
      call avR2(6341, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(6341, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(7213)%branchR2(0:0))
      call avR2(7213, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6636)%branchR2(0:0))
      call avR2(6636, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(10635)%branchR2(0:0))
      call avR2(10635, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10475)%branchR2(0:0))
      call avR2(10475, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7148)%branchR2(0:0))
      call avR2(7148, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(3334)%branchR2(0:1))
      call avR2(3334, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(3334, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3729)%branchR2(0:1))
      call avR2(3729, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(3729, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(10636)%branchR2(0:1))
      call avR2(10636, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2918/))

      call avR2(10636, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(8881)%branchR2(0:0))
      call avR2(8881, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5546)%branchR2(0:0))
      call avR2(5546, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(5824)%branchR2(0:0))
      call avR2(5824, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10334)%branchR2(0:0))
      call avR2(10334, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(8582)%branchR2(0:0))
      call avR2(8582, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(9454)%branchR2(0:0))
      call avR2(9454, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6435)%branchR2(0:0))
      call avR2(6435, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9642)%branchR2(0:0))
      call avR2(9642, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(9292)%branchR2(0:0))
      call avR2(9292, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9781)%branchR2(0:0))
      call avR2(9781, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7282)%branchR2(0:0))
      call avR2(7282, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(4942)%branchR2(0:0))
      call avR2(4942, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(7343)%branchR2(0:0))
      call avR2(7343, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(4230)%branchR2(0:0))
      call avR2(4230, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(7899)%branchR2(0:0))
      call avR2(7899, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6524)%branchR2(0:0))
      call avR2(6524, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(6268)%branchR2(0:0))
      call avR2(6268, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10427)%branchR2(0:0))
      call avR2(10427, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(4738)%branchR2(0:0))
      call avR2(4738, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10637)%branchR2(0:1))
      call avR2(10637, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10637, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(3298)%branchR2(0:0))
      call avR2(3298, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5465)%branchR2(0:1))
      call avR2(5465, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(5465, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(6709)%branchR2(0:0))
      call avR2(6709, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(5887)%branchR2(0:0))
      call avR2(5887, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(9328)%branchR2(0:0))
      call avR2(9328, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(3856)%branchR2(0:0))
      call avR2(3856, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8495)%branchR2(0:0))
      call avR2(8495, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(10638)%branchR2(0:1))
      call avR2(10638, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10638, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2847/))

      allocate(vertices(2109)%branchR2(0:0))
      call avR2(2109, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4036/))

      allocate(vertices(274)%branchR2(0:1))
      call avR2(274, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(274, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(568)%branchR2(0:1))
      call avR2(568, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(568, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(10639)%branchR2(0:1))
      call avR2(10639, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10639, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(8020)%branchR2(0:1))
      call avR2(8020, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(8020, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(7575)%branchR2(0:0))
      call avR2(7575, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8022)%branchR2(0:0))
      call avR2(8022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7931)%branchR2(0:0))
      call avR2(7931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5316)%branchR2(0:1))
      call avR2(5316, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(5316, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(6555)%branchR2(0:3))
      call avR2(6555, 0, 27, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6555, 1, 27, 1, 0, VFFa0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(6555, 2, 26, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6555, 3, 26, 1, 0, VFFa0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(7333)%branchR2(0:0))
      call avR2(7333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8547)%branchR2(0:1))
      call avR2(8547, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(8547, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4356)%branchR2(0:0))
      call avR2(4356, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7281)%branchR2(0:0))
      call avR2(7281, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(7724)%branchR2(0:1))
      call avR2(7724, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(7724, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10640)%branchR2(0:1))
      call avR2(10640, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2831/))

      call avR2(10640, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(9505)%branchR2(0:0))
      call avR2(9505, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8775)%branchR2(0:1))
      call avR2(8775, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(8775, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(1856)%branchR2(0:0))
      call avR2(1856, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(10064)%branchR2(0:0))
      call avR2(10064, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(8666)%branchR2(0:0))
      call avR2(8666, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5219)%branchR2(0:0))
      call avR2(5219, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(6617)%branchR2(0:0))
      call avR2(6617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5128)%branchR2(0:1))
      call avR2(5128, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(5128, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(4916)%branchR2(0:0))
      call avR2(4916, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5740)%branchR2(0:1))
      call avR2(5740, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(5740, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(8198)%branchR2(0:0))
      call avR2(8198, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(10452)%branchR2(0:0))
      call avR2(10452, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9127)%branchR2(0:0))
      call avR2(9127, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2526/))

      allocate(vertices(5501)%branchR2(0:0))
      call avR2(5501, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9408)%branchR2(0:0))
      call avR2(9408, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4029/))

      allocate(vertices(9012)%branchR2(0:0))
      call avR2(9012, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2865)%branchR2(0:0))
      call avR2(2865, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9040)%branchR2(0:0))
      call avR2(9040, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10209)%branchR2(0:0))
      call avR2(10209, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10641)%branchR2(0:5))
      call avR2(10641, 0, 158, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10641, 1, 155, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10641, 2, 154, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10641, 3, 157, 1, 0, VVVV1, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10641, 4, 156, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10641, 5, 153, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      allocate(vertices(9653)%branchR2(0:0))
      call avR2(9653, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(4265)%branchR2(0:1))
      call avR2(4265, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(4265, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(6492)%branchR2(0:0))
      call avR2(6492, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2806,       &
      nGC_2805/))

      allocate(vertices(10642)%branchR2(0:1))
      call avR2(10642, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      call avR2(10642, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(1966)%branchR2(0:0))
      call avR2(1966, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10005)%branchR2(0:0))
      call avR2(10005, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1637)%branchR2(0:0))
      call avR2(1637, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9372)%branchR2(0:0))
      call avR2(9372, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4506)%branchR2(0:0))
      call avR2(4506, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(2)%branchR2(0:1))
      call avR2(2, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(2, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6088)%branchR2(0:0))
      call avR2(6088, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8589)%branchR2(0:0))
      call avR2(8589, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2806/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9545)%branchR2(0:0))
      call avR2(9545, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10054)%branchR2(0:0))
      call avR2(10054, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10643)%branchR2(0:1))
      call avR2(10643, 0, 128, 1, 0, VSV0, (/2, 1/), (/nGC_2689/))

      call avR2(10643, 1, 127, 1, 0, VSV0, (/2, 1/), (/nGC_2688/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,       &
      nGC_2921/))

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10441)%branchR2(0:0))
      call avR2(10441, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9791)%branchR2(0:0))
      call avR2(9791, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8108)%branchR2(0:1))
      call avR2(8108, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(8108, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8648)%branchR2(0:0))
      call avR2(8648, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10644)%branchR2(0:1))
      call avR2(10644, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2918/))

      call avR2(10644, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(9246)%branchR2(0:0))
      call avR2(9246, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6339)%branchR2(0:0))
      call avR2(6339, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10645)%branchR2(0:0))
      call avR2(10645, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2791, nGC_2790,      &
      nGC_2791/))

      allocate(vertices(1822)%branchR2(0:0))
      call avR2(1822, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2504/))

      allocate(vertices(5898)%branchR2(0:0))
      call avR2(5898, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9610)%branchR2(0:0))
      call avR2(9610, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9825)%branchR2(0:0))
      call avR2(9825, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4586)%branchR2(0:0))
      call avR2(4586, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10646)%branchR2(0:0))
      call avR2(10646, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9204)%branchR2(0:0))
      call avR2(9204, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6546)%branchR2(0:0))
      call avR2(6546, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7900)%branchR2(0:0))
      call avR2(7900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3034)%branchR2(0:0))
      call avR2(3034, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(8695)%branchR2(0:1))
      call avR2(8695, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(8695, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(10647)%branchR2(0:0))
      call avR2(10647, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(2724)%branchR2(0:1))
      call avR2(2724, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(2724, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(10065)%branchR2(0:0))
      call avR2(10065, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5312)%branchR2(0:0))
      call avR2(5312, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(7820)%branchR2(0:0))
      call avR2(7820, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5027)%branchR2(0:0))
      call avR2(5027, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(10648)%branchR2(0:0))
      call avR2(10648, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(3478)%branchR2(0:0))
      call avR2(3478, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10649)%branchR2(0:0))
      call avR2(10649, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(7023)%branchR2(0:0))
      call avR2(7023, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2715)%branchR2(0:1))
      call avR2(2715, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(2715, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(8867)%branchR2(0:0))
      call avR2(8867, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10216)%branchR2(0:0))
      call avR2(10216, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(2373)%branchR2(0:0))
      call avR2(2373, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10058)%branchR2(0:0))
      call avR2(10058, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7068)%branchR2(0:1))
      call avR2(7068, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(7068, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(3501)%branchR2(0:1))
      call avR2(3501, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(3501, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(10303)%branchR2(0:0))
      call avR2(10303, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(9770)%branchR2(0:1))
      call avR2(9770, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2437, nGC_2456,      &
      nGC_2456, nGC_2434/))

      call avR2(9770, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2429, nGC_2457,      &
      nGC_2457, nGC_2429/))

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6247)%branchR2(0:0))
      call avR2(6247, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(4933)%branchR2(0:0))
      call avR2(4933, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8771)%branchR2(0:1))
      call avR2(8771, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(8771, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10650)%branchR2(0:1))
      call avR2(10650, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10650, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10651)%branchR2(0:1))
      call avR2(10651, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10651, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(3476)%branchR2(0:0))
      call avR2(3476, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2932)%branchR2(0:1))
      call avR2(2932, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2707/))

      call avR2(2932, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(10652)%branchR2(0:0))
      call avR2(10652, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(7202)%branchR2(0:0))
      call avR2(7202, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6483)%branchR2(0:0))
      call avR2(6483, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(2348)%branchR2(0:0))
      call avR2(2348, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10653)%branchR2(0:1))
      call avR2(10653, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2934, nGC_2934,    &
      nGC_2934/))

      call avR2(10653, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      allocate(vertices(5690)%branchR2(0:0))
      call avR2(5690, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(9391)%branchR2(0:0))
      call avR2(9391, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(6129)%branchR2(0:0))
      call avR2(6129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(7863)%branchR2(0:0))
      call avR2(7863, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(2946)%branchR2(0:0))
      call avR2(2946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4729)%branchR2(0:0))
      call avR2(4729, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7914)%branchR2(0:0))
      call avR2(7914, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2595/))

      allocate(vertices(2407)%branchR2(0:1))
      call avR2(2407, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(2407, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(5142)%branchR2(0:0))
      call avR2(5142, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(7360)%branchR2(0:0))
      call avR2(7360, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(7709)%branchR2(0:0))
      call avR2(7709, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(9846)%branchR2(0:0))
      call avR2(9846, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7119)%branchR2(0:1))
      call avR2(7119, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(7119, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4993)%branchR2(0:0))
      call avR2(4993, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5011)%branchR2(0:0))
      call avR2(5011, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6592)%branchR2(0:3))
      call avR2(6592, 0, 22, 1, 0, FaFV1, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(6592, 1, 22, 1, 0, FaFV1, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(6592, 2, 23, 1, 0, FaFV1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(6592, 3, 23, 1, 0, FaFV1, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(9973)%branchR2(0:0))
      call avR2(9973, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6659)%branchR2(0:0))
      call avR2(6659, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(5199)%branchR2(0:0))
      call avR2(5199, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4058/))

      allocate(vertices(4570)%branchR2(0:0))
      call avR2(4570, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(8575)%branchR2(0:1))
      call avR2(8575, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(8575, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(6301)%branchR2(0:0))
      call avR2(6301, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7479)%branchR2(0:0))
      call avR2(7479, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(5941)%branchR2(0:0))
      call avR2(5941, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5992)%branchR2(0:0))
      call avR2(5992, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(10654)%branchR2(0:0))
      call avR2(10654, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2791, nGC_2790,      &
      nGC_2791/))

      allocate(vertices(1816)%branchR2(0:1))
      call avR2(1816, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(1816, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(152)%branchR2(0:1))
      call avR2(152, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(152, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7273)%branchR2(0:0))
      call avR2(7273, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10655)%branchR2(0:1))
      call avR2(10655, 0, 129, 1, 0, VVS0, (/2, 1/), (/nGC_2688/))

      call avR2(10655, 1, 130, 1, 0, VVS0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(8099)%branchR2(0:0))
      call avR2(8099, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6641)%branchR2(0:1))
      call avR2(6641, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2708/))

      call avR2(6641, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2090)%branchR2(0:0))
      call avR2(2090, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3973)%branchR2(0:0))
      call avR2(3973, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2806,       &
      nGC_2804/))

      allocate(vertices(5484)%branchR2(0:0))
      call avR2(5484, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10656)%branchR2(0:1))
      call avR2(10656, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2847/))

      call avR2(10656, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(7609)%branchR2(0:1))
      call avR2(7609, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(7609, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3827)%branchR2(0:0))
      call avR2(3827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8693)%branchR2(0:0))
      call avR2(8693, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10657)%branchR2(0:0))
      call avR2(10657, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(2282)%branchR2(0:0))
      call avR2(2282, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(10121)%branchR2(0:0))
      call avR2(10121, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8661)%branchR2(0:0))
      call avR2(8661, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(10308)%branchR2(0:0))
      call avR2(10308, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1128)%branchR2(0:1))
      call avR2(1128, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(1128, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(9757)%branchR2(0:0))
      call avR2(9757, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2418, nGC_2417/))

      allocate(vertices(3343)%branchR2(0:1))
      call avR2(3343, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(3343, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(9669)%branchR2(0:0))
      call avR2(9669, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(4104)%branchR2(0:0))
      call avR2(4104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(7934)%branchR2(0:0))
      call avR2(7934, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(6945)%branchR2(0:0))
      call avR2(6945, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6326)%branchR2(0:3))
      call avR2(6326, 0, 67, 1, 0, FaVF0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6326, 1, 67, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6326, 2, 66, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6326, 3, 66, 1, 0, FaVF0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(10363)%branchR2(0:0))
      call avR2(10363, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(3727)%branchR2(0:1))
      call avR2(3727, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2704/))

      call avR2(3727, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10285)%branchR2(0:0))
      call avR2(10285, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(10099)%branchR2(0:0))
      call avR2(10099, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2484/))

      allocate(vertices(5495)%branchR2(0:0))
      call avR2(5495, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(4427)%branchR2(0:1))
      call avR2(4427, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(4427, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(8075)%branchR2(0:1))
      call avR2(8075, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(8075, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(5868)%branchR2(0:0))
      call avR2(5868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9492)%branchR2(0:0))
      call avR2(9492, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6823)%branchR2(0:1))
      call avR2(6823, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(6823, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7214)%branchR2(0:0))
      call avR2(7214, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(7946)%branchR2(0:0))
      call avR2(7946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8341)%branchR2(0:0))
      call avR2(8341, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2579/))

      allocate(vertices(994)%branchR2(0:1))
      call avR2(994, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(994, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(4197)%branchR2(0:0))
      call avR2(4197, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3820)%branchR2(0:0))
      call avR2(3820, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4539)%branchR2(0:1))
      call avR2(4539, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(4539, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(4919)%branchR2(0:0))
      call avR2(4919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4818)%branchR2(0:1))
      call avR2(4818, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(4818, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(4963)%branchR2(0:0))
      call avR2(4963, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9506)%branchR2(0:0))
      call avR2(9506, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5343)%branchR2(0:0))
      call avR2(5343, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(9946)%branchR2(0:0))
      call avR2(9946, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2525/))

      allocate(vertices(10313)%branchR2(0:0))
      call avR2(10313, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5849)%branchR2(0:0))
      call avR2(5849, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(4321)%branchR2(0:0))
      call avR2(4321, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9660)%branchR2(0:0))
      call avR2(9660, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(3128)%branchR2(0:0))
      call avR2(3128, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(7189)%branchR2(0:0))
      call avR2(7189, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5268)%branchR2(0:0))
      call avR2(5268, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(8308)%branchR2(0:0))
      call avR2(8308, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10406)%branchR2(0:0))
      call avR2(10406, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6257)%branchR2(0:0))
      call avR2(6257, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2543/))

      allocate(vertices(9816)%branchR2(0:0))
      call avR2(9816, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9749)%branchR2(0:0))
      call avR2(9749, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(4369)%branchR2(0:0))
      call avR2(4369, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6676)%branchR2(0:0))
      call avR2(6676, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(5565)%branchR2(0:1))
      call avR2(5565, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2702/))

      call avR2(5565, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10022)%branchR2(0:0))
      call avR2(10022, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5638)%branchR2(0:0))
      call avR2(5638, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2470/))

      allocate(vertices(10658)%branchR2(0:1))
      call avR2(10658, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2831/))

      call avR2(10658, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(4665)%branchR2(0:0))
      call avR2(4665, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6736)%branchR2(0:0))
      call avR2(6736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10152)%branchR2(0:0))
      call avR2(10152, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8034)%branchR2(0:0))
      call avR2(8034, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(2953)%branchR2(0:0))
      call avR2(2953, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9067)%branchR2(0:0))
      call avR2(9067, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2503/))

      allocate(vertices(10659)%branchR2(0:1))
      call avR2(10659, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10659, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(5166)%branchR2(0:0))
      call avR2(5166, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7620)%branchR2(0:0))
      call avR2(7620, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2748)%branchR2(0:0))
      call avR2(2748, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2519/))

      allocate(vertices(5595)%branchR2(0:0))
      call avR2(5595, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(9269)%branchR2(0:0))
      call avR2(9269, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6723)%branchR2(0:3))
      call avR2(6723, 0, 27, 1, 0, VFFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(6723, 1, 27, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6723, 2, 26, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6723, 3, 26, 1, 0, VFFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(5339)%branchR2(0:1))
      call avR2(5339, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(5339, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2599/))

      allocate(vertices(7397)%branchR2(0:0))
      call avR2(7397, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7706)%branchR2(0:0))
      call avR2(7706, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1768)%branchR2(0:1))
      call avR2(1768, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(1768, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(10660)%branchR2(0:0))
      call avR2(10660, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7743)%branchR2(0:0))
      call avR2(7743, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(4622)%branchR2(0:0))
      call avR2(4622, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(3817)%branchR2(0:0))
      call avR2(3817, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9053)%branchR2(0:0))
      call avR2(9053, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10661)%branchR2(0:0))
      call avR2(10661, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(4786)%branchR2(0:0))
      call avR2(4786, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(4082)%branchR2(0:0))
      call avR2(4082, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(5776)%branchR2(0:0))
      call avR2(5776, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9482)%branchR2(0:0))
      call avR2(9482, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(9150)%branchR2(0:0))
      call avR2(9150, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(9613)%branchR2(0:0))
      call avR2(9613, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

    end subroutine fill_vertices_mdl22
end module vertices_info22
