!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl23()
      allocate(vertices(3520)%branchR2(0:0))
      call avR2(3520, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(6563)%branchR2(0:0))
      call avR2(6563, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(37)%branchR2(0:1))
      call avR2(37, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(37, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5799)%branchR2(0:0))
      call avR2(5799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10662)%branchR2(0:1))
      call avR2(10662, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10662, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(3646)%branchR2(0:0))
      call avR2(3646, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6877)%branchR2(0:0))
      call avR2(6877, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8279)%branchR2(0:0))
      call avR2(8279, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(5914)%branchR2(0:0))
      call avR2(5914, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(7976)%branchR2(0:0))
      call avR2(7976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(6738)%branchR2(0:0))
      call avR2(6738, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(6618)%branchR2(0:0))
      call avR2(6618, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7243)%branchR2(0:0))
      call avR2(7243, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(3896)%branchR2(0:1))
      call avR2(3896, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(3896, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(9509)%branchR2(0:0))
      call avR2(9509, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9390)%branchR2(0:0))
      call avR2(9390, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(6729)%branchR2(0:0))
      call avR2(6729, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5453)%branchR2(0:1))
      call avR2(5453, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(5453, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2580/))

      allocate(vertices(5137)%branchR2(0:0))
      call avR2(5137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8843)%branchR2(0:0))
      call avR2(8843, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(4500)%branchR2(0:0))
      call avR2(4500, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(9668)%branchR2(0:0))
      call avR2(9668, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6260)%branchR2(0:0))
      call avR2(6260, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(2469)%branchR2(0:1))
      call avR2(2469, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(2469, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(10400)%branchR2(0:0))
      call avR2(10400, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5216)%branchR2(0:0))
      call avR2(5216, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2771,       &
      nGC_2773/))

      allocate(vertices(9989)%branchR2(0:0))
      call avR2(9989, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(6025)%branchR2(0:0))
      call avR2(6025, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(4685)%branchR2(0:0))
      call avR2(4685, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10078)%branchR2(0:0))
      call avR2(10078, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5450)%branchR2(0:0))
      call avR2(5450, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(7325)%branchR2(0:1))
      call avR2(7325, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(7325, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(8409)%branchR2(0:0))
      call avR2(8409, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(4166)%branchR2(0:0))
      call avR2(4166, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(1099)%branchR2(0:1))
      call avR2(1099, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(1099, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10663)%branchR2(0:0))
      call avR2(10663, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(9425)%branchR2(0:0))
      call avR2(9425, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10358)%branchR2(0:0))
      call avR2(10358, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9787)%branchR2(0:0))
      call avR2(9787, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6344)%branchR2(0:0))
      call avR2(6344, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7184)%branchR2(0:0))
      call avR2(7184, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(3352)%branchR2(0:0))
      call avR2(3352, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(770)%branchR2(0:0))
      call avR2(770, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10664)%branchR2(0:0))
      call avR2(10664, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2498/))

      allocate(vertices(4505)%branchR2(0:0))
      call avR2(4505, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5847)%branchR2(0:0))
      call avR2(5847, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(9837)%branchR2(0:0))
      call avR2(9837, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6412)%branchR2(0:0))
      call avR2(6412, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(8852)%branchR2(0:0))
      call avR2(8852, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(10665)%branchR2(0:1))
      call avR2(10665, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      call avR2(10665, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2934, nGC_2934,    &
      nGC_2934/))

      allocate(vertices(8930)%branchR2(0:0))
      call avR2(8930, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2806,        &
      nGC_2805/))

      allocate(vertices(10104)%branchR2(0:0))
      call avR2(10104, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7702)%branchR2(0:0))
      call avR2(7702, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(7271)%branchR2(0:0))
      call avR2(7271, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10666)%branchR2(0:0))
      call avR2(10666, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(2052)%branchR2(0:1))
      call avR2(2052, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(2052, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(8339)%branchR2(0:0))
      call avR2(8339, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(4760)%branchR2(0:0))
      call avR2(4760, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10667)%branchR2(0:0))
      call avR2(10667, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10668)%branchR2(0:0))
      call avR2(10668, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7503)%branchR2(0:0))
      call avR2(7503, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7085)%branchR2(0:0))
      call avR2(7085, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10456)%branchR2(0:0))
      call avR2(10456, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(7129)%branchR2(0:0))
      call avR2(7129, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6052)%branchR2(0:0))
      call avR2(6052, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3758)%branchR2(0:0))
      call avR2(3758, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(23)%branchR2(0:1))
      call avR2(23, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(23, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(2732)%branchR2(0:0))
      call avR2(2732, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(1739)%branchR2(0:1))
      call avR2(1739, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(1739, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(3367)%branchR2(0:0))
      call avR2(3367, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9267)%branchR2(0:0))
      call avR2(9267, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6095)%branchR2(0:0))
      call avR2(6095, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2597/))

      allocate(vertices(3341)%branchR2(0:1))
      call avR2(3341, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(3341, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10669)%branchR2(0:0))
      call avR2(10669, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(236)%branchR2(0:1))
      call avR2(236, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(236, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(10670)%branchR2(0:1))
      call avR2(10670, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10670, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(3596)%branchR2(0:1))
      call avR2(3596, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(3596, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3344)%branchR2(0:0))
      call avR2(3344, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6632)%branchR2(0:0))
      call avR2(6632, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(3801)%branchR2(0:0))
      call avR2(3801, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5337)%branchR2(0:0))
      call avR2(5337, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(7737)%branchR2(0:1))
      call avR2(7737, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(7737, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(2905)%branchR2(0:0))
      call avR2(2905, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(4646)%branchR2(0:0))
      call avR2(4646, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(4629)%branchR2(0:0))
      call avR2(4629, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(385)%branchR2(0:1))
      call avR2(385, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(385, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(10671)%branchR2(0:1))
      call avR2(10671, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10671, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(3554)%branchR2(0:1))
      call avR2(3554, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(3554, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9621)%branchR2(0:0))
      call avR2(9621, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(5052)%branchR2(0:0))
      call avR2(5052, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9515)%branchR2(0:0))
      call avR2(9515, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4401)%branchR2(0:0))
      call avR2(4401, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(10672)%branchR2(0:5))
      call avR2(10672, 0, 149, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10672, 1, 148, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10672, 2, 151, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10672, 3, 152, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10672, 4, 150, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10672, 5, 147, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(5760)%branchR2(0:0))
      call avR2(5760, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2130)%branchR2(0:0))
      call avR2(2130, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3048)%branchR2(0:0))
      call avR2(3048, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3373)%branchR2(0:0))
      call avR2(3373, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3390)%branchR2(0:1))
      call avR2(3390, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(3390, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4969)%branchR2(0:0))
      call avR2(4969, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(2668)%branchR2(0:0))
      call avR2(2668, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1609)%branchR2(0:0))
      call avR2(1609, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(8621)%branchR2(0:0))
      call avR2(8621, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2924, nGC_2924,       &
      nGC_2923/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4035/))

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5048)%branchR2(0:0))
      call avR2(5048, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(7031)%branchR2(0:0))
      call avR2(7031, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(7106)%branchR2(0:0))
      call avR2(7106, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(8638)%branchR2(0:0))
      call avR2(8638, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(8617)%branchR2(0:0))
      call avR2(8617, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(10673)%branchR2(0:0))
      call avR2(10673, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1938)%branchR2(0:1))
      call avR2(1938, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(1938, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(5125)%branchR2(0:0))
      call avR2(5125, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(6896)%branchR2(0:1))
      call avR2(6896, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(6896, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7964)%branchR2(0:0))
      call avR2(7964, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9601)%branchR2(0:0))
      call avR2(9601, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(4461)%branchR2(0:0))
      call avR2(4461, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(10023)%branchR2(0:0))
      call avR2(10023, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(3793)%branchR2(0:0))
      call avR2(3793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9473)%branchR2(0:0))
      call avR2(9473, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6542)%branchR2(0:0))
      call avR2(6542, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4824)%branchR2(0:0))
      call avR2(4824, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(4922)%branchR2(0:0))
      call avR2(4922, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7015)%branchR2(0:0))
      call avR2(7015, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1603)%branchR2(0:0))
      call avR2(1603, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(10402)%branchR2(0:0))
      call avR2(10402, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6041)%branchR2(0:0))
      call avR2(6041, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9518)%branchR2(0:0))
      call avR2(9518, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10674)%branchR2(0:1))
      call avR2(10674, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2918/))

      call avR2(10674, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10675)%branchR2(0:0))
      call avR2(10675, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6685)%branchR2(0:0))
      call avR2(6685, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(7048)%branchR2(0:0))
      call avR2(7048, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4793)%branchR2(0:0))
      call avR2(4793, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3605)%branchR2(0:0))
      call avR2(3605, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6804)%branchR2(0:0))
      call avR2(6804, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6697)%branchR2(0:0))
      call avR2(6697, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(4485)%branchR2(0:0))
      call avR2(4485, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2816)%branchR2(0:0))
      call avR2(2816, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(5044)%branchR2(0:1))
      call avR2(5044, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(5044, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(10676)%branchR2(0:0))
      call avR2(10676, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(8064)%branchR2(0:1))
      call avR2(8064, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(8064, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10227)%branchR2(0:0))
      call avR2(10227, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(9253)%branchR2(0:0))
      call avR2(9253, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(297)%branchR2(0:1))
      call avR2(297, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(297, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(9716)%branchR2(0:0))
      call avR2(9716, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8920)%branchR2(0:0))
      call avR2(8920, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8757)%branchR2(0:0))
      call avR2(8757, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(4535)%branchR2(0:0))
      call avR2(4535, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(8910)%branchR2(0:0))
      call avR2(8910, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(7775)%branchR2(0:0))
      call avR2(7775, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10677)%branchR2(0:1))
      call avR2(10677, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10677, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10678)%branchR2(0:0))
      call avR2(10678, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6089)%branchR2(0:0))
      call avR2(6089, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(1653, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(8597)%branchR2(0:0))
      call avR2(8597, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(1830)%branchR2(0:0))
      call avR2(1830, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(733)%branchR2(0:0))
      call avR2(733, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3908)%branchR2(0:1))
      call avR2(3908, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(3908, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(9783)%branchR2(0:0))
      call avR2(9783, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(3299)%branchR2(0:0))
      call avR2(3299, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(2895)%branchR2(0:0))
      call avR2(2895, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(6796)%branchR2(0:0))
      call avR2(6796, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2806, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(10001)%branchR2(0:0))
      call avR2(10001, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(9446)%branchR2(0:0))
      call avR2(9446, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(8532)%branchR2(0:0))
      call avR2(8532, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(7299)%branchR2(0:3))
      call avR2(7299, 0, 22, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(7299, 1, 22, 1, 0, FaFV1, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(7299, 2, 23, 1, 0, FaFV1, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(7299, 3, 23, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(10296)%branchR2(0:0))
      call avR2(10296, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3530)%branchR2(0:0))
      call avR2(3530, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(358)%branchR2(0:1))
      call avR2(358, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(358, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10279)%branchR2(0:0))
      call avR2(10279, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(4214)%branchR2(0:0))
      call avR2(4214, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10679)%branchR2(0:1))
      call avR2(10679, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2831/))

      call avR2(10679, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(3734)%branchR2(0:0))
      call avR2(3734, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4044/))

      allocate(vertices(3265)%branchR2(0:0))
      call avR2(3265, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(9887)%branchR2(0:0))
      call avR2(9887, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2411, nGC_2409,        &
      nGC_2410/))

      allocate(vertices(10108)%branchR2(0:0))
      call avR2(10108, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4116)%branchR2(0:1))
      call avR2(4116, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(4116, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2068)%branchR2(0:0))
      call avR2(2068, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(9842)%branchR2(0:0))
      call avR2(9842, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10680)%branchR2(0:1))
      call avR2(10680, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10680, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(8149)%branchR2(0:0))
      call avR2(8149, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5466)%branchR2(0:0))
      call avR2(5466, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(10034)%branchR2(0:0))
      call avR2(10034, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2525/))

      allocate(vertices(2557)%branchR2(0:0))
      call avR2(2557, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(3747)%branchR2(0:0))
      call avR2(3747, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8630)%branchR2(0:0))
      call avR2(8630, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(5567)%branchR2(0:0))
      call avR2(5567, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(4006)%branchR2(0:0))
      call avR2(4006, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(3088)%branchR2(0:0))
      call avR2(3088, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4908)%branchR2(0:0))
      call avR2(4908, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(9376)%branchR2(0:0))
      call avR2(9376, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(5502)%branchR2(0:0))
      call avR2(5502, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(9361)%branchR2(0:0))
      call avR2(9361, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(6250)%branchR2(0:0))
      call avR2(6250, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7363)%branchR2(0:0))
      call avR2(7363, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1144)%branchR2(0:1))
      call avR2(1144, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(1144, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10681)%branchR2(0:0))
      call avR2(10681, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10370)%branchR2(0:0))
      call avR2(10370, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(4457)%branchR2(0:1))
      call avR2(4457, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2708/))

      call avR2(4457, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10682)%branchR2(0:1))
      call avR2(10682, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2897/))

      call avR2(10682, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(8396)%branchR2(0:0))
      call avR2(8396, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(40)%branchR2(0:1))
      call avR2(40, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(40, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(1519)%branchR2(0:0))
      call avR2(1519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10217)%branchR2(0:0))
      call avR2(10217, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(9357)%branchR2(0:0))
      call avR2(9357, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6373)%branchR2(0:0))
      call avR2(6373, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(3415)%branchR2(0:0))
      call avR2(3415, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(9147)%branchR2(0:0))
      call avR2(9147, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(8592)%branchR2(0:0))
      call avR2(8592, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(10683)%branchR2(0:0))
      call avR2(10683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(7001)%branchR2(0:0))
      call avR2(7001, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(3745)%branchR2(0:0))
      call avR2(3745, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(10122)%branchR2(0:0))
      call avR2(10122, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2725/))

      allocate(vertices(9375)%branchR2(0:0))
      call avR2(9375, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(2055)%branchR2(0:0))
      call avR2(2055, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(7812)%branchR2(0:0))
      call avR2(7812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10684)%branchR2(0:0))
      call avR2(10684, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(4380)%branchR2(0:0))
      call avR2(4380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(6650)%branchR2(0:1))
      call avR2(6650, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(6650, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(8778)%branchR2(0:0))
      call avR2(8778, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(7646)%branchR2(0:1))
      call avR2(7646, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(7646, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5893)%branchR2(0:0))
      call avR2(5893, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2924, nGC_2923,        &
      nGC_2924/))

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(8376)%branchR2(0:0))
      call avR2(8376, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7564)%branchR2(0:0))
      call avR2(7564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(10319)%branchR2(0:0))
      call avR2(10319, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(6611)%branchR2(0:0))
      call avR2(6611, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(5051)%branchR2(0:0))
      call avR2(5051, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2806/))

      allocate(vertices(5402)%branchR2(0:0))
      call avR2(5402, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2462/))

      allocate(vertices(4199)%branchR2(0:0))
      call avR2(4199, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2806,       &
      nGC_2804/))

      allocate(vertices(5186)%branchR2(0:0))
      call avR2(5186, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(8160)%branchR2(0:0))
      call avR2(8160, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(9397)%branchR2(0:0))
      call avR2(9397, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(10685)%branchR2(0:0))
      call avR2(10685, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7542)%branchR2(0:1))
      call avR2(7542, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(7542, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(3843)%branchR2(0:0))
      call avR2(3843, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(1295)%branchR2(0:0))
      call avR2(1295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10686)%branchR2(0:0))
      call avR2(10686, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(5940)%branchR2(0:0))
      call avR2(5940, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(4302)%branchR2(0:0))
      call avR2(4302, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10687)%branchR2(0:0))
      call avR2(10687, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(7736)%branchR2(0:0))
      call avR2(7736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6664)%branchR2(0:0))
      call avR2(6664, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7508)%branchR2(0:1))
      call avR2(7508, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(7508, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(4737)%branchR2(0:0))
      call avR2(4737, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(4383)%branchR2(0:0))
      call avR2(4383, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10225)%branchR2(0:0))
      call avR2(10225, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4060/))

      allocate(vertices(5643)%branchR2(0:0))
      call avR2(5643, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6845)%branchR2(0:0))
      call avR2(6845, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(9335)%branchR2(0:0))
      call avR2(9335, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2459/))

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,        &
      nGC_2921/))

      allocate(vertices(6470)%branchR2(0:0))
      call avR2(6470, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6115)%branchR2(0:0))
      call avR2(6115, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7789)%branchR2(0:3))
      call avR2(7789, 0, 24, 1, 0, VFaF0, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(7789, 1, 24, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(7789, 2, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(7789, 3, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(4059)%branchR2(0:0))
      call avR2(4059, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4313)%branchR2(0:0))
      call avR2(4313, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1994)%branchR2(0:1))
      call avR2(1994, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(1994, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(5193)%branchR2(0:0))
      call avR2(5193, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(8179)%branchR2(0:0))
      call avR2(8179, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(5850)%branchR2(0:0))
      call avR2(5850, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5194)%branchR2(0:0))
      call avR2(5194, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4425)%branchR2(0:0))
      call avR2(4425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9295)%branchR2(0:0))
      call avR2(9295, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10688)%branchR2(0:0))
      call avR2(10688, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7661)%branchR2(0:0))
      call avR2(7661, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10689)%branchR2(0:1))
      call avR2(10689, 0, 129, 1, 0, VVS0, (/2, 1/), (/nGC_2659/))

      call avR2(10689, 1, 130, 1, 0, VVS0, (/2, 1/), (/nGC_2660/))

      allocate(vertices(799)%branchR2(0:1))
      call avR2(799, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(799, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(4481)%branchR2(0:0))
      call avR2(4481, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2920, nGC_2921,       &
      nGC_2921/))

      allocate(vertices(8351)%branchR2(0:0))
      call avR2(8351, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8658)%branchR2(0:0))
      call avR2(8658, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(1786)%branchR2(0:0))
      call avR2(1786, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(10252)%branchR2(0:0))
      call avR2(10252, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10690)%branchR2(0:0))
      call avR2(10690, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3571)%branchR2(0:0))
      call avR2(3571, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4038/))

      allocate(vertices(10691)%branchR2(0:1))
      call avR2(10691, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10691, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(7220)%branchR2(0:0))
      call avR2(7220, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8018)%branchR2(0:0))
      call avR2(8018, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(9530)%branchR2(0:0))
      call avR2(9530, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5770)%branchR2(0:1))
      call avR2(5770, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(5770, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(8787)%branchR2(0:0))
      call avR2(8787, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10692)%branchR2(0:1))
      call avR2(10692, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10692, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(63)%branchR2(0:1))
      call avR2(63, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(63, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(7817)%branchR2(0:0))
      call avR2(7817, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3981)%branchR2(0:0))
      call avR2(3981, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8502)%branchR2(0:0))
      call avR2(8502, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10693)%branchR2(0:1))
      call avR2(10693, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10693, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(6040)%branchR2(0:0))
      call avR2(6040, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(5766)%branchR2(0:1))
      call avR2(5766, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(5766, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(10449)%branchR2(0:0))
      call avR2(10449, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(8947)%branchR2(0:0))
      call avR2(8947, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(4841)%branchR2(0:0))
      call avR2(4841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10694)%branchR2(0:0))
      call avR2(10694, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(4769)%branchR2(0:0))
      call avR2(4769, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10021)%branchR2(0:0))
      call avR2(10021, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(8305)%branchR2(0:0))
      call avR2(8305, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10106)%branchR2(0:0))
      call avR2(10106, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(3286)%branchR2(0:0))
      call avR2(3286, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(7704)%branchR2(0:0))
      call avR2(7704, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10292)%branchR2(0:0))
      call avR2(10292, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10039)%branchR2(0:0))
      call avR2(10039, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3252)%branchR2(0:0))
      call avR2(3252, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(8936)%branchR2(0:0))
      call avR2(8936, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(9903)%branchR2(0:0))
      call avR2(9903, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6918)%branchR2(0:0))
      call avR2(6918, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7006)%branchR2(0:1))
      call avR2(7006, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(7006, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10027)%branchR2(0:0))
      call avR2(10027, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(8889)%branchR2(0:0))
      call avR2(8889, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(6860)%branchR2(0:0))
      call avR2(6860, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4798)%branchR2(0:0))
      call avR2(4798, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(5195)%branchR2(0:0))
      call avR2(5195, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7675)%branchR2(0:1))
      call avR2(7675, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(7675, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(10695)%branchR2(0:0))
      call avR2(10695, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10696)%branchR2(0:0))
      call avR2(10696, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(10697)%branchR2(0:0))
      call avR2(10697, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2777, nGC_2777,      &
      nGC_2777/))

      allocate(vertices(5633)%branchR2(0:0))
      call avR2(5633, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(10428)%branchR2(0:0))
      call avR2(10428, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(10312)%branchR2(0:0))
      call avR2(10312, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(8953)%branchR2(0:0))
      call avR2(8953, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4081)%branchR2(0:0))
      call avR2(4081, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9688)%branchR2(0:0))
      call avR2(9688, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(8161)%branchR2(0:0))
      call avR2(8161, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3710)%branchR2(0:0))
      call avR2(3710, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8405)%branchR2(0:0))
      call avR2(8405, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5523)%branchR2(0:0))
      call avR2(5523, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6329)%branchR2(0:0))
      call avR2(6329, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(3964)%branchR2(0:0))
      call avR2(3964, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8379)%branchR2(0:0))
      call avR2(8379, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(9583)%branchR2(0:0))
      call avR2(9583, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2579/))

      allocate(vertices(10698)%branchR2(0:1))
      call avR2(10698, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2832/))

      call avR2(10698, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2831/))

      allocate(vertices(4810)%branchR2(0:0))
      call avR2(4810, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6988)%branchR2(0:0))
      call avR2(6988, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9411)%branchR2(0:0))
      call avR2(9411, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(10072)%branchR2(0:0))
      call avR2(10072, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(4858)%branchR2(0:0))
      call avR2(4858, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(6077)%branchR2(0:0))
      call avR2(6077, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6882)%branchR2(0:0))
      call avR2(6882, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8219)%branchR2(0:0))
      call avR2(8219, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(9254)%branchR2(0:0))
      call avR2(9254, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10699)%branchR2(0:1))
      call avR2(10699, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10699, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(8660)%branchR2(0:0))
      call avR2(8660, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(3872)%branchR2(0:0))
      call avR2(3872, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2920, nGC_2921,       &
      nGC_2921/))

      allocate(vertices(9347)%branchR2(0:0))
      call avR2(9347, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(6207)%branchR2(0:0))
      call avR2(6207, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(4914)%branchR2(0:0))
      call avR2(4914, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(4076)%branchR2(0:0))
      call avR2(4076, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(6543)%branchR2(0:0))
      call avR2(6543, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10700)%branchR2(0:0))
      call avR2(10700, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8277)%branchR2(0:0))
      call avR2(8277, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7532)%branchR2(0:1))
      call avR2(7532, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(7532, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(8304)%branchR2(0:0))
      call avR2(8304, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10701)%branchR2(0:0))
      call avR2(10701, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(2032)%branchR2(0:0))
      call avR2(2032, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7656)%branchR2(0:0))
      call avR2(7656, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5212)%branchR2(0:0))
      call avR2(5212, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6838)%branchR2(0:0))
      call avR2(6838, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(2869)%branchR2(0:0))
      call avR2(2869, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(8264)%branchR2(0:0))
      call avR2(8264, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(4487)%branchR2(0:0))
      call avR2(4487, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10194)%branchR2(0:0))
      call avR2(10194, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(778)%branchR2(0:1))
      call avR2(778, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(778, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5208)%branchR2(0:0))
      call avR2(5208, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(1665, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(10702)%branchR2(0:1))
      call avR2(10702, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2883/))

      call avR2(10702, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7161)%branchR2(0:0))
      call avR2(7161, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8141)%branchR2(0:0))
      call avR2(8141, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10703)%branchR2(0:1))
      call avR2(10703, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10703, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(2679)%branchR2(0:0))
      call avR2(2679, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(2541)%branchR2(0:0))
      call avR2(2541, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(7088)%branchR2(0:0))
      call avR2(7088, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3177)%branchR2(0:3))
      call avR2(3177, 0, 22, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3177, 1, 22, 1, 0, FaFV1, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(3177, 2, 23, 1, 0, FaFV1, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(3177, 3, 23, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(5226)%branchR2(0:0))
      call avR2(5226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10704)%branchR2(0:0))
      call avR2(10704, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(9136)%branchR2(0:0))
      call avR2(9136, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2502/))

      allocate(vertices(8184)%branchR2(0:0))
      call avR2(8184, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(5725)%branchR2(0:0))
      call avR2(5725, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(4026)%branchR2(0:0))
      call avR2(4026, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6847)%branchR2(0:1))
      call avR2(6847, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(6847, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(10079)%branchR2(0:0))
      call avR2(10079, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10705)%branchR2(0:0))
      call avR2(10705, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(10706)%branchR2(0:0))
      call avR2(10706, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(5374)%branchR2(0:0))
      call avR2(5374, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(7937)%branchR2(0:0))
      call avR2(7937, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9755)%branchR2(0:0))
      call avR2(9755, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4977)%branchR2(0:0))
      call avR2(4977, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2609/))

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2610/))

      allocate(vertices(4216)%branchR2(0:0))
      call avR2(4216, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8007)%branchR2(0:0))
      call avR2(8007, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(10707)%branchR2(0:0))
      call avR2(10707, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(3857)%branchR2(0:1))
      call avR2(3857, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(3857, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(5213)%branchR2(0:0))
      call avR2(5213, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(400)%branchR2(0:1))
      call avR2(400, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(400, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(3000)%branchR2(0:0))
      call avR2(3000, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7740)%branchR2(0:1))
      call avR2(7740, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(7740, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(9481)%branchR2(0:0))
      call avR2(9481, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(4388)%branchR2(0:0))
      call avR2(4388, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8698)%branchR2(0:0))
      call avR2(8698, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(3611)%branchR2(0:0))
      call avR2(3611, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(5160)%branchR2(0:0))
      call avR2(5160, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6456)%branchR2(0:0))
      call avR2(6456, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9462)%branchR2(0:0))
      call avR2(9462, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5774)%branchR2(0:0))
      call avR2(5774, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(5031)%branchR2(0:0))
      call avR2(5031, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(10708)%branchR2(0:1))
      call avR2(10708, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      call avR2(10708, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(5176)%branchR2(0:3))
      call avR2(5176, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(5176, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(5176, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(5176, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(2901)%branchR2(0:0))
      call avR2(2901, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10709)%branchR2(0:1))
      call avR2(10709, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2897/))

      call avR2(10709, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(4632)%branchR2(0:0))
      call avR2(4632, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(4108)%branchR2(0:0))
      call avR2(4108, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6252)%branchR2(0:0))
      call avR2(6252, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10035)%branchR2(0:0))
      call avR2(10035, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4059/))

      allocate(vertices(3337)%branchR2(0:0))
      call avR2(3337, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(7832)%branchR2(0:0))
      call avR2(7832, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(8181)%branchR2(0:0))
      call avR2(8181, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6962)%branchR2(0:1))
      call avR2(6962, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(6962, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(3835)%branchR2(0:0))
      call avR2(3835, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9202)%branchR2(0:0))
      call avR2(9202, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4051/))

      allocate(vertices(8853)%branchR2(0:0))
      call avR2(8853, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(9030)%branchR2(0:0))
      call avR2(9030, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10137)%branchR2(0:0))
      call avR2(10137, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9420)%branchR2(0:0))
      call avR2(9420, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5251)%branchR2(0:0))
      call avR2(5251, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(5308)%branchR2(0:0))
      call avR2(5308, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2878)%branchR2(0:0))
      call avR2(2878, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(2565)%branchR2(0:0))
      call avR2(2565, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10133)%branchR2(0:0))
      call avR2(10133, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(7190)%branchR2(0:0))
      call avR2(7190, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(6112)%branchR2(0:1))
      call avR2(6112, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(6112, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(9882)%branchR2(0:0))
      call avR2(9882, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2588)%branchR2(0:0))
      call avR2(2588, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7905)%branchR2(0:0))
      call avR2(7905, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9531)%branchR2(0:0))
      call avR2(9531, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9990)%branchR2(0:0))
      call avR2(9990, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9087)%branchR2(0:0))
      call avR2(9087, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2225)%branchR2(0:0))
      call avR2(2225, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(10124)%branchR2(0:0))
      call avR2(10124, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(8500)%branchR2(0:0))
      call avR2(8500, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(4802)%branchR2(0:0))
      call avR2(4802, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9313)%branchR2(0:0))
      call avR2(9313, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6454)%branchR2(0:3))
      call avR2(6454, 0, 24, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6454, 1, 24, 1, 0, VFaF0, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(6454, 2, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6454, 3, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(6378)%branchR2(0:0))
      call avR2(6378, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(3046)%branchR2(0:0))
      call avR2(3046, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(10198)%branchR2(0:0))
      call avR2(10198, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1888)%branchR2(0:1))
      call avR2(1888, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(1888, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(4901)%branchR2(0:0))
      call avR2(4901, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(2347)%branchR2(0:0))
      call avR2(2347, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2596/))

      allocate(vertices(5388)%branchR2(0:0))
      call avR2(5388, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(9286)%branchR2(0:0))
      call avR2(9286, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4517)%branchR2(0:0))
      call avR2(4517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10710)%branchR2(0:0))
      call avR2(10710, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5956)%branchR2(0:0))
      call avR2(5956, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5758)%branchR2(0:0))
      call avR2(5758, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(8623)%branchR2(0:0))
      call avR2(8623, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(4698)%branchR2(0:0))
      call avR2(4698, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(4078)%branchR2(0:0))
      call avR2(4078, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(207)%branchR2(0:0))
      call avR2(207, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4206)%branchR2(0:0))
      call avR2(4206, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5243)%branchR2(0:0))
      call avR2(5243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(4732)%branchR2(0:0))
      call avR2(4732, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(9574)%branchR2(0:0))
      call avR2(9574, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(5429)%branchR2(0:0))
      call avR2(5429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(4134)%branchR2(0:1))
      call avR2(4134, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(4134, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6868)%branchR2(0:1))
      call avR2(6868, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(6868, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(6808)%branchR2(0:0))
      call avR2(6808, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10173)%branchR2(0:0))
      call avR2(10173, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(5002)%branchR2(0:0))
      call avR2(5002, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4249)%branchR2(0:0))
      call avR2(4249, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(7634)%branchR2(0:0))
      call avR2(7634, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4812)%branchR2(0:0))
      call avR2(4812, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(7142)%branchR2(0:0))
      call avR2(7142, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(5862)%branchR2(0:0))
      call avR2(5862, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(10116)%branchR2(0:0))
      call avR2(10116, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10711)%branchR2(0:0))
      call avR2(10711, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(7402)%branchR2(0:0))
      call avR2(7402, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(1616, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(6993)%branchR2(0:0))
      call avR2(6993, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(5018)%branchR2(0:0))
      call avR2(5018, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(5154)%branchR2(0:0))
      call avR2(5154, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(6479)%branchR2(0:0))
      call avR2(6479, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(9915)%branchR2(0:0))
      call avR2(9915, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(8143)%branchR2(0:0))
      call avR2(8143, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(8225)%branchR2(0:1))
      call avR2(8225, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(8225, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10712)%branchR2(0:0))
      call avR2(10712, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(8809)%branchR2(0:0))
      call avR2(8809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4552)%branchR2(0:0))
      call avR2(4552, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10229)%branchR2(0:0))
      call avR2(10229, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2526/))

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(6596)%branchR2(0:0))
      call avR2(6596, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1950)%branchR2(0:1))
      call avR2(1950, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2702/))

      call avR2(1950, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(5866)%branchR2(0:1))
      call avR2(5866, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(5866, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(3720)%branchR2(0:0))
      call avR2(3720, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8337)%branchR2(0:0))
      call avR2(8337, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(3297)%branchR2(0:0))
      call avR2(3297, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2599/))

      allocate(vertices(7373)%branchR2(0:0))
      call avR2(7373, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6449)%branchR2(0:0))
      call avR2(6449, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(3486)%branchR2(0:0))
      call avR2(3486, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(6585)%branchR2(0:0))
      call avR2(6585, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4047/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8183)%branchR2(0:0))
      call avR2(8183, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(7579)%branchR2(0:0))
      call avR2(7579, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8169)%branchR2(0:0))
      call avR2(8169, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7534)%branchR2(0:0))
      call avR2(7534, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(8701)%branchR2(0:0))
      call avR2(8701, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10713)%branchR2(0:0))
      call avR2(10713, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2921,       &
      nGC_2920/))

      allocate(vertices(6462)%branchR2(0:0))
      call avR2(6462, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(5945)%branchR2(0:0))
      call avR2(5945, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2482)%branchR2(0:1))
      call avR2(2482, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(2482, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(9950)%branchR2(0:0))
      call avR2(9950, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2539/))

      allocate(vertices(6904)%branchR2(0:0))
      call avR2(6904, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2577/))

      allocate(vertices(10714)%branchR2(0:0))
      call avR2(10714, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10218)%branchR2(0:0))
      call avR2(10218, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5593)%branchR2(0:0))
      call avR2(5593, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(10715)%branchR2(0:1))
      call avR2(10715, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2932/))

      call avR2(10715, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(2371)%branchR2(0:1))
      call avR2(2371, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(2371, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2512)%branchR2(0:0))
      call avR2(2512, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5619)%branchR2(0:1))
      call avR2(5619, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(5619, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(6259)%branchR2(0:0))
      call avR2(6259, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8860)%branchR2(0:0))
      call avR2(8860, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6905)%branchR2(0:0))
      call avR2(6905, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(7843)%branchR2(0:0))
      call avR2(7843, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2921,       &
      nGC_2920/))

      allocate(vertices(8901)%branchR2(0:0))
      call avR2(8901, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10716)%branchR2(0:0))
      call avR2(10716, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6035)%branchR2(0:3))
      call avR2(6035, 0, 67, 1, 0, FaVF0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(6035, 1, 67, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6035, 2, 66, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6035, 3, 66, 1, 0, FaVF0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(10717)%branchR2(0:1))
      call avR2(10717, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10717, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2847/))

      allocate(vertices(9685)%branchR2(0:0))
      call avR2(9685, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2459/))

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10718)%branchR2(0:1))
      call avR2(10718, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10718, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(189)%branchR2(0:1))
      call avR2(189, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(189, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(9883)%branchR2(0:0))
      call avR2(9883, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(8973)%branchR2(0:0))
      call avR2(8973, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9909)%branchR2(0:0))
      call avR2(9909, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(4209)%branchR2(0:0))
      call avR2(4209, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2920, nGC_2921,        &
      nGC_2921/))

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10445)%branchR2(0:0))
      call avR2(10445, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8387)%branchR2(0:0))
      call avR2(8387, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(9393)%branchR2(0:0))
      call avR2(9393, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5256)%branchR2(0:0))
      call avR2(5256, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(1807)%branchR2(0:0))
      call avR2(1807, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3965)%branchR2(0:1))
      call avR2(3965, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(3965, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(7504)%branchR2(0:0))
      call avR2(7504, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5918)%branchR2(0:0))
      call avR2(5918, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(10719)%branchR2(0:1))
      call avR2(10719, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10719, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(9214)%branchR2(0:0))
      call avR2(9214, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8857)%branchR2(0:0))
      call avR2(8857, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(7496)%branchR2(0:3))
      call avR2(7496, 0, 69, 1, 0, FVFa0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(7496, 1, 69, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(7496, 2, 68, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(7496, 3, 68, 1, 0, FVFa0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(5277)%branchR2(0:0))
      call avR2(5277, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(10156)%branchR2(0:0))
      call avR2(10156, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4495)%branchR2(0:0))
      call avR2(4495, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10720)%branchR2(0:0))
      call avR2(10720, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(10721)%branchR2(0:0))
      call avR2(10721, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6861)%branchR2(0:0))
      call avR2(6861, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(7051)%branchR2(0:0))
      call avR2(7051, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7521)%branchR2(0:0))
      call avR2(7521, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6997)%branchR2(0:0))
      call avR2(6997, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9937)%branchR2(0:0))
      call avR2(9937, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10397)%branchR2(0:0))
      call avR2(10397, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10722)%branchR2(0:0))
      call avR2(10722, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(5272)%branchR2(0:1))
      call avR2(5272, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(5272, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(1928)%branchR2(0:0))
      call avR2(1928, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4762)%branchR2(0:0))
      call avR2(4762, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2710/))

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(9977)%branchR2(0:0))
      call avR2(9977, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(8428)%branchR2(0:0))
      call avR2(8428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(5574)%branchR2(0:0))
      call avR2(5574, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(8142)%branchR2(0:3))
      call avR2(8142, 0, 24, 1, 0, VFaF0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(8142, 1, 24, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(8142, 2, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8142, 3, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(6938)%branchR2(0:0))
      call avR2(6938, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6418)%branchR2(0:0))
      call avR2(6418, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(5636)%branchR2(0:1))
      call avR2(5636, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(5636, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3183)%branchR2(0:0))
      call avR2(3183, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(5266)%branchR2(0:0))
      call avR2(5266, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(5814)%branchR2(0:0))
      call avR2(5814, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(4564)%branchR2(0:0))
      call avR2(4564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10175)%branchR2(0:0))
      call avR2(10175, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7079)%branchR2(0:0))
      call avR2(7079, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(10331)%branchR2(0:0))
      call avR2(10331, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5871)%branchR2(0:0))
      call avR2(5871, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(4271)%branchR2(0:0))
      call avR2(4271, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9494)%branchR2(0:0))
      call avR2(9494, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2404, nGC_2403/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5974)%branchR2(0:0))
      call avR2(5974, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2806/))

      allocate(vertices(9426)%branchR2(0:0))
      call avR2(9426, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(8619)%branchR2(0:0))
      call avR2(8619, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4815)%branchR2(0:0))
      call avR2(4815, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(1057)%branchR2(0:1))
      call avR2(1057, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(1057, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(6111)%branchR2(0:0))
      call avR2(6111, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(4899)%branchR2(0:0))
      call avR2(4899, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6844)%branchR2(0:1))
      call avR2(6844, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2704/))

      call avR2(6844, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9128)%branchR2(0:0))
      call avR2(9128, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10186)%branchR2(0:0))
      call avR2(10186, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(1917)%branchR2(0:0))
      call avR2(1917, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2580/))

      allocate(vertices(3229)%branchR2(0:0))
      call avR2(3229, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8557)%branchR2(0:0))
      call avR2(8557, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10723)%branchR2(0:1))
      call avR2(10723, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2899/))

      call avR2(10723, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(5172)%branchR2(0:0))
      call avR2(5172, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2598/))

      allocate(vertices(10724)%branchR2(0:0))
      call avR2(10724, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(10725)%branchR2(0:1))
      call avR2(10725, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2847/))

      call avR2(10725, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10335)%branchR2(0:0))
      call avR2(10335, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5991)%branchR2(0:0))
      call avR2(5991, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(10437)%branchR2(0:0))
      call avR2(10437, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7165)%branchR2(0:0))
      call avR2(7165, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(4975)%branchR2(0:1))
      call avR2(4975, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(4975, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2819)%branchR2(0:0))
      call avR2(2819, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2437)%branchR2(0:1))
      call avR2(2437, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(2437, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2045)%branchR2(0:0))
      call avR2(2045, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(4747)%branchR2(0:0))
      call avR2(4747, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9974)%branchR2(0:0))
      call avR2(9974, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(5134)%branchR2(0:0))
      call avR2(5134, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10726)%branchR2(0:0))
      call avR2(10726, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(6205)%branchR2(0:0))
      call avR2(6205, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(10727)%branchR2(0:0))
      call avR2(10727, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(872)%branchR2(0:3))
      call avR2(872, 0, 24, 1, 0, VFaF0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(872, 1, 24, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(872, 2, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(872, 3, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(4359)%branchR2(0:0))
      call avR2(4359, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6575)%branchR2(0:0))
      call avR2(6575, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7576)%branchR2(0:0))
      call avR2(7576, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2504/))

      allocate(vertices(10728)%branchR2(0:0))
      call avR2(10728, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7423)%branchR2(0:0))
      call avR2(7423, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(8884)%branchR2(0:0))
      call avR2(8884, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5197)%branchR2(0:0))
      call avR2(5197, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10729)%branchR2(0:0))
      call avR2(10729, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(2503)%branchR2(0:1))
      call avR2(2503, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(2503, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(9018)%branchR2(0:0))
      call avR2(9018, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(8978)%branchR2(0:0))
      call avR2(8978, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8865)%branchR2(0:0))
      call avR2(8865, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10730)%branchR2(0:5))
      call avR2(10730, 0, 169, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10730, 1, 167, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10730, 2, 168, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10730, 3, 166, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10730, 4, 170, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10730, 5, 165, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      allocate(vertices(5368)%branchR2(0:0))
      call avR2(5368, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(4088)%branchR2(0:0))
      call avR2(4088, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6531)%branchR2(0:0))
      call avR2(6531, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(7524)%branchR2(0:0))
      call avR2(7524, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(4424)%branchR2(0:0))
      call avR2(4424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3985)%branchR2(0:0))
      call avR2(3985, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(2001)%branchR2(0:1))
      call avR2(2001, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(2001, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(10105)%branchR2(0:0))
      call avR2(10105, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(3166)%branchR2(0:0))
      call avR2(3166, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(7020)%branchR2(0:0))
      call avR2(7020, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(3722)%branchR2(0:0))
      call avR2(3722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(3429)%branchR2(0:0))
      call avR2(3429, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(9593)%branchR2(0:0))
      call avR2(9593, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6045)%branchR2(0:0))
      call avR2(6045, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(4445)%branchR2(0:0))
      call avR2(4445, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6044)%branchR2(0:0))
      call avR2(6044, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(4645)%branchR2(0:1))
      call avR2(4645, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(4645, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(5678)%branchR2(0:0))
      call avR2(5678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(4992)%branchR2(0:0))
      call avR2(4992, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9611)%branchR2(0:0))
      call avR2(9611, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(9758)%branchR2(0:0))
      call avR2(9758, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2526/))

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3938)%branchR2(0:0))
      call avR2(3938, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5863)%branchR2(0:0))
      call avR2(5863, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2806/))

      allocate(vertices(4109)%branchR2(0:0))
      call avR2(4109, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8960)%branchR2(0:0))
      call avR2(8960, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(8640)%branchR2(0:1))
      call avR2(8640, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(8640, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(3771)%branchR2(0:0))
      call avR2(3771, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10731)%branchR2(0:0))
      call avR2(10731, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4438)%branchR2(0:1))
      call avR2(4438, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(4438, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(5732)%branchR2(0:0))
      call avR2(5732, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(7566)%branchR2(0:0))
      call avR2(7566, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(3624)%branchR2(0:0))
      call avR2(3624, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4470)%branchR2(0:0))
      call avR2(4470, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2609/))

      allocate(vertices(10732)%branchR2(0:0))
      call avR2(10732, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(10733)%branchR2(0:1))
      call avR2(10733, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10733, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(2852)%branchR2(0:1))
      call avR2(2852, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(2852, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(5902)%branchR2(0:0))
      call avR2(5902, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(7901)%branchR2(0:0))
      call avR2(7901, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5224)%branchR2(0:0))
      call avR2(5224, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

    end subroutine fill_vertices_mdl23
end module vertices_info23
