!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(5360)%branchR2(0:0))
      call avR2(5360, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(7694)%branchR2(0:0))
      call avR2(7694, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2594/))

      allocate(vertices(8839)%branchR2(0:0))
      call avR2(8839, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7017)%branchR2(0:0))
      call avR2(7017, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8061)%branchR2(0:0))
      call avR2(8061, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9966)%branchR2(0:0))
      call avR2(9966, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(5136)%branchR2(0:0))
      call avR2(5136, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(8563)%branchR2(0:0))
      call avR2(8563, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2695)%branchR2(0:1))
      call avR2(2695, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(2695, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(8485)%branchR2(0:0))
      call avR2(8485, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(5306)%branchR2(0:0))
      call avR2(5306, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(5995)%branchR2(0:0))
      call avR2(5995, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10146)%branchR2(0:0))
      call avR2(10146, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10734)%branchR2(0:0))
      call avR2(10734, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5457)%branchR2(0:0))
      call avR2(5457, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7063)%branchR2(0:0))
      call avR2(7063, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1277)%branchR2(0:0))
      call avR2(1277, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(458)%branchR2(0:1))
      call avR2(458, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(458, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3014)%branchR2(0:1))
      call avR2(3014, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(3014, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(9340)%branchR2(0:1))
      call avR2(9340, 0, 124, 1, 0, FaF3, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2431, nGC_2431/))

      call avR2(9340, 1, 124, 1, 0, FaF3, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2432, nGC_2432/))

      allocate(vertices(3563)%branchR2(0:1))
      call avR2(3563, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(3563, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(6471)%branchR2(0:0))
      call avR2(6471, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(6274)%branchR2(0:0))
      call avR2(6274, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(3750, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(8442)%branchR2(0:0))
      call avR2(8442, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2523/))

      allocate(vertices(8935)%branchR2(0:0))
      call avR2(8935, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(10451)%branchR2(0:0))
      call avR2(10451, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(9710)%branchR2(0:0))
      call avR2(9710, 0, 13, 1, 0, FaF2, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2449, nGC_2449/))

      allocate(vertices(8618)%branchR2(0:0))
      call avR2(8618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(875)%branchR2(0:1))
      call avR2(875, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(875, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(9771)%branchR2(0:0))
      call avR2(9771, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10735)%branchR2(0:0))
      call avR2(10735, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6136)%branchR2(0:3))
      call avR2(6136, 0, 27, 1, 0, VFFa0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6136, 1, 27, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6136, 2, 26, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6136, 3, 26, 1, 0, VFFa0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(3651)%branchR2(0:1))
      call avR2(3651, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(3651, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10736)%branchR2(0:1))
      call avR2(10736, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2930/))

      call avR2(10736, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(3448)%branchR2(0:0))
      call avR2(3448, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(6182)%branchR2(0:1))
      call avR2(6182, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(6182, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10737)%branchR2(0:1))
      call avR2(10737, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10737, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7707)%branchR2(0:0))
      call avR2(7707, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(116)%branchR2(0:1))
      call avR2(116, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(116, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(5231)%branchR2(0:1))
      call avR2(5231, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(5231, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(7195)%branchR2(0:0))
      call avR2(7195, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(10009)%branchR2(0:0))
      call avR2(10009, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5188)%branchR2(0:0))
      call avR2(5188, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2462/))

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(9618)%branchR2(0:0))
      call avR2(9618, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(10066)%branchR2(0:0))
      call avR2(10066, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9802)%branchR2(0:0))
      call avR2(9802, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10738)%branchR2(0:1))
      call avR2(10738, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10738, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(5417)%branchR2(0:0))
      call avR2(5417, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(8530)%branchR2(0:0))
      call avR2(8530, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10739)%branchR2(0:0))
      call avR2(10739, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(10047)%branchR2(0:0))
      call avR2(10047, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8450)%branchR2(0:0))
      call avR2(8450, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2806/))

      allocate(vertices(9672)%branchR2(0:0))
      call avR2(9672, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10740)%branchR2(0:1))
      call avR2(10740, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10740, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(10741)%branchR2(0:0))
      call avR2(10741, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9936)%branchR2(0:0))
      call avR2(9936, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(10742)%branchR2(0:1))
      call avR2(10742, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2897/))

      call avR2(10742, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(8249)%branchR2(0:0))
      call avR2(8249, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(2872)%branchR2(0:0))
      call avR2(2872, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(5566)%branchR2(0:0))
      call avR2(5566, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2495)%branchR2(0:1))
      call avR2(2495, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(2495, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(6467)%branchR2(0:0))
      call avR2(6467, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5602)%branchR2(0:0))
      call avR2(5602, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(10743)%branchR2(0:0))
      call avR2(10743, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7616)%branchR2(0:0))
      call avR2(7616, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(6820)%branchR2(0:0))
      call avR2(6820, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4748)%branchR2(0:0))
      call avR2(4748, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(10232)%branchR2(0:0))
      call avR2(10232, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2944)%branchR2(0:1))
      call avR2(2944, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(2944, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6300)%branchR2(0:0))
      call avR2(6300, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(9499)%branchR2(0:0))
      call avR2(9499, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9843)%branchR2(0:0))
      call avR2(9843, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(3989)%branchR2(0:0))
      call avR2(3989, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(8120)%branchR2(0:0))
      call avR2(8120, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(4428)%branchR2(0:0))
      call avR2(4428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(8720)%branchR2(0:0))
      call avR2(8720, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4845)%branchR2(0:0))
      call avR2(4845, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(3077)%branchR2(0:3))
      call avR2(3077, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3077, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(3077, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(3077, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(9661)%branchR2(0:0))
      call avR2(9661, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(6180)%branchR2(0:0))
      call avR2(6180, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10744)%branchR2(0:0))
      call avR2(10744, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8216)%branchR2(0:1))
      call avR2(8216, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2704/))

      call avR2(8216, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6672)%branchR2(0:0))
      call avR2(6672, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7859)%branchR2(0:0))
      call avR2(7859, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7909)%branchR2(0:0))
      call avR2(7909, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7884)%branchR2(0:0))
      call avR2(7884, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10745)%branchR2(0:1))
      call avR2(10745, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2899/))

      call avR2(10745, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(10746)%branchR2(0:1))
      call avR2(10746, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2847/))

      call avR2(10746, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(9234)%branchR2(0:0))
      call avR2(9234, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7600)%branchR2(0:0))
      call avR2(7600, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(3035)%branchR2(0:0))
      call avR2(3035, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5723)%branchR2(0:0))
      call avR2(5723, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9352)%branchR2(0:0))
      call avR2(9352, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10747)%branchR2(0:0))
      call avR2(10747, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(10748)%branchR2(0:0))
      call avR2(10748, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(6780)%branchR2(0:1))
      call avR2(6780, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2708/))

      call avR2(6780, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7978)%branchR2(0:0))
      call avR2(7978, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10749)%branchR2(0:0))
      call avR2(10749, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(218)%branchR2(0:1))
      call avR2(218, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(218, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(3659)%branchR2(0:0))
      call avR2(3659, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7518)%branchR2(0:0))
      call avR2(7518, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(2986)%branchR2(0:1))
      call avR2(2986, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(2986, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(10750)%branchR2(0:0))
      call avR2(10750, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(6370)%branchR2(0:0))
      call avR2(6370, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(2899)%branchR2(0:0))
      call avR2(2899, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(1131)%branchR2(0:1))
      call avR2(1131, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(1131, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(8375)%branchR2(0:0))
      call avR2(8375, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(6604)%branchR2(0:0))
      call avR2(6604, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(10170)%branchR2(0:0))
      call avR2(10170, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2428, nGC_2426,       &
      nGC_2427/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7559)%branchR2(0:0))
      call avR2(7559, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2271)%branchR2(0:1))
      call avR2(2271, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(2271, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(7732)%branchR2(0:0))
      call avR2(7732, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9863)%branchR2(0:0))
      call avR2(9863, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4129)%branchR2(0:0))
      call avR2(4129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10751)%branchR2(0:0))
      call avR2(10751, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(10752)%branchR2(0:0))
      call avR2(10752, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(8784)%branchR2(0:3))
      call avR2(8784, 0, 69, 1, 0, FVFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(8784, 1, 69, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(8784, 2, 68, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(8784, 3, 68, 1, 0, FVFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(2622)%branchR2(0:0))
      call avR2(2622, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8694)%branchR2(0:0))
      call avR2(8694, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2839)%branchR2(0:0))
      call avR2(2839, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(179)%branchR2(0:0))
      call avR2(179, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6452)%branchR2(0:0))
      call avR2(6452, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(8235)%branchR2(0:0))
      call avR2(8235, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9395)%branchR2(0:0))
      call avR2(9395, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8804)%branchR2(0:0))
      call avR2(8804, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6480)%branchR2(0:0))
      call avR2(6480, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(10753)%branchR2(0:0))
      call avR2(10753, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5192)%branchR2(0:3))
      call avR2(5192, 0, 27, 1, 0, VFFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5192, 1, 27, 1, 0, VFFa0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(5192, 2, 26, 1, 0, VFFa0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(5192, 3, 26, 1, 0, VFFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(10754)%branchR2(0:0))
      call avR2(10754, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4466)%branchR2(0:0))
      call avR2(4466, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(7563)%branchR2(0:0))
      call avR2(7563, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4878)%branchR2(0:0))
      call avR2(4878, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5459)%branchR2(0:0))
      call avR2(5459, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8961)%branchR2(0:0))
      call avR2(8961, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10755)%branchR2(0:0))
      call avR2(10755, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(4322)%branchR2(0:1))
      call avR2(4322, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(4322, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(3454)%branchR2(0:0))
      call avR2(3454, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(186)%branchR2(0:3))
      call avR2(186, 0, 27, 1, 0, VFFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(186, 1, 27, 1, 0, VFFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(186, 2, 26, 1, 0, VFFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(186, 3, 26, 1, 0, VFFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(9362)%branchR2(0:0))
      call avR2(9362, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10160)%branchR2(0:0))
      call avR2(10160, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(5681)%branchR2(0:3))
      call avR2(5681, 0, 69, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5681, 1, 69, 1, 0, FVFa0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(5681, 2, 68, 1, 0, FVFa0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(5681, 3, 68, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(4897)%branchR2(0:0))
      call avR2(4897, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2921,       &
      nGC_2920/))

      allocate(vertices(5966)%branchR2(0:0))
      call avR2(5966, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10756)%branchR2(0:5))
      call avR2(10756, 0, 160, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10756, 1, 163, 1, 0, VVVV1, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10756, 2, 162, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10756, 3, 164, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10756, 4, 161, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10756, 5, 159, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6142)%branchR2(0:0))
      call avR2(6142, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10265)%branchR2(0:0))
      call avR2(10265, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3778)%branchR2(0:0))
      call avR2(3778, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(9776)%branchR2(0:0))
      call avR2(9776, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10332)%branchR2(0:0))
      call avR2(10332, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10757)%branchR2(0:1))
      call avR2(10757, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      call avR2(10757, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2934, nGC_2934,    &
      nGC_2934/))

      allocate(vertices(9013)%branchR2(0:1))
      call avR2(9013, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2437, nGC_2456,       &
      nGC_2456, nGC_2434/))

      call avR2(9013, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2429, nGC_2457,       &
      nGC_2457, nGC_2429/))

      allocate(vertices(9547)%branchR2(0:0))
      call avR2(9547, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9910)%branchR2(0:0))
      call avR2(9910, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(7087)%branchR2(0:0))
      call avR2(7087, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(9759)%branchR2(0:0))
      call avR2(9759, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7873)%branchR2(0:0))
      call avR2(7873, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(4956)%branchR2(0:0))
      call avR2(4956, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9641)%branchR2(0:0))
      call avR2(9641, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10266)%branchR2(0:0))
      call avR2(10266, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7773)%branchR2(0:0))
      call avR2(7773, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(4066)%branchR2(0:0))
      call avR2(4066, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5319)%branchR2(0:0))
      call avR2(5319, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(10758)%branchR2(0:0))
      call avR2(10758, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6509)%branchR2(0:0))
      call avR2(6509, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(8933)%branchR2(0:0))
      call avR2(8933, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(2415)%branchR2(0:1))
      call avR2(2415, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(2415, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9615)%branchR2(0:0))
      call avR2(9615, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4030/))

      allocate(vertices(9690)%branchR2(0:0))
      call avR2(9690, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10759)%branchR2(0:1))
      call avR2(10759, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2918/))

      call avR2(10759, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(9553)%branchR2(0:0))
      call avR2(9553, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(629)%branchR2(0:1))
      call avR2(629, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2707/))

      call avR2(629, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10014)%branchR2(0:0))
      call avR2(10014, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(9623)%branchR2(0:0))
      call avR2(9623, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5449)%branchR2(0:0))
      call avR2(5449, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(4750)%branchR2(0:0))
      call avR2(4750, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(9983)%branchR2(0:0))
      call avR2(9983, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(10100)%branchR2(0:0))
      call avR2(10100, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3633)%branchR2(0:0))
      call avR2(3633, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9002)%branchR2(0:0))
      call avR2(9002, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10222)%branchR2(0:0))
      call avR2(10222, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(2323)%branchR2(0:1))
      call avR2(2323, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(2323, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(5250)%branchR2(0:0))
      call avR2(5250, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10760)%branchR2(0:1))
      call avR2(10760, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10760, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2847/))

      allocate(vertices(8637)%branchR2(0:0))
      call avR2(8637, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8300)%branchR2(0:0))
      call avR2(8300, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9917)%branchR2(0:1))
      call avR2(9917, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_2448, nGC_2446,        &
      nGC_2447/))

      call avR2(9917, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2445, nGC_2443,        &
      nGC_2444/))

      allocate(vertices(5694)%branchR2(0:0))
      call avR2(5694, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(10761)%branchR2(0:1))
      call avR2(10761, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      call avR2(10761, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(9392)%branchR2(0:0))
      call avR2(9392, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5907)%branchR2(0:1))
      call avR2(5907, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(5907, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(5507)%branchR2(0:0))
      call avR2(5507, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6152)%branchR2(0:0))
      call avR2(6152, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(7551)%branchR2(0:0))
      call avR2(7551, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7225)%branchR2(0:0))
      call avR2(7225, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2806, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(1213)%branchR2(0:1))
      call avR2(1213, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(1213, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(10481)%branchR2(0:0))
      call avR2(10481, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8855)%branchR2(0:0))
      call avR2(8855, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7910)%branchR2(0:0))
      call avR2(7910, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(7784)%branchR2(0:1))
      call avR2(7784, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(7784, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(2945)%branchR2(0:0))
      call avR2(2945, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10144)%branchR2(0:0))
      call avR2(10144, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3369)%branchR2(0:0))
      call avR2(3369, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(8071)%branchR2(0:0))
      call avR2(8071, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3558)%branchR2(0:0))
      call avR2(3558, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(10250)%branchR2(0:0))
      call avR2(10250, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(7722)%branchR2(0:0))
      call avR2(7722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(6720)%branchR2(0:1))
      call avR2(6720, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(6720, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(9866)%branchR2(0:0))
      call avR2(9866, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8192)%branchR2(0:0))
      call avR2(8192, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9778)%branchR2(0:0))
      call avR2(9778, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5049)%branchR2(0:0))
      call avR2(5049, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6362)%branchR2(0:0))
      call avR2(6362, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(9854)%branchR2(0:0))
      call avR2(9854, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9025)%branchR2(0:1))
      call avR2(9025, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,       &
      nGC_2438, nGC_2438/))

      call avR2(9025, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2439, nGC_2439/))

      allocate(vertices(9782)%branchR2(0:0))
      call avR2(9782, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9188)%branchR2(0:0))
      call avR2(9188, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4413)%branchR2(0:0))
      call avR2(4413, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3031)%branchR2(0:0))
      call avR2(3031, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2924,       &
      nGC_2924/))

      allocate(vertices(8489)%branchR2(0:0))
      call avR2(8489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(2003)%branchR2(0:1))
      call avR2(2003, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(2003, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(7693)%branchR2(0:0))
      call avR2(7693, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6711)%branchR2(0:0))
      call avR2(6711, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10762)%branchR2(0:0))
      call avR2(10762, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(8652)%branchR2(0:0))
      call avR2(8652, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(9905)%branchR2(0:0))
      call avR2(9905, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(3307)%branchR2(0:3))
      call avR2(3307, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(3307, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(3307, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(3307, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1863)%branchR2(0:0))
      call avR2(1863, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1597)%branchR2(0:1))
      call avR2(1597, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(1597, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(9045)%branchR2(0:0))
      call avR2(9045, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(9838)%branchR2(0:1))
      call avR2(9838, 0, 124, 1, 0, FaF3, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2453, nGC_2453/))

      call avR2(9838, 1, 124, 1, 0, FaF3, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2454, nGC_2454/))

      allocate(vertices(6622)%branchR2(0:0))
      call avR2(6622, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(8459)%branchR2(0:0))
      call avR2(8459, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10096)%branchR2(0:0))
      call avR2(10096, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8362)%branchR2(0:0))
      call avR2(8362, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(4126)%branchR2(0:0))
      call avR2(4126, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(6254)%branchR2(0:0))
      call avR2(6254, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10763)%branchR2(0:0))
      call avR2(10763, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(9722)%branchR2(0:0))
      call avR2(9722, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8440)%branchR2(0:0))
      call avR2(8440, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(6517)%branchR2(0:0))
      call avR2(6517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2900)%branchR2(0:1))
      call avR2(2900, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(2900, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(10764)%branchR2(0:0))
      call avR2(10764, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(2788)%branchR2(0:0))
      call avR2(2788, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5378)%branchR2(0:0))
      call avR2(5378, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8101)%branchR2(0:0))
      call avR2(8101, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10765)%branchR2(0:0))
      call avR2(10765, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10766)%branchR2(0:1))
      call avR2(10766, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10766, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3480)%branchR2(0:1))
      call avR2(3480, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(3480, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(2047)%branchR2(0:1))
      call avR2(2047, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(2047, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(6335)%branchR2(0:0))
      call avR2(6335, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(8137)%branchR2(0:0))
      call avR2(8137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9355)%branchR2(0:0))
      call avR2(9355, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6846)%branchR2(0:1))
      call avR2(6846, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(6846, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(1145)%branchR2(0:0))
      call avR2(1145, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6897)%branchR2(0:0))
      call avR2(6897, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(7844)%branchR2(0:0))
      call avR2(7844, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(1509)%branchR2(0:0))
      call avR2(1509, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(9631)%branchR2(0:0))
      call avR2(9631, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(7700)%branchR2(0:0))
      call avR2(7700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2470/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4034/))

      allocate(vertices(5666)%branchR2(0:0))
      call avR2(5666, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10767)%branchR2(0:0))
      call avR2(10767, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8746)%branchR2(0:0))
      call avR2(8746, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5157)%branchR2(0:0))
      call avR2(5157, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(4654)%branchR2(0:0))
      call avR2(4654, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4050/))

      allocate(vertices(9895)%branchR2(0:0))
      call avR2(9895, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10405)%branchR2(0:0))
      call avR2(10405, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(5155)%branchR2(0:0))
      call avR2(5155, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6331)%branchR2(0:0))
      call avR2(6331, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(3666)%branchR2(0:0))
      call avR2(3666, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2123)%branchR2(0:1))
      call avR2(2123, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(2123, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(4028)%branchR2(0:0))
      call avR2(4028, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8136)%branchR2(0:0))
      call avR2(8136, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10768)%branchR2(0:1))
      call avR2(10768, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2884/))

      call avR2(10768, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(7558)%branchR2(0:0))
      call avR2(7558, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(433)%branchR2(0:1))
      call avR2(433, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(433, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(10769)%branchR2(0:0))
      call avR2(10769, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(1995)%branchR2(0:0))
      call avR2(1995, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9507)%branchR2(0:0))
      call avR2(9507, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(4288)%branchR2(0:0))
      call avR2(4288, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9319)%branchR2(0:0))
      call avR2(9319, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(10770)%branchR2(0:1))
      call avR2(10770, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10770, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(7152)%branchR2(0:0))
      call avR2(7152, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(8689)%branchR2(0:1))
      call avR2(8689, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(8689, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2504/))

      allocate(vertices(4954)%branchR2(0:0))
      call avR2(4954, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(4043)%branchR2(0:1))
      call avR2(4043, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(4043, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(7569)%branchR2(0:0))
      call avR2(7569, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7748)%branchR2(0:1))
      call avR2(7748, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(7748, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(7284)%branchR2(0:0))
      call avR2(7284, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8833)%branchR2(0:0))
      call avR2(8833, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(5662)%branchR2(0:0))
      call avR2(5662, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1133)%branchR2(0:1))
      call avR2(1133, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(1133, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(6488)%branchR2(0:0))
      call avR2(6488, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(3219)%branchR2(0:0))
      call avR2(3219, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(7349)%branchR2(0:0))
      call avR2(7349, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10042)%branchR2(0:0))
      call avR2(10042, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2483/))

      allocate(vertices(6890)%branchR2(0:0))
      call avR2(6890, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(5274)%branchR2(0:0))
      call avR2(5274, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1500)%branchR2(0:1))
      call avR2(1500, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(1500, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(10771)%branchR2(0:1))
      call avR2(10771, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10771, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(7036)%branchR2(0:0))
      call avR2(7036, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(4766)%branchR2(0:0))
      call avR2(4766, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(4965)%branchR2(0:0))
      call avR2(4965, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10772)%branchR2(0:0))
      call avR2(10772, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(9277)%branchR2(0:0))
      call avR2(9277, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(9399)%branchR2(0:0))
      call avR2(9399, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(9259)%branchR2(0:0))
      call avR2(9259, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(8418)%branchR2(0:0))
      call avR2(8418, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10773)%branchR2(0:1))
      call avR2(10773, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2899/))

      call avR2(10773, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(9867)%branchR2(0:0))
      call avR2(9867, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(921)%branchR2(0:1))
      call avR2(921, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(921, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(9769)%branchR2(0:0))
      call avR2(9769, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6765)%branchR2(0:0))
      call avR2(6765, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(7345)%branchR2(0:0))
      call avR2(7345, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10085)%branchR2(0:0))
      call avR2(10085, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8458)%branchR2(0:0))
      call avR2(8458, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(9853)%branchR2(0:0))
      call avR2(9853, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3714)%branchR2(0:0))
      call avR2(3714, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(1394)%branchR2(0:1))
      call avR2(1394, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(1394, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10774)%branchR2(0:1))
      call avR2(10774, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10774, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2926, nGC_2926,    &
      nGC_2926/))

      allocate(vertices(5410)%branchR2(0:0))
      call avR2(5410, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(7240)%branchR2(0:0))
      call avR2(7240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10775)%branchR2(0:5))
      call avR2(10775, 0, 158, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10775, 1, 155, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10775, 2, 154, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10775, 3, 157, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10775, 4, 156, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10775, 5, 153, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(3913)%branchR2(0:0))
      call avR2(3913, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5420)%branchR2(0:0))
      call avR2(5420, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8726)%branchR2(0:0))
      call avR2(8726, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9599)%branchR2(0:0))
      call avR2(9599, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10032)%branchR2(0:0))
      call avR2(10032, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(4296)%branchR2(0:0))
      call avR2(4296, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(5720)%branchR2(0:3))
      call avR2(5720, 0, 69, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5720, 1, 69, 1, 0, FVFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(5720, 2, 68, 1, 0, FVFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(5720, 3, 68, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(5656)%branchR2(0:0))
      call avR2(5656, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7168)%branchR2(0:0))
      call avR2(7168, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5825)%branchR2(0:0))
      call avR2(5825, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10776)%branchR2(0:0))
      call avR2(10776, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2791, nGC_2791,      &
      nGC_2790/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1741)%branchR2(0:0))
      call avR2(1741, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3904)%branchR2(0:0))
      call avR2(3904, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9790)%branchR2(0:0))
      call avR2(9790, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6614)%branchR2(0:0))
      call avR2(6614, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(4889)%branchR2(0:0))
      call avR2(4889, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8777)%branchR2(0:0))
      call avR2(8777, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(10473)%branchR2(0:0))
      call avR2(10473, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10484)%branchR2(0:0))
      call avR2(10484, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(7289)%branchR2(0:0))
      call avR2(7289, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5560)%branchR2(0:0))
      call avR2(5560, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2806,       &
      nGC_2804/))

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10348)%branchR2(0:0))
      call avR2(10348, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5530)%branchR2(0:0))
      call avR2(5530, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6562)%branchR2(0:0))
      call avR2(6562, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(1801)%branchR2(0:0))
      call avR2(1801, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(9223)%branchR2(0:0))
      call avR2(9223, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4555)%branchR2(0:0))
      call avR2(4555, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7841)%branchR2(0:0))
      call avR2(7841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10777)%branchR2(0:1))
      call avR2(10777, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2836, nGC_2836,    &
      nGC_2836/))

      call avR2(10777, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2835, nGC_2835,    &
      nGC_2835/))

      allocate(vertices(3551)%branchR2(0:1))
      call avR2(3551, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(3551, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(8230)%branchR2(0:0))
      call avR2(8230, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(4463)%branchR2(0:0))
      call avR2(4463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10472)%branchR2(0:0))
      call avR2(10472, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(8999)%branchR2(0:0))
      call avR2(8999, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(8203)%branchR2(0:0))
      call avR2(8203, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(2103)%branchR2(0:1))
      call avR2(2103, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(2103, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(8452)%branchR2(0:0))
      call avR2(8452, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(8074)%branchR2(0:1))
      call avR2(8074, 0, 20, 1, 0, SFaF1, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(8074, 1, 20, 1, 0, SFaF1, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(4980)%branchR2(0:0))
      call avR2(4980, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6069)%branchR2(0:0))
      call avR2(6069, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9841)%branchR2(0:0))
      call avR2(9841, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6501)%branchR2(0:0))
      call avR2(6501, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(8242)%branchR2(0:1))
      call avR2(8242, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(8242, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(10195)%branchR2(0:0))
      call avR2(10195, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(5809)%branchR2(0:0))
      call avR2(5809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2776)%branchR2(0:0))
      call avR2(2776, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9484)%branchR2(0:0))
      call avR2(9484, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(10778)%branchR2(0:0))
      call avR2(10778, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2790, nGC_2791,      &
      nGC_2791/))

      allocate(vertices(3656)%branchR2(0:0))
      call avR2(3656, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7493)%branchR2(0:0))
      call avR2(7493, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9533)%branchR2(0:0))
      call avR2(9533, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(579)%branchR2(0:1))
      call avR2(579, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(579, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10779)%branchR2(0:1))
      call avR2(10779, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2928/))

      call avR2(10779, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2927/))

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9227)%branchR2(0:0))
      call avR2(9227, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(6576)%branchR2(0:0))
      call avR2(6576, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6367)%branchR2(0:0))
      call avR2(6367, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(4623)%branchR2(0:0))
      call avR2(4623, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(5115)%branchR2(0:0))
      call avR2(5115, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(10026)%branchR2(0:0))
      call avR2(10026, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4892)%branchR2(0:0))
      call avR2(4892, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9271)%branchR2(0:0))
      call avR2(9271, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2455, nGC_2455/))

      allocate(vertices(9628)%branchR2(0:0))
      call avR2(9628, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(10780)%branchR2(0:1))
      call avR2(10780, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      call avR2(10780, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(7480)%branchR2(0:1))
      call avR2(7480, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(7480, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(4079)%branchR2(0:0))
      call avR2(4079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(195)%branchR2(0:0))
      call avR2(195, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9748)%branchR2(0:0))
      call avR2(9748, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5528)%branchR2(0:0))
      call avR2(5528, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10298)%branchR2(0:0))
      call avR2(10298, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(8954)%branchR2(0:0))
      call avR2(8954, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(662)%branchR2(0:1))
      call avR2(662, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(662, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(8289)%branchR2(0:0))
      call avR2(8289, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7380)%branchR2(0:0))
      call avR2(7380, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3731)%branchR2(0:1))
      call avR2(3731, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(3731, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(9187)%branchR2(0:0))
      call avR2(9187, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(10781)%branchR2(0:1))
      call avR2(10781, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2927/))

      call avR2(10781, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2928/))

      allocate(vertices(9368)%branchR2(0:0))
      call avR2(9368, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2485/))

      allocate(vertices(6811)%branchR2(0:0))
      call avR2(6811, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6584)%branchR2(0:1))
      call avR2(6584, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2707/))

      call avR2(6584, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7462)%branchR2(0:0))
      call avR2(7462, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7408)%branchR2(0:0))
      call avR2(7408, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9658)%branchR2(0:0))
      call avR2(9658, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2639)%branchR2(0:1))
      call avR2(2639, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(2639, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(5925)%branchR2(0:1))
      call avR2(5925, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(5925, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(2082)%branchR2(0:0))
      call avR2(2082, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(506)%branchR2(0:1))
      call avR2(506, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(506, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2587, nGC_2589/))

    end subroutine fill_vertices_mdl24
end module vertices_info24
