!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3005) = coupl(nGC_1404)*dZee_QED2 + coupl(nGC_1405)*dsw_QED2
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3340) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3644) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3811) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_3500) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3652) = -coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_3389) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3380) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_3386) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3662) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3661) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3032) = coupl(nGC_1275)*dl4_QED4 + coupl(nGC_1276)*dl5_QED4 +  &
                        coupl(nGC_1277)*dvev2_QED1 + coupl(nGC_1278)*dvev1_QED1&
                         + coupl(nGC_1279)*db_QED2
      coupl(nGC_3034) = coupl(nGC_1466)*dsw_QED2 + coupl(nGC_1467)*da_QED2 +   &
                        coupl(nGC_1468)*dvev1_QED1 + coupl(nGC_1469)*dvev2_QED1&
                         + coupl(nGC_1470)*dZee_QED2
      coupl(nGC_3038) = coupl(nGC_1888)*dZee_QED2
      coupl(nGC_3039) = coupl(nGC_1895)*dZee_QED2
      coupl(nGC_3724) = coupl(nGC_218)*dZGMinus
      coupl(nGC_3720) = -coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3689) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3688) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3825) = -coupl(nGC_213)*dZG0/2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2962) = coupl(nGC_2280)*db_QED2 + coupl(nGC_2281)*dl3_QED4 +   &
                        coupl(nGC_2282)*dl2_QED4 + coupl(nGC_2283)*dl1_QED4 +  &
                        coupl(nGC_2284)*dl4_QED4 + coupl(nGC_2285)*dl5_QED4
      coupl(nGC_2967) = coupl(nGC_2260)*db_QED2 + coupl(nGC_2261)*dl3_QED4 +   &
                        coupl(nGC_2262)*dl2_QED4 + coupl(nGC_2263)*dl1_QED4 +  &
                        coupl(nGC_2264)*dl4_QED4 + coupl(nGC_2265)*dl5_QED4
      coupl(nGC_3627) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3537) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3533) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3758) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3756) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_3754) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3830) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3636) = coupl(nGC_227)*dZG0
      coupl(nGC_3638) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_3444) = coupl(nGC_99)*dZG0
      coupl(nGC_3119) = coupl(nGC_573)*dyt1_QED1_QCD2 + coupl(nGC_575)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3298) = -cima*dME_QED2
      coupl(nGC_3296) = -cima*dMHA2_QED2
      coupl(nGC_3294) = -cima*dMHL2_QED2
      coupl(nGC_3295) = -cima*dMHH2_QED2
      coupl(nGC_3293) = -cima*dMHC2_QED2
      coupl(nGC_3522) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3299) = -cima*dMM_QED2
      coupl(nGC_3524) = -coupl(nGC_3119) - coupl(nGC_374)*dZtL_QCD2/2d0 - coupl&
                        (nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_3525) = -coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3740) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3747) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_3309) = -cima*dMS_QED2
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3994) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_3997) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3990) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3993) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3992) = -coupl(nGC_218)*dZGMinus
      coupl(nGC_3999) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3998) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3855) = -coupl(nGC_368)*dZG0/2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3609) = -coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3600) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_3519) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_3510) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3516) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_3178) = coupl(nGC_1739)*dZee_QED2
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3983) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3980) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_3981) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_3984) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3989) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3612) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_3345) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3347) = coupl(nGC_42)*dZGMinus
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3463) = coupl(nGC_53)*dZGMinus/2d0
      coupl(nGC_3506) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_3504) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_3502) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_3314) = cima*dMW2_QED2
      coupl(nGC_3508) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_3182) = coupl(nGC_2364)*dZee_QED2 + coupl(nGC_2365)*dcw_QED2 + &
                        coupl(nGC_2366)*dsw_QED2
      coupl(nGC_3181) = coupl(nGC_2222)*dZee_QED2 + coupl(nGC_2223)*dcw_QED2 + &
                        coupl(nGC_2224)*dsw_QED2
      coupl(nGC_3184) = coupl(nGC_2059)*dZee_QED2 + coupl(nGC_2060)*dcw_QED2 + &
                        coupl(nGC_2061)*dsw_QED2
      coupl(nGC_3763) = coupl(nGC_229)*dZGMinus
      coupl(nGC_3760) = -coupl(nGC_356)*dZG0/2d0
      coupl(nGC_3761) = coupl(nGC_35)*dZG0
      coupl(nGC_3766) = coupl(nGC_228)*dZGMinus
      coupl(nGC_3164) = coupl(nGC_1415)*db_QED2 + coupl(nGC_1416)*da_QED2 +    &
                        coupl(nGC_1417)*dcw_QED2 + coupl(nGC_1418)*dZee_QED2 + &
                        coupl(nGC_1419)*dsw_QED2
      coupl(nGC_3166) = coupl(nGC_1265)*dZee_QED2 + coupl(nGC_1266)*dcw_QED2 + &
                        coupl(nGC_1267)*dsw_QED2
      coupl(nGC_3160) = coupl(nGC_1353)*dZee_QED2 + coupl(nGC_1354)*dcw_QED2 + &
                        coupl(nGC_1355)*dsw_QED2
      coupl(nGC_3162) = coupl(nGC_1455)*db_QED2 + coupl(nGC_1456)*da_QED2 +    &
                        coupl(nGC_1457)*dcw_QED2 + coupl(nGC_1458)*dZee_QED2 + &
                        coupl(nGC_1459)*dsw_QED2
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2965) = coupl(nGC_2250)*db_QED2 + coupl(nGC_2251)*dl3_QED4 +   &
                        coupl(nGC_2252)*dl2_QED4 + coupl(nGC_2253)*dl1_QED4 +  &
                        coupl(nGC_2254)*dl4_QED4 + coupl(nGC_2255)*dl5_QED4
      coupl(nGC_2950) = coupl(nGC_1915)*dZee_QED2 + coupl(nGC_1916)*dcw_QED2
      coupl(nGC_2955) = coupl(nGC_2387)*dZee_QED2 + coupl(nGC_2388)*dcw_QED2 + &
                        coupl(nGC_2389)*dsw_QED2
      coupl(nGC_3420) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_186)*dZHa_QED2/2d0 +     &
                        coupl(nGC_186)*dZWMinus_QED2/2d0 + coupl(nGC_30)*      &
                        dZZA_QED2/2d0 + coupl(nGC_3005)
      coupl(nGC_3423) = coupl(nGC_220)*dZGMinus
      coupl(nGC_3979) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_3976) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3975) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_3972) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3454) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_3599) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_3889) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_3883) = coupl(nGC_2962) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0* &
                        coupl(nGC_66)*dZHa_QED2
      coupl(nGC_3887) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_3885) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3144) = coupl(nGC_2048)*dZee_QED2 + coupl(nGC_2049)*da_QED2 +  &
                        coupl(nGC_2050)*dsw_QED2 + coupl(nGC_2051)*db_QED2
      coupl(nGC_3375) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2591) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2596) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi** &
                        2d0)
      coupl(nGC_2594) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi** &
                        2d0)
      coupl(nGC_2595) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi** &
                        2d0)
      coupl(nGC_3043) = coupl(nGC_1131)*dZee_QED2 + coupl(nGC_1132)*dcw_QED2 + &
                        coupl(nGC_1133)*dsw_QED2
      coupl(nGC_3573) = coupl(nGC_73)*dZG0
      coupl(nGC_3571) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_3575) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_3852) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_2683) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2680) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4023) = coupl(nGC_3294) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_2926) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/( &
                        32d0*pi**2d0)
      coupl(nGC_3795) = -coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3794) = -coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2925) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3150) = coupl(nGC_2109)*dZee_QED2 + coupl(nGC_2110)*dsw_QED2
      coupl(nGC_3154) = coupl(nGC_1350)*dZee_QED2 + coupl(nGC_1351)*dcw_QED2 + &
                        coupl(nGC_1352)*dsw_QED2
      coupl(nGC_3376) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2970) = coupl(nGC_2117)*db_QED2 + coupl(nGC_2118)*dl3_QED4 +   &
                        coupl(nGC_2119)*dl2_QED4 + coupl(nGC_2120)*dl1_QED4 +  &
                        coupl(nGC_2121)*dl4_QED4 + coupl(nGC_2122)*dl5_QED4 +  &
                        coupl(nGC_2123)*da_QED2
      coupl(nGC_2975) = coupl(nGC_2062)*db_QED2 + coupl(nGC_2063)*dl3_QED4 +   &
                        coupl(nGC_2064)*dl2_QED4 + coupl(nGC_2065)*dl1_QED4 +  &
                        coupl(nGC_2066)*dl4_QED4 + coupl(nGC_2067)*dl5_QED4 +  &
                        coupl(nGC_2068)*da_QED2
      coupl(nGC_2977) = coupl(nGC_2256)*db_QED2 + coupl(nGC_2257)*dl5_QED4 +   &
                        coupl(nGC_2258)*dl4_QED4 + coupl(nGC_2259)*da_QED2
      coupl(nGC_3085) = coupl(nGC_1272)*dydo2_QED1_QCD2 + coupl(nGC_1273)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_3084) = coupl(nGC_1272)*dydo2_QED3 + coupl(nGC_1273)*dydo1_QED3&
                         + coupl(nGC_1274)*da_QED2
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3969) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_3967) = coupl(nGC_3295) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_3898) = -coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3890) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_3892) = coupl(nGC_43)*dZG0
      coupl(nGC_3895) = -coupl(nGC_173)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_173&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_179)*dZHh_QED2/2d0 +     &
                        coupl(nGC_179)*dZWMinus_QED2/2d0 + coupl(nGC_3144)
      coupl(nGC_3896) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3572) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_2568) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2566) = coupl(nGC_13)**2d0*coupl(nGC_885)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2564) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2562) = coupl(nGC_13)**2d0*coupl(nGC_859)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3561) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_3563) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_3565) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3567) = -coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3367) = coupl(nGC_28)*dZGMinus
      coupl(nGC_3364) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3365) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3363) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3788) = coupl(nGC_213)*dZHl_QED2/2d0 + coupl(nGC_213)*dZZ_QED2/&
                        2d0 + coupl(nGC_215)*dZHaG0_QED2/2d0 + coupl(nGC_215)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_3162)
      coupl(nGC_3789) = coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3784) = coupl(nGC_249)*dZGMinus
      coupl(nGC_3786) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3787) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_29)*dZHMinus_QED2 + coupl(nGC_3039)
      coupl(nGC_3782) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_3154)
      coupl(nGC_2947) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3146) = coupl(nGC_1890)*dZee_QED2 + coupl(nGC_1891)*da_QED2 +  &
                        coupl(nGC_1892)*dsw_QED2 + coupl(nGC_1893)*db_QED2
      coupl(nGC_3143) = coupl(nGC_1886)*dZee_QED2 + coupl(nGC_1887)*dsw_QED2
      coupl(nGC_3412) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3092) = coupl(nGC_2007)*db_QED2 + coupl(nGC_2008)*dyd12x2_QED3 &
                         + coupl(nGC_2009)*dys2_QED3
      coupl(nGC_3093) = coupl(nGC_2008)*dyd12x2_QED1_QCD2 + coupl(nGC_2009)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3094) = coupl(nGC_2114)*db_QED2 + coupl(nGC_2115)*dyd13x3_QED3 &
                         + coupl(nGC_2116)*dyb2_QED3
      coupl(nGC_3095) = coupl(nGC_2115)*dyd13x3_QED1_QCD2 + coupl(nGC_2116)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3098) = coupl(nGC_1134)*db_QED2 + coupl(nGC_1135)*dytau2_QED3  &
                         + coupl(nGC_1136)*dytau1_QED3
      coupl(nGC_3942) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2981) = coupl(nGC_2367)*db_QED2 + coupl(nGC_2368)*dl3_QED4 +   &
                        coupl(nGC_2369)*dl2_QED4 + coupl(nGC_2370)*dl1_QED4 +  &
                        coupl(nGC_2371)*dl4_QED4 + coupl(nGC_2372)*dl5_QED4
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3959) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_3958) = coupl(nGC_26)*dZGMinus
      coupl(nGC_3902) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3954) = coupl(nGC_242)*dZG0
      coupl(nGC_3956) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_3152) = coupl(nGC_2161)*dZee_QED2 + coupl(nGC_2162)*dcw_QED2 + &
                        coupl(nGC_2163)*dsw_QED2
      coupl(nGC_3157) = coupl(nGC_1298)*dZee_QED2
      coupl(nGC_3406) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3843) = coupl(nGC_70)*dZG0
      coupl(nGC_3404) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_3916) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2973) = coupl(nGC_1829)*dl3_QED4 + coupl(nGC_1830)*dl2_QED4 +  &
                        coupl(nGC_1831)*dl1_QED4 + coupl(nGC_1832)*dl4_QED4 +  &
                        coupl(nGC_1833)*dl5_QED4 + coupl(nGC_1834)*da_QED2
      coupl(nGC_3555) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_3556) = coupl(nGC_99)*dZGMinus
      coupl(nGC_3551) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3553) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_3313) = cima*dMZ2_QED2
      coupl(nGC_3312) = -cima*dMB_QCD2
      coupl(nGC_3311) = -cima*dMB_QED2
      coupl(nGC_3310) = -cima*dMS_QCD2
      coupl(nGC_3317) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_3316) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_3315) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_3319) = coupl(nGC_2977) + coupl(nGC_52)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_52)*dZHhHl_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHl_QED2/2d0
      coupl(nGC_3318) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3042) = coupl(nGC_1894)*dZee_QED2
      coupl(nGC_3139) = coupl(nGC_1745)*dZee_QED2 + coupl(nGC_1746)*dcw_QED2 + &
                        coupl(nGC_1747)*dsw_QED2
      coupl(nGC_3138) = coupl(nGC_2275)*dZee_QED2
      coupl(nGC_3133) = coupl(nGC_2318)*dyup1_QED1_QCD2 + coupl(nGC_2319)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3132) = coupl(nGC_2317)*db_QED2 + coupl(nGC_2318)*dyup1_QED3 + &
                        coupl(nGC_2319)*dyup2_QED3
      coupl(nGC_3131) = coupl(nGC_2112)*dyt1_QED1_QCD2 + coupl(nGC_2113)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3130) = coupl(nGC_2111)*da_QED2 + coupl(nGC_2112)*dyt1_QED3 +  &
                        coupl(nGC_2113)*dyt2_QED3
      coupl(nGC_3137) = coupl(nGC_581)*dyt1_QED1_QCD2 + coupl(nGC_583)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3136) = coupl(nGC_579)*db_QED2 + coupl(nGC_581)*dyt1_QED3 +    &
                        coupl(nGC_583)*dyt2_QED3
      coupl(nGC_3135) = coupl(nGC_1487)*dyc1_QED1_QCD2 + coupl(nGC_1488)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3134) = coupl(nGC_1486)*db_QED2 + coupl(nGC_1487)*dyc1_QED3 +  &
                        coupl(nGC_1488)*dyc2_QED3
      coupl(nGC_3046) = coupl(nGC_1748)*dZgs_QCD2
      coupl(nGC_3040) = coupl(nGC_1668)*dZee_QED2
      coupl(nGC_4021) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3049) = coupl(nGC_1633)*dyup1_QED1_QCD2 + coupl(nGC_1634)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3048) = coupl(nGC_1632)*db_QED2 + coupl(nGC_1633)*dyup1_QED3 + &
                        coupl(nGC_1634)*dyup2_QED3
      coupl(nGC_3355) = coupl(nGC_23)*dZGMinus/2d0
      coupl(nGC_3947) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_3042)
      coupl(nGC_2405) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0  &
                         + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc&
                        *coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + coupl( &
                        nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_3948) = -coupl(nGC_26)*dZGMinus
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3915) = coupl(nGC_MI)*dZbL_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
