!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_3530) = -coupl(nGC_3111) - coupl(nGC_353)*dZHa_QED2/2d0 - coupl&
                        (nGC_353)*dZeMinusL_QED2/2d0 - coupl(nGC_353)*         &
                        dZeMinusR_QED2/2d0 - coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2809) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_375)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_809)*coupl(nGC_841))/(8d0*pi**2d0)
      coupl(nGC_3512) = coupl(nGC_3134) + coupl(nGC_335)*dZHa_QED2/2d0 + coupl(&
                        nGC_335)*dZcL_QED2/2d0 + coupl(nGC_335)*dZcR_QED2/2d0  &
                         + coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_3147) = coupl(nGC_1621)*dZee_QED2
      coupl(nGC_3566) = -coupl(nGC_3103) - coupl(nGC_359)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 - coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_2803) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_344)*  &
                        coupl(nGC_817) - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                        coupl(nGC_347)*coupl(nGC_821) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_835) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_344)*coupl(      &
                        nGC_817) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                        nGC_347)*coupl(nGC_821) - Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_209)*coupl(nGC_365)*coupl(nGC_835) - Nc*cima*coupl(&
                        nGC_2)*coupl(nGC_207)*coupl(nGC_335)*coupl(nGC_811) -  &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_371)*    &
                        coupl(nGC_875) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*  &
                        coupl(nGC_383)*coupl(nGC_863) - Nc*cima*coupl(nGC_2)*  &
                        coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_811) - Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_371)*coupl(      &
                        nGC_875) - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(  &
                        nGC_383)*coupl(nGC_863) + cima*coupl(nGC_100)*coupl(   &
                        nGC_205) - cima*coupl(nGC_208)*coupl(nGC_353)*coupl(   &
                        nGC_4)*coupl(nGC_855) - cima*coupl(nGC_208)*coupl(     &
                        nGC_359)*coupl(nGC_4)*coupl(nGC_927) - cima*coupl(     &
                        nGC_208)*coupl(nGC_377)*coupl(nGC_4)*coupl(nGC_831) -  &
                        cima*coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_4)*coupl( &
                        nGC_855) - cima*coupl(nGC_211)*coupl(nGC_359)*coupl(   &
                        nGC_4)*coupl(nGC_927) - cima*coupl(nGC_211)*coupl(     &
                        nGC_377)*coupl(nGC_4)*coupl(nGC_831) + coupl(nGC_100)* &
                        coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_100)*coupl(    &
                        nGC_809)*coupl(nGC_841))/(8d0*pi**2d0)
      coupl(nGC_2807) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_378)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_809)*coupl(nGC_841))/(8d0*pi**2d0)
      coupl(nGC_2987) = coupl(nGC_1975)*db_QED2 + coupl(nGC_1976)*dl3_QED4 +   &
                        coupl(nGC_1977)*dl2_QED4 + coupl(nGC_1978)*dl1_QED4 +  &
                        coupl(nGC_1979)*dl4_QED4 + coupl(nGC_1980)*dl5_QED4 +  &
                        coupl(nGC_1981)*da_QED2
      coupl(nGC_4025) = -coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 + coupl(             &
                        nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3881) = coupl(nGC_241)*dZGMinus
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3884) = coupl(nGC_3107) + coupl(nGC_375)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_378)*dZHh_QED2/2d0 + coupl(nGC_378)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_378)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_3377) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_22)*dZHhHl_QED2/2d0&
                         + coupl(nGC_23)*dZHMinus_QED2/2d0 + coupl(nGC_23)*    &
                        dZHl_QED2/2d0 + coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_23)*dZZ_QED2/2d0 + coupl(nGC_3165)
      coupl(nGC_4019) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 - coupl(              &
                        nGC_TS_GC_214_Hh) - coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3057) = coupl(nGC_1496)*dyt1_QED1_QCD2 + coupl(nGC_1497)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3753) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZsL_QED2 + coupl(nGC_3183)
      coupl(nGC_3751) = coupl(nGC_3124) + coupl(nGC_369)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_372)*dZHh_QED2/2d0 + coupl(nGC_372)*dZtL_QED2&
                        /2d0 + coupl(nGC_372)*dZtR_QED2/2d0
      coupl(nGC_4015) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_4014) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3755) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZsR_QED2 + coupl(nGC_3184)
      coupl(nGC_2934) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0  &
                         + coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2935) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0 &
                         - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2936) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(    &
                        128d0*pi**2d0)
      coupl(nGC_2937) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -    &
                        coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2930) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl(&
                        nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(      &
                        nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366 &
                        ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_2931) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0 &
                         - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl(  &
                        nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2932) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0  &
                         + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl(  &
                        nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2933) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207)**&
                        4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl(     &
                        nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*   &
                        coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima* &
                        coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0*  &
                        cima*coupl(nGC_841)**4d0 + 2d0*coupl(nGC_195)*coupl(   &
                        nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_841)**2d0 &
                        )/(8d0*pi**2d0)
      coupl(nGC_2938) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_2939) = cima*sq2**4d0*(-Nc*coupl(nGC_907)**4d0 - 15d0*coupl(   &
                        nGC_13)**4d0)/(192d0*pi**2d0)
      coupl(nGC_3921) = coupl(nGC_13)*dZbR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_3110) = coupl(nGC_2329)*dytau2_QED3 + coupl(nGC_2330)*         &
                        dytau1_QED3 + coupl(nGC_2331)*da_QED2
      coupl(nGC_4027) = coupl(nGC_3317) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0 - coupl&
                        (nGC_TS_GC_213_Hl) - coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_3142) = coupl(nGC_1157)*dvev1_QED1 + coupl(nGC_1158)*dvev2_QED1&
                         + coupl(nGC_1159)*dZee_QED2 + coupl(nGC_1160)*dsw_QED2&
                         + coupl(nGC_1161)*db_QED2
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3630) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*         &
                        dZWMinus_QED2 + coupl(nGC_3150)
      coupl(nGC_2858) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_803) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_841) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_21)*coupl(nGC_841))/(48d0*pi**2d0)
      coupl(nGC_2509) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2508) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3631) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2505) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc* &
                        coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl&
                        (nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl&
                        (nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(      &
                        nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2504) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc* &
                        coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl&
                        (nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl&
                        (nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(      &
                        nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2507) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_373) - coupl(nGC_373)*coupl(&
                        nGC_817)*coupl(nGC_875) - coupl(nGC_373)*coupl(nGC_851 &
                        )*coupl(nGC_885))/(32d0*pi**2d0)
      coupl(nGC_2506) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324&
                        )*coupl(nGC_803) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_237) + 2d0*coupl(nGC_199)*coupl(nGC_324)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2501) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                        ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370 &
                        ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*   &
                        coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl( &
                        nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*   &
                        coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*coupl(      &
                        nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc* &
                        cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369) +  &
                        Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_373) +  &
                        2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_385 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_382)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_174)*coupl(      &
                        nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(nGC_324) + 2d0&
                        *cima*coupl(nGC_21)*coupl(nGC_231) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
      coupl(nGC_2500) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl( &
                        nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*   &
                        coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)* &
                        coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*   &
                        coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)* &
                        coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*cMS* &
                        coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc* &
                        cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372) +  &
                        2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_385 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                        nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*coupl(nGC_384)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_352)*coupl(nGC_354)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_358)*coupl(nGC_360)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376)*coupl(nGC_378 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_175)*coupl(      &
                        nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321) + 2d0&
                        *cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
      coupl(nGC_2503) = coupl(nGC_197)*(Nc*coupl(nGC_337)*coupl(nGC_811) - Nc* &
                        coupl(nGC_340)*coupl(nGC_344) - Nc*coupl(nGC_347)*coupl&
                        (nGC_349) - Nc*coupl(nGC_365)*coupl(nGC_367) + Nc*coupl&
                        (nGC_373)*coupl(nGC_875) + Nc*coupl(nGC_385)*coupl(    &
                        nGC_863) - coupl(nGC_353)*coupl(nGC_355) - coupl(      &
                        nGC_359)*coupl(nGC_361) - coupl(nGC_377)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2502) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_3641) = -coupl(nGC_215)*dZG0/2d0
      coupl(nGC_4020) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3633) = -coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3392) = coupl(nGC_2997) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl( &
                        nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/2d0&
                         + coupl(nGC_72)*dZHMinusGMinus_QED2
      coupl(nGC_3634) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0 &
                         + coupl(nGC_3180)
      coupl(nGC_3391) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_3635) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 - coupl(nGC_173 &
                        )*dZHhHl_QED2/2d0 - coupl(nGC_178)*dZHMinus_QED2/2d0 - &
                        coupl(nGC_178)*dZHl_QED2/2d0 - coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_3146)
      coupl(nGC_3637) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_2598) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl&
                        (nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl&
                        (nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(      &
                        nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3647) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_3639) = coupl(nGC_2977) + coupl(nGC_53)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHa_QED2/2d0 + coupl(nGC_63)*     &
                        dZHh_QED2/2d0
      coupl(nGC_3167) = coupl(nGC_2297)*db_QED2 + coupl(nGC_2298)*dvev1_QED1 + &
                        coupl(nGC_2299)*dcw_QED2 + coupl(nGC_2300)*dZee_QED2 + &
                        coupl(nGC_2301)*dvev2_QED1
      coupl(nGC_3646) = coupl(nGC_3057) + coupl(nGC_373)*dZbL_QCD2/2d0 + coupl(&
                        nGC_373)*dZtR_QCD2/2d0
      coupl(nGC_3379) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZtL_QED2 + coupl(nGC_3182)
      coupl(nGC_3378) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2752) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_907) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_2753) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_334&
                        )**2d0 + coupl(nGC_337)**2d0 + coupl(nGC_363)**2d0 +   &
                        coupl(nGC_365)*coupl(nGC_835) + coupl(nGC_366)**2d0 +  &
                        coupl(nGC_368)*coupl(nGC_859))/(64d0*pi**2d0)
      coupl(nGC_2754) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_364)** &
                        2d0 + coupl(nGC_365)*coupl(nGC_835) + coupl(nGC_366)** &
                        2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(      &
                        nGC_859))/(64d0*pi**2d0)
      coupl(nGC_2755) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_907&
                        ) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_2756) = sq2**3d0*(-Nc*cima*coupl(nGC_907)**3d0 + 12d0*coupl(   &
                        nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_3982) = coupl(nGC_2956) + 2d0*coupl(nGC_59)*dZHaG0_QED2
      coupl(nGC_2719) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_841) + coupl(nGC_206)*coupl(nGC_345)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_821) + coupl(  &
                        nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_350)*coupl(nGC_883) + coupl(nGC_207)*coupl(nGC_382 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2618) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3838) = coupl(nGC_3078) + coupl(nGC_345)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_348)*dZHh_QED2/2d0 + coupl(nGC_348)*dZdL_QED2&
                        /2d0 + coupl(nGC_348)*dZdR_QED2/2d0
      coupl(nGC_3839) = coupl(nGC_3079) + coupl(nGC_348)*dZdL_QCD2/2d0 + coupl(&
                        nGC_348)*dZdR_QCD2/2d0
      coupl(nGC_2597) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_335) + Nc*&
                        coupl(nGC_343)*coupl(nGC_817) + Nc*coupl(nGC_346)*coupl&
                        (nGC_821) + Nc*coupl(nGC_364)*coupl(nGC_835) - Nc*coupl&
                        (nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_383) + coupl(nGC_352)*coupl(nGC_855) + coupl(      &
                        nGC_358)*coupl(nGC_927) + coupl(nGC_376)*coupl(nGC_831 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3934) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2611) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_817) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_817) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_344) - coupl(nGC_340)*coupl(nGC_371)* &
                        coupl(nGC_373) - coupl(nGC_342)**2d0*coupl(nGC_344) -  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371) - coupl(  &
                        nGC_344)*coupl(nGC_817)**2d0 - coupl(nGC_344)*coupl(   &
                        nGC_851)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2610) = (-Nc*coupl(nGC_206)*coupl(nGC_342)*coupl(nGC_344) + Nc*&
                        coupl(nGC_206)*coupl(nGC_342)*coupl(nGC_817) - Nc*coupl&
                        (nGC_206)*coupl(nGC_345)*coupl(nGC_347) + Nc*coupl(    &
                        nGC_206)*coupl(nGC_345)*coupl(nGC_821) - Nc*coupl(     &
                        nGC_206)*coupl(nGC_363)*coupl(nGC_365) + Nc*coupl(     &
                        nGC_206)*coupl(nGC_363)*coupl(nGC_835) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_333)*coupl(nGC_335) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_333)*coupl(nGC_811) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_369)*coupl(nGC_371) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_369)*coupl(nGC_875) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_383) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_863) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_342)*coupl(nGC_344) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_342)*coupl(nGC_817) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_345)*coupl(nGC_347) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_345)*coupl(nGC_821) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_363)*coupl(nGC_365) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_363)*coupl(nGC_835) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_333)*coupl(nGC_335) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_333)*coupl(nGC_811) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_369)*coupl(nGC_371) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_369)*coupl(nGC_875) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_381)*coupl(nGC_383) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_381)*coupl(nGC_863) - coupl(nGC_208 &
                        )*coupl(nGC_351)*coupl(nGC_353) + coupl(nGC_208)*coupl(&
                        nGC_351)*coupl(nGC_855) - coupl(nGC_208)*coupl(nGC_357 &
                        )*coupl(nGC_359) + coupl(nGC_208)*coupl(nGC_357)*coupl(&
                        nGC_927) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_377 &
                        ) + coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_831) +     &
                        coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_353) - coupl(  &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_855) + coupl(nGC_211 &
                        )*coupl(nGC_357)*coupl(nGC_359) - coupl(nGC_211)*coupl(&
                        nGC_357)*coupl(nGC_927) + coupl(nGC_211)*coupl(nGC_375 &
                        )*coupl(nGC_377) - coupl(nGC_211)*coupl(nGC_375)*coupl(&
                        nGC_831))/(24d0*pi**2d0)
      coupl(nGC_2613) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_817) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_875) - coupl(nGC_341)**2d0*coupl(nGC_817) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_817) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_875) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_817))/(32d0*pi**2d0)
      coupl(nGC_2612) = coupl(nGC_13)**2d0*coupl(nGC_817)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2615) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_821) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_821) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_347) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_383) - coupl(nGC_347)*coupl(nGC_348)**2d0 -  &
                        coupl(nGC_347)*coupl(nGC_821)**2d0 - coupl(nGC_347)*   &
                        coupl(nGC_883)**2d0 - coupl(nGC_349)*coupl(nGC_383)*   &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2614) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2617) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_347) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_347) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_821) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_863) - coupl(nGC_347)**2d0*coupl(nGC_821) -  &
                        coupl(nGC_348)**2d0*coupl(nGC_821) - coupl(nGC_349)*   &
                        coupl(nGC_385)*coupl(nGC_863) - coupl(nGC_350)**2d0*   &
                        coupl(nGC_821))/(32d0*pi**2d0)
      coupl(nGC_2616) = coupl(nGC_13)**2d0*coupl(nGC_821)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2729) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_835) + coupl(  &
                        nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_368)*coupl(nGC_859) + coupl(nGC_210)*coupl(nGC_364 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2728) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_841) + coupl(nGC_206)*coupl(nGC_363)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_835) + coupl(  &
                        nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_368)*coupl(nGC_859) + coupl(nGC_207)*coupl(nGC_334 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2855) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(      &
                        nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_337)*coupl(nGC_811) + 5d0*Nc*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_835   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_364 &
                        )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337 &
                        )*coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_333 &
                        )*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_811) + 5d0*Nc&
                        *coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(   &
                        nGC_365) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_835) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_363)*coupl(nGC_367)*coupl(nGC_811) + 5d0*Nc*coupl( &
                        nGC_335)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343 &
                        )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_343)*coupl(nGC_817) + 5d0*Nc*coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_875) + 5d0*Nc&
                        *coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(   &
                        nGC_371) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl( &
                        nGC_369)*coupl(nGC_875) + 5d0*Nc*coupl(nGC_340)*coupl( &
                        nGC_369)*coupl(nGC_370)*coupl(nGC_817) + 5d0*Nc*coupl( &
                        nGC_342)*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_370 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_370 &
                        )*coupl(nGC_373)*coupl(nGC_817) + 5d0*Nc*coupl(nGC_343 &
                        )*coupl(nGC_344)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc&
                        *coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_347)*coupl(   &
                        nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl( &
                        nGC_349)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_345)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_863) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_382 &
                        )*coupl(nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_381)*coupl(nGC_385) + 5d0*Nc&
                        *coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_383) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl( &
                        nGC_381)*coupl(nGC_863) + 5d0*Nc*coupl(nGC_349)*coupl( &
                        nGC_381)*coupl(nGC_382)*coupl(nGC_821) + 5d0*Nc*coupl( &
                        nGC_363)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367 &
                        )*coupl(nGC_835) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370 &
                        )*coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_369 &
                        )*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_875) + 5d0*Nc&
                        *coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_383)*coupl(   &
                        nGC_385) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl( &
                        nGC_385)*coupl(nGC_863) + 6d0*coupl(nGC_174)*coupl(    &
                        nGC_186) + 6d0*coupl(nGC_21)*coupl(nGC_30) + 5d0*coupl(&
                        nGC_351)*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355   &
                        ) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_355)*  &
                        coupl(nGC_855) + 5d0*coupl(nGC_357)*coupl(nGC_358)*    &
                        coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(nGC_357)*    &
                        coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_927) + 5d0*    &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(    &
                        nGC_379) + 5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(    &
                        nGC_379)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3562) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZcR_QED2 + coupl(nGC_3181)
      coupl(nGC_3091) = coupl(nGC_1737)*dydo1_QED1_QCD2 + coupl(nGC_1738)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3321) = coupl(nGC_174)*dZHhHl_QED2/2d0 + coupl(nGC_175)*       &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_181)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_181)*dZHl_QED2/2d0 + coupl(nGC_3007)
      coupl(nGC_4028) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*     &
                        dZHh_QED2 + coupl(nGC_2961)
      coupl(nGC_2476) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2767) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_385)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_361)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_379)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_809)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3478) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_2471) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_851) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_817) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_809) + coupl(nGC_2)*coupl&
                        (nGC_370)**2d0 + coupl(nGC_2)*coupl(nGC_373)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2470) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*coupl&
                        (nGC_197)**2d0*coupl(nGC_2) + 3d0*coupl(nGC_197)**2d0* &
                        coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_3)*coupl(      &
                        nGC_841) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_809))/( &
                        24d0*pi**2d0)
      coupl(nGC_2473) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2472) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_851) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_817) + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3473) = coupl(nGC_252)*dZGMinus/2d0
      coupl(nGC_3471) = coupl(nGC_231)*dZZA_QED2/2d0 + coupl(nGC_3142) + coupl(&
                        nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*dZHMinus_QED2/  &
                        2d0 + coupl(nGC_321)*dZWMinus_QED2/2d0 + coupl(nGC_324 &
                        )*dZGMinusHMinus_QED2/2d0 + coupl(nGC_TS_GC_175_Hh) +  &
                        coupl(nGC_TS_GC_180_Hl)
      coupl(nGC_3476) = coupl(nGC_174)*dZA_QED2/2d0 + coupl(nGC_174)*dZHl_QED2/&
                        2d0 + coupl(nGC_174)*dZWMinus_QED2/2d0 + coupl(nGC_180 &
                        )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZHhHl_QED2/&
                        2d0 + coupl(nGC_21)*dZZA_QED2/2d0 + coupl(nGC_3009)
      coupl(nGC_3477) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3474) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_3138) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_3475) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_4024) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3678) = coupl(nGC_3121) + coupl(nGC_384)*dZuL_QCD2/2d0 + coupl(&
                        nGC_384)*dZuR_QCD2/2d0
      coupl(nGC_2599) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl&
                        (nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl&
                        (nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(      &
                        nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3675) = coupl(nGC_257)*dZGMinus/2d0
      coupl(nGC_3676) = coupl(nGC_201)*dZWMinus_QED2/4d0 + coupl(nGC_3043)/2d0
      coupl(nGC_3677) = coupl(nGC_3120) + coupl(nGC_381)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_384)*dZHh_QED2/2d0 + coupl(nGC_384)*dZuL_QED2&
                        /2d0 + coupl(nGC_384)*dZuR_QED2/2d0
      coupl(nGC_3671) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3672) = coupl(nGC_3003) + coupl(nGC_76)*dZHl_QED2
      coupl(nGC_3673) = coupl(nGC_2966) + coupl(nGC_32)*dZHhHl_QED2 + coupl(   &
                        nGC_34)*dZGMinusHMinus_QED2 + coupl(nGC_40)*           &
                        dZHMinus_QED2 + coupl(nGC_40)*dZHl_QED2
      coupl(nGC_2722) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_351)**2d0 + coupl(nGC_208)*coupl(nGC_353)*coupl(   &
                        nGC_855) + coupl(nGC_208)*coupl(nGC_354)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_356)*coupl(nGC_861) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2688) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC*&
                        coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363&
                        ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0)
      coupl(nGC_2689) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC* &
                        coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363&
                        ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_3847) = coupl(nGC_223)*dZHl_QED2 + coupl(nGC_2955)
      coupl(nGC_3844) = coupl(nGC_2969) + coupl(nGC_54)*dZHaG0_QED2 + coupl(   &
                        nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*           &
                        dZHMinus_QED2
      coupl(nGC_2682) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3841) = coupl(nGC_49)*dZG0
      coupl(nGC_3840) = coupl(nGC_2970) + coupl(nGC_36)*dZHlHh_QED2 + coupl(   &
                        nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl( &
                        nGC_48)*dZHh_QED2
      coupl(nGC_2758) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_340 &
                        )**2d0 - coupl(nGC_343)**2d0 - coupl(nGC_369)**2d0 -   &
                        coupl(nGC_371)*coupl(nGC_875) - coupl(nGC_372)**2d0 -  &
                        coupl(nGC_374)*coupl(nGC_885))/(64d0*pi**2d0*Nc)
      coupl(nGC_2759) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_207)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_370)** &
                        2d0 - coupl(nGC_371)*coupl(nGC_875) - coupl(nGC_372)** &
                        2d0 - coupl(nGC_373)**2d0 - coupl(nGC_374)*coupl(      &
                        nGC_885))/(64d0*pi**2d0*Nc)
      coupl(nGC_3362) = coupl(nGC_3051) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                        nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_3059) = coupl(nGC_1439)*dyd13x3_QED1_QCD2 + coupl(nGC_1440)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3928) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZmuMinusR_QED2 + coupl(nGC_3186) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_3799) = -coupl(nGC_380)*dZG0/2d0
      coupl(nGC_3798) = -coupl(nGC_3104) - coupl(nGC_377)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 - coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_4054) = -coupl(nGC_2504)
      coupl(nGC_4057) = -coupl(nGC_2526)
      coupl(nGC_4051) = -coupl(nGC_2528)
      coupl(nGC_4050) = -coupl(nGC_2610)
      coupl(nGC_4052) = -coupl(nGC_2577)
      coupl(nGC_3018) = coupl(nGC_1925)*dl4_QED4 + coupl(nGC_1926)*dl5_QED4 +  &
                        coupl(nGC_1927)*dvev2_QED1 + coupl(nGC_1928)*dvev1_QED1&
                         + coupl(nGC_1929)*db_QED2
      coupl(nGC_3019) = coupl(nGC_1542)*db_QED2 + coupl(nGC_1543)*dvev2_QED1 + &
                        coupl(nGC_1544)*dvev1_QED1 + coupl(nGC_1545)*dl2_QED4  &
                         + coupl(nGC_1546)*dl1_QED4 + coupl(nGC_1547)*dl4_QED4 &
                         + coupl(nGC_1548)*dl3_QED4 + coupl(nGC_1549)*da_QED2  &
                         + coupl(nGC_1550)*dl5_QED4
      coupl(nGC_3153) = coupl(nGC_1140)*dZee_QED2 + coupl(nGC_1141)*dsw_QED2
      coupl(nGC_3155) = coupl(nGC_1749)*dsw_QED2 + coupl(nGC_1750)*da_QED2 +   &
                        coupl(nGC_1751)*dvev1_QED1 + coupl(nGC_1752)*dvev2_QED1&
                         + coupl(nGC_1753)*dZee_QED2
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3409) = coupl(nGC_21)*dZHMinus_QED2/2d0 + coupl(nGC_21)*       &
                        dZHh_QED2/2d0 + coupl(nGC_24)*dZGMinusHMinus_QED2/2d0  &
                         + coupl(nGC_24)*dZHlHh_QED2/2d0 + coupl(nGC_2983)
      coupl(nGC_3408) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3010) = coupl(nGC_1317)*db_QED2 + coupl(nGC_1318)*dvev1_QED1 + &
                        coupl(nGC_1319)*dcw_QED2 + coupl(nGC_1320)*dZee_QED2 + &
                        coupl(nGC_1321)*dvev2_QED1
      coupl(nGC_3011) = coupl(nGC_1334)*dZee_QED2 + coupl(nGC_1335)*dsw_QED2 + &
                        coupl(nGC_1336)*dcw_QED2 + coupl(nGC_1337)*dvev1_QED1  &
                         + coupl(nGC_1338)*dvev2_QED1 + coupl(nGC_1339)*da_QED2
      coupl(nGC_3012) = coupl(nGC_2390)*db_QED2 + coupl(nGC_2391)*dvev2_QED1 + &
                        coupl(nGC_2392)*dvev1_QED1 + coupl(nGC_2393)*dl2_QED4  &
                         + coupl(nGC_2394)*dl1_QED4 + coupl(nGC_2395)*dl4_QED4 &
                         + coupl(nGC_2396)*dl3_QED4 + coupl(nGC_2397)*da_QED2  &
                         + coupl(nGC_2398)*dl5_QED4
      coupl(nGC_3013) = coupl(nGC_1477)*db_QED2 + coupl(nGC_1478)*dvev2_QED1 + &
                        coupl(nGC_1479)*dvev1_QED1 + coupl(nGC_1480)*dl2_QED4  &
                         + coupl(nGC_1481)*dl1_QED4 + coupl(nGC_1482)*dl4_QED4 &
                         + coupl(nGC_1483)*dl3_QED4 + coupl(nGC_1484)*da_QED2  &
                         + coupl(nGC_1485)*dl5_QED4
      coupl(nGC_3014) = coupl(nGC_1839)*dvev2_QED1 + coupl(nGC_1840)*dvev1_QED1&
                         + coupl(nGC_1841)*dl2_QED4 + coupl(nGC_1842)*dl1_QED4 &
                         + coupl(nGC_1843)*dl4_QED4 + coupl(nGC_1844)*dl3_QED4 &
                         + coupl(nGC_1845)*da_QED2 + coupl(nGC_1846)*dl5_QED4
      coupl(nGC_3015) = coupl(nGC_1698)*db_QED2 + coupl(nGC_1699)*dvev2_QED1 + &
                        coupl(nGC_1700)*dvev1_QED1 + coupl(nGC_1701)*dl2_QED4  &
                         + coupl(nGC_1702)*dl1_QED4 + coupl(nGC_1703)*dl4_QED4 &
                         + coupl(nGC_1704)*dl3_QED4 + coupl(nGC_1705)*da_QED2  &
                         + coupl(nGC_1706)*dl5_QED4
      coupl(nGC_3016) = coupl(nGC_1896)*dvev2_QED1 + coupl(nGC_1897)*dvev1_QED1&
                         + coupl(nGC_1898)*dl2_QED4 + coupl(nGC_1899)*dl1_QED4 &
                         + coupl(nGC_1900)*dl4_QED4 + coupl(nGC_1901)*dl3_QED4 &
                         + coupl(nGC_1902)*da_QED2 + coupl(nGC_1903)*dl5_QED4
      coupl(nGC_3017) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dvev2_QED1 +   &
                        coupl(nGC_515)*da_QED2 + coupl(nGC_517)*dl2_QED4 +     &
                        coupl(nGC_519)*dl1_QED4 + coupl(nGC_521)*dl4_QED4 +    &
                        coupl(nGC_523)*dl3_QED4 + coupl(nGC_525)*dvev1_QED1 +  &
                        coupl(nGC_527)*dl5_QED4
      coupl(nGC_2978) = coupl(nGC_2246)*db_QED2 + coupl(nGC_2247)*dl5_QED4 +   &
                        coupl(nGC_2248)*dl4_QED4 + coupl(nGC_2249)*da_QED2
      coupl(nGC_2592) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2921) = (-3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0  &
                         + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*coupl&
                        (nGC_210) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(     &
                        nGC_210)**2d0 + 3d0*cima*coupl(nGC_194)**2d0 - 3d0*cima&
                        *coupl(nGC_197)**2d0*coupl(nGC_211)**2d0 + 9d0*cima*   &
                        coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_212) - 3d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_212)**2d0 - 4d0*   &
                        cima*coupl(nGC_198)*coupl(nGC_199)**2d0*coupl(nGC_841  &
                        ) - 4d0*cima*coupl(nGC_199)**2d0*coupl(nGC_4)*coupl(   &
                        nGC_809) + 3d0*cima*coupl(nGC_803)**2d0 + 3d0*coupl(   &
                        nGC_194)*coupl(nGC_198)*coupl(nGC_199) + 3d0*coupl(    &
                        nGC_194)*coupl(nGC_199)*coupl(nGC_841) + 3d0*coupl(    &
                        nGC_199)*coupl(nGC_4)*coupl(nGC_803) + 3d0*coupl(      &
                        nGC_199)*coupl(nGC_803)*coupl(nGC_809))/(24d0*pi**2d0)
      coupl(nGC_2972) = coupl(nGC_2074)*db_QED2 + coupl(nGC_2075)*dl3_QED4 +   &
                        coupl(nGC_2076)*dl2_QED4 + coupl(nGC_2077)*dl1_QED4 +  &
                        coupl(nGC_2078)*dl4_QED4 + coupl(nGC_2079)*dl5_QED4 +  &
                        coupl(nGC_2080)*da_QED2
      coupl(nGC_2974) = coupl(nGC_2346)*db_QED2 + coupl(nGC_2347)*dl3_QED4 +   &
                        coupl(nGC_2348)*dl2_QED4 + coupl(nGC_2349)*dl1_QED4 +  &
                        coupl(nGC_2350)*dl4_QED4 + coupl(nGC_2351)*dl5_QED4
      coupl(nGC_1053) = coupl(nGC_I)*dZG0
      coupl(nGC_2976) = coupl(nGC_2355)*db_QED2 + coupl(nGC_2356)*dl3_QED4 +   &
                        coupl(nGC_2357)*dl2_QED4 + coupl(nGC_2358)*dl1_QED4 +  &
                        coupl(nGC_2359)*dl4_QED4 + coupl(nGC_2360)*dl5_QED4
      coupl(nGC_3083) = coupl(nGC_1189)*dyd13x3_QED1_QCD2 + coupl(nGC_1190)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3082) = coupl(nGC_1189)*dyd13x3_QED3 + coupl(nGC_1190)*        &
                        dyb2_QED3 + coupl(nGC_1191)*da_QED2
      coupl(nGC_3081) = coupl(nGC_2341)*dyd12x2_QED1_QCD2 + coupl(nGC_2343)*   &
                        dys2_QED1_QCD2
      coupl(nGC_TS_GC_249_Hh) = -coupl(nGC_249)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3087) = coupl(nGC_1441)*dyd12x2_QED1_QCD2 + coupl(nGC_1443)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2705) = coupl(nGC_197)*(coupl(nGC_199)*coupl(nGC_212) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_211)*coupl(  &
                        nGC_841) + coupl(nGC_4)*coupl(nGC_809))/(16d0*pi**2d0)
      coupl(nGC_3089) = coupl(nGC_1220)*dyd13x3_QED1_QCD2 + coupl(nGC_1221)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3088) = coupl(nGC_1220)*dyd13x3_QED3 + coupl(nGC_1221)*        &
                        dyb2_QED3 + coupl(nGC_1222)*da_QED2
      coupl(nGC_2979) = coupl(nGC_2090)*db_QED2 + coupl(nGC_2091)*dl3_QED4 +   &
                        coupl(nGC_2092)*dl2_QED4 + coupl(nGC_2093)*dl1_QED4 +  &
                        coupl(nGC_2094)*dl4_QED4 + coupl(nGC_2095)*dl5_QED4 +  &
                        coupl(nGC_2096)*da_QED2
      coupl(nGC_3027) = coupl(nGC_1772)*dvev2_QED1 + coupl(nGC_1773)*dvev1_QED1&
                         + coupl(nGC_1774)*dl2_QED4 + coupl(nGC_1775)*dl1_QED4 &
                         + coupl(nGC_1776)*dl4_QED4 + coupl(nGC_1777)*dl3_QED4 &
                         + coupl(nGC_1778)*da_QED2 + coupl(nGC_1779)*dl5_QED4
      coupl(nGC_3704) = -coupl(nGC_3040)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_3705) = coupl(nGC_29)*dZGMinus
      coupl(nGC_3706) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_3039)
      coupl(nGC_3707) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZbL_QED2 + coupl(nGC_3183)
      coupl(nGC_3700) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_2955)
      coupl(nGC_3703) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2951) + coupl(&
                        nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*dZHa_QED2/2d0&
                         + coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*    &
                        dZZ_QED2/2d0
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3708) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_3709) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZbR_QED2 + coupl(nGC_3184)
      coupl(nGC_2545) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_851) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_851) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_341) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_374) - coupl(nGC_341)*coupl(nGC_342)**2d0 -  &
                        coupl(nGC_341)*coupl(nGC_817)**2d0 - coupl(nGC_341)*   &
                        coupl(nGC_851)**2d0 - coupl(nGC_343)*coupl(nGC_370)*   &
                        coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_3494) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_3496) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3497) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_3004) + coupl(nGC_31)*   &
                        dZZA_QED2/2d0
      coupl(nGC_3490) = -coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3491) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_3038)
      coupl(nGC_3492) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3493) = coupl(nGC_2990) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
      coupl(nGC_3836) = -coupl(nGC_205)*dZZA_QED2/2d0 + coupl(nGC_3157) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_2940) = (3d0*Nc*cima*coupl(nGC_14)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_893)**2d0 - Nc*cima*coupl(nGC_907)**4d0*sq2**4d0 - &
                        3d0*Nc*coupl(nGC_14)*coupl(nGC_907)**2d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_893)*coupl(nGC_907)**2d0*sq2**2d0 + 9d0* &
                        cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_3498) = coupl(nGC_2989) + coupl(nGC_32)*dZHMinus_QED2 + coupl( &
                        nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0 +  &
                        coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
      coupl(nGC_3499) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZuL_QED2 + coupl(nGC_3182)
      coupl(nGC_3837) = -coupl(nGC_214)*dZHa_QED2/2d0 - coupl(nGC_214)*        &
                        dZHh_QED2/2d0 - coupl(nGC_214)*dZZ_QED2/2d0 - coupl(   &
                        nGC_215)*dZG0Ha_QED2/2d0 - coupl(nGC_215)*dZHlHh_QED2/ &
                        2d0 - coupl(nGC_3164)
      coupl(nGC_3606) = coupl(nGC_3062) + coupl(nGC_382)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*dZuR_QED2&
                        /2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3835) = coupl(nGC_205)*dZZA_QED2 - 2d0*coupl(nGC_3157) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_3831) = coupl(nGC_3128) + coupl(nGC_333)*dZHl_QED2/2d0 + coupl(&
                        nGC_333)*dZcL_QED2/2d0 + coupl(nGC_333)*dZcR_QED2/2d0  &
                         + coupl(nGC_336)*dZHhHl_QED2/2d0
      coupl(nGC_3338) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2555) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_350) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_350) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_883) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_807) - coupl(nGC_347)**2d0*coupl(nGC_883) -  &
                        coupl(nGC_348)**2d0*coupl(nGC_883) - coupl(nGC_349)*   &
                        coupl(nGC_385)*coupl(nGC_807) - coupl(nGC_350)**2d0*   &
                        coupl(nGC_883))/(32d0*pi**2d0)
      coupl(nGC_2659) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC*&
                        coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366&
                        ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0)
      coupl(nGC_2658) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_815)**2d0 - coupl(nGC_927)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2655) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3029) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dvev2_QED1 +   &
                        coupl(nGC_555)*da_QED2 + coupl(nGC_557)*dl2_QED4 +     &
                        coupl(nGC_559)*dl1_QED4 + coupl(nGC_561)*dl4_QED4 +    &
                        coupl(nGC_563)*dl3_QED4 + coupl(nGC_565)*dvev1_QED1 +  &
                        coupl(nGC_567)*dl5_QED4
      coupl(nGC_2657) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2656) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_855)**2d0 - coupl(nGC_861)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2651) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2650) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) -  &
                        coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)**  &
                        2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2653) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) -  &
                        coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3028) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dvev2_QED1 +   &
                        coupl(nGC_535)*da_QED2 + coupl(nGC_537)*dl2_QED4 +     &
                        coupl(nGC_539)*dl1_QED4 + coupl(nGC_541)*dl4_QED4 +    &
                        coupl(nGC_543)*dl3_QED4 + coupl(nGC_545)*dvev1_QED1 +  &
                        coupl(nGC_547)*dl5_QED4
      coupl(nGC_3148) = coupl(nGC_1930)*dZee_QED2 + coupl(nGC_1931)*dsw_QED2
      coupl(nGC_2853) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(      &
                        nGC_337)*coupl(nGC_811) + Nc*coupl(nGC_334)*coupl(     &
                        nGC_337)*coupl(nGC_365)*coupl(nGC_835) + Nc*coupl(     &
                        nGC_334)*coupl(nGC_367)*coupl(nGC_811)*coupl(nGC_835   &
                        ) + Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*   &
                        coupl(nGC_365) + Nc*coupl(nGC_335)*coupl(nGC_364)*coupl&
                        (nGC_367)*coupl(nGC_811) + Nc*coupl(nGC_340)*coupl(    &
                        nGC_343)*coupl(nGC_344)*coupl(nGC_817) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_875   &
                        ) + Nc*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_817)*   &
                        coupl(nGC_875) + Nc*coupl(nGC_343)*coupl(nGC_344)*coupl&
                        (nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_344)*coupl(    &
                        nGC_370)*coupl(nGC_373)*coupl(nGC_817) + Nc*coupl(     &
                        nGC_346)*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_821   &
                        ) + Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_383)*   &
                        coupl(nGC_385) + Nc*coupl(nGC_346)*coupl(nGC_349)*coupl&
                        (nGC_383)*coupl(nGC_863) + Nc*coupl(nGC_347)*coupl(    &
                        nGC_382)*coupl(nGC_385)*coupl(nGC_821) + Nc*coupl(     &
                        nGC_349)*coupl(nGC_382)*coupl(nGC_821)*coupl(nGC_863   &
                        ) + Nc*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367)*   &
                        coupl(nGC_835) + Nc*coupl(nGC_370)*coupl(nGC_371)*coupl&
                        (nGC_373)*coupl(nGC_875) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_383)*coupl(nGC_385)*coupl(nGC_863) + coupl(nGC_352 &
                        )*coupl(nGC_353)*coupl(nGC_355)*coupl(nGC_855) + coupl(&
                        nGC_358)*coupl(nGC_359)*coupl(nGC_361)*coupl(nGC_927   &
                        ) + coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379)*coupl(&
                        nGC_831))/(24d0*pi**2d0)
      coupl(nGC_3783) = coupl(nGC_241)*dZHlHh_QED2/2d0 + coupl(nGC_244)*       &
                        dZHMinusGMinus_QED2 + coupl(nGC_249)*dZHh_QED2/2d0 +   &
                        coupl(nGC_3013) + coupl(nGC_TS_GC_33_Hl) + coupl(      &
                        nGC_TS_GC_42_Hh)
      coupl(nGC_2417) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0  &
                         + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc&
                        *coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl( &
                        nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_3564) = coupl(nGC_3103) + coupl(nGC_359)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 + coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_3588) = coupl(nGC_2998) + coupl(nGC_57)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)* &
                        dZHMinusGMinus_QED2 + coupl(nGC_74)*dZHMinusGMinus_QED2&
                        /2d0
      coupl(nGC_2944) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_893) - Nc*cima*   &
                        coupl(nGC_907)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_14)*   &
                        coupl(nGC_907)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_893)*  &
                        coupl(nGC_907)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_13)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2946) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_893) - Nc*cima*   &
                        coupl(nGC_907)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_893)*  &
                        coupl(nGC_907)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_13)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2412) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_206) - 3d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_209) - 3d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_207) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_210) - coupl(&
                        nGC_199)*coupl(nGC_3) - 3d0*coupl(nGC_208)*coupl(nGC_4 &
                        ) - 3d0*coupl(nGC_211)*coupl(nGC_4) - coupl(nGC_809)*  &
                        coupl(nGC_841))/(48d0*pi**2d0)
      coupl(nGC_2881) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343&
                        )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(    &
                        nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*   &
                        coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*    &
                        coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_3632) = -coupl(nGC_184)*dZWMinus_QED2/2d0 - coupl(nGC_3143)
      coupl(nGC_2886) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0  &
                         + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +   &
                        20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*  &
                        coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(    &
                        nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                        coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)**  &
                        2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0* &
                        coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(    &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl(&
                        nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(     &
                        nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(     &
                        nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(     &
                        nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*coupl( &
                        nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*coupl( &
                        nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(nGC_376 &
                        )**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2887) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl( &
                        nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl( &
                        nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)** &
                        2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(      &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343 &
                        )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(   &
                        nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*  &
                        coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc* &
                        coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0&
                        *Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**2d0*    &
                        coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)* &
                        coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc* &
                        coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(nGC_366) + 5d0&
                        *Nc*coupl(nGC_369)*coupl(nGC_370)**2d0*coupl(nGC_372   &
                        ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)**2d0*coupl(   &
                        nGC_384) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_351)*coupl(&
                        nGC_352)**2d0*coupl(nGC_354) + 5d0*coupl(nGC_357)*coupl&
                        (nGC_358)**2d0*coupl(nGC_360) + 5d0*coupl(nGC_375)*    &
                        coupl(nGC_376)**2d0*coupl(nGC_378))/(24d0*pi**2d0)
      coupl(nGC_2888) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*  &
                        coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)* &
                        coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl(&
                        nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*   &
                        coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(  &
                        nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2479) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_351  &
                        )**2d0 + coupl(nGC_353)*coupl(nGC_855) + coupl(nGC_354 &
                        )**2d0 + coupl(nGC_356)*coupl(nGC_861) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2593) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3441) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_2950) + coupl(&
                        nGC_31)*dZHMinus_QED2/2d0 + coupl(nGC_31)*dZHa_QED2/2d0&
                         + coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*    &
                        dZZ_QED2/2d0
      coupl(nGC_3802) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_3801) = 3d0*coupl(nGC_233)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_235 &
                        )*dZHh_QED2/2d0 + coupl(nGC_3014) + coupl(             &
                        nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_19_Hh)
      coupl(nGC_3800) = -coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3807) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_3806) = coupl(nGC_13)*dZdR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_3805) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_3804) = coupl(nGC_13)*dZdL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_2721) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_351)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_855) + coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_356)*coupl(nGC_861) + coupl(nGC_212)*coupl(nGC_352 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2720) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_345)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_821) + coupl(  &
                        nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_350)*coupl(nGC_883) + coupl(nGC_210)*coupl(nGC_346 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3808) = -coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_2725) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2724) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_357)**2d0 + coupl(nGC_208)*coupl(nGC_359)*coupl(   &
                        nGC_927) + coupl(nGC_208)*coupl(nGC_360)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_362)*coupl(nGC_815) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2727) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2726) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3417) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_3968) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_3361) = coupl(nGC_3050) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*   &
                        dZuL_QED2/2d0
      coupl(nGC_3964) = coupl(nGC_242)*dZHlHh_QED2/2d0 + coupl(nGC_245)*       &
                        dZHaG0_QED2 + coupl(nGC_250)*dZHh_QED2/2d0 + coupl(    &
                        nGC_3012) + coupl(nGC_TS_GC_35_Hl) + coupl(            &
                        nGC_TS_GC_43_Hh)
      coupl(nGC_3965) = coupl(nGC_250)*dZG0
      coupl(nGC_3966) = -coupl(nGC_200)*dZWMinus_QED2/4d0 - coupl(nGC_3044)/2d0
      coupl(nGC_3960) = coupl(nGC_2996) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl( &
                        nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*dZHaG0_QED2&
                        /2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
