!******************************************************************************!
!                                                                              !
!    ctparameter129.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter129.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter129
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter129()
  dZnu_muL_QED2 = (-2d0*Ten513*coupl(nGC_212)**2d0 + Ten858*(2d0*coupl(nGC_197 &
                  )**2d0 + coupl(nGC_361)**2d0) + Ten859*(2d0*coupl(nGC_197)** &
                  2d0 + coupl(nGC_361)**2d0) - Ten860*coupl(nGC_358)**2d0 -    &
                  coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0*pi**2d0)
  dZnu_muL_QED2 = cone*real(dZnu_muL_QED2,kind=dp)
end subroutine set_ctparameter129
end module ctparameter129
